/** 权限标识 */
export const PERMISSIONS = {
    /** 工作台 **/
    WB: {
    },
    /** 采购管理 **/
    PUR: {
        /** 采购订单 **/
        ORDER: {
            /** 送检 **/
            OP_T_CHECK: 'pur.order.t-check',
        },
    },
    /** 销售管理 **/
    SALES: {
        /** 销售订单 **/
        ORDER: {
            /** 出库 **/
            OP_OUT_STK: 'sales.order.out-stk',
        },
    },
    /** 生产管理 **/
    MF: {
        /** 生产任务 **/
        ORDER: {
            /** 领料 **/
            OP_PICK: 'mf.order.pick',
            /** 打印 **/
            OP_PRINT: 'mf.order.print',
            /** 送检 **/
            OP_T_CHECK: 'mf.order.t-check',
        },
        /** 生产领料 **/
        PMR: {
            /** 打印 **/
            OP_PRINT: 'mf.pmr.print',
        },
    },
    /** 委外管理 **/
    SCONT: {
        /** 委外订单 **/
        ORDER: {
            /** 出库 **/
            OP_OUT_STK: 'scont.order.out-stk',
            /** 入库 **/
            OP_IN_STK: 'scont.order.in-stk',
        },
    },
    /** 质量管理 **/
    QA: {
        /** 采购质检 **/
        PUR: {
            /** 质检 **/
            OP_CHECK: 'qa.pur.check',
            /** 审核 **/
            OP_AUDIT: 'qa.pur.audit',
            /** 打印 **/
            OP_PRINT: 'qa.pur.print',
        },
        /** 生产质检 **/
        MF: {
            /** 质检 **/
            OP_CHECK: 'qa.mf.check',
            /** 审核 **/
            OP_AUDIT: 'qa.mf.audit',
            /** 打印 **/
            OP_PRINT: 'qa.mf.print',
        },
        /** 委外质检 **/
        SCONT: {
            /** 质检 **/
            OP_CHECK: 'qa.scont.check',
            /** 审核 **/
            OP_AUDIT: 'qa.scont.audit',
            /** 打印 **/
            OP_PRINT: 'qa.scont.print',
        },
    },
    /** 入库管理 **/
    STK_IN: {
        /** 采购入库 **/
        PUR: {
        },
        /** 生产入库 **/
        MF: {
        },
        /** 委外入库 **/
        SCONT: {
        },
        /** 其他入库 **/
        OTHER: {
            /** 添加 **/
            OP_ADD: 'stk-in.other.add',
            /** 修改 **/
            OP_EDIT: 'stk-in.other.edit',
            /** 删除 **/
            OP_DEL: 'stk-in.other.del',
            /** 提交 **/
            OP_SUBMIT: 'stk-in.other.submit',
            /** 审核 **/
            OP_AUDIT: 'stk-in.other.audit',
            /** 打印 **/
            OP_PRINT: 'stk-in.other.print',
        },
    },
    /** 出库管理 **/
    STK_OUT: {
        /** 销售出库 **/
        SALES: {
        },
        /** 委外出库 **/
        SCONT: {
        },
        /** 其他出库 **/
        OTHER: {
        },
    },
    /** 库存管理 **/
    INV: {
        /** 实时库存 **/
        REAL: {
        },
        /** 调拨管理 **/
        ALLOC: {
            /** 添加 **/
            OP_ADD: 'inv.alloc.add',
            /** 修改 **/
            OP_EDIT: 'inv.alloc.edit',
            /** 删除 **/
            OP_DEL: 'inv.alloc.del',
            /** 提交 **/
            OP_SUBMIT: 'inv.alloc.submit',
            /** 审核 **/
            OP_AUDIT: 'inv.alloc.audit',
            /** 打印 **/
            OP_PRINT: 'inv.alloc.print',
        },
        /** MTO调整 **/
        MTO: {
            /** 添加 **/
            OP_ADD: 'inv.mto.add',
            /** 修改 **/
            OP_EDIT: 'inv.mto.edit',
            /** 删除 **/
            OP_DEL: 'inv.mto.del',
            /** 提交 **/
            OP_SUBMIT: 'inv.mto.submit',
            /** 审核 **/
            OP_AUDIT: 'inv.mto.audit',
        },
        /** 盘亏管理 **/
        LOSS: {
            /** 添加 **/
            OP_ADD: 'inv.loss.add',
            /** 修改 **/
            OP_EDIT: 'inv.loss.edit',
            /** 删除 **/
            OP_DEL: 'inv.loss.del',
            /** 提交 **/
            OP_SUBMIT: 'inv.loss.submit',
            /** 审核 **/
            OP_AUDIT: 'inv.loss.audit',
            /** 打印 **/
            OP_PRINT: 'inv.loss.print',
        },
        /** 盘盈管理 **/
        PROFIT: {
            /** 添加 **/
            OP_ADD: 'inv.profit.add',
            /** 修改 **/
            OP_EDIT: 'inv.profit.edit',
            /** 删除 **/
            OP_DEL: 'inv.profit.del',
            /** 提交 **/
            OP_SUBMIT: 'inv.profit.submit',
            /** 审核 **/
            OP_AUDIT: 'inv.profit.audit',
            /** 打印 **/
            OP_PRINT: 'inv.profit.print',
        },
    },
    /** 基础数据 **/
    BASE: {
        /** 物料 **/
        MAT: {
        },
        /** 计量单位 **/
        UNIT: {
        },
        /** 计量单位组 **/
        UG: {
        },
        /** 客户 **/
        CUST: {
        },
        /** 供应商 **/
        SUP: {
        },
        /** 仓库 **/
        WH: {
        },
        /** 仓位 **/
        WH_P: {
        },
        /** 仓位组 **/
        WH_PG: {
        },
        /** 工作类型 **/
        WT: {
        },
        /** K3部门 **/
        KDEPT: {
        },
    },
    /** 系统管理 **/
    SYS: {
        /** 部门人员 **/
        DEPT: {
            /** 添加 **/
            OP_ADD: 'sys.dept.add',
            /** 修改 **/
            OP_EDIT: 'sys.dept.edit',
            /** 删除 **/
            OP_DEL: 'sys.dept.del',
        },
        /** 角色权限 **/
        ROLE: {
            /** 添加 **/
            OP_ADD: 'sys.role.add',
            /** 修改 **/
            OP_EDIT: 'sys.role.edit',
            /** 删除 **/
            OP_DEL: 'sys.role.del',
            /** 授权 **/
            OP_GRANT: 'sys.role.grant',
        },
        /** 字典管理 **/
        DICT: {
            /** 添加 **/
            OP_ADD: 'sys.dict.add',
            /** 修改 **/
            OP_EDIT: 'sys.dict.edit',
            /** 删除 **/
            OP_DEL: 'sys.dict.del',
        },
        /** 功能管理 **/
        MENU: {
            /** 添加 **/
            OP_ADD: 'sys.menu.add',
            /** 修改 **/
            OP_EDIT: 'sys.menu.edit',
            /** 删除 **/
            OP_DEL: 'sys.menu.del',
        },
        /** 参数设置 **/
        CONFIG: {
        },
        /** 日志管理 **/
        LOG: {
            /** 异常日志 **/
            EX: {
                /** 清除日志 **/
                OP_CLEAR: 'sys.log.ex.clear',
            },
            /** 访问日志 **/
            VIS: {
                /** 清除日志 **/
                OP_CLEAR: 'sys.log.vis.clear',
            },
            /** 操作日志 **/
            OP: {
                /** 清除日志 **/
                OP_CLEAR: 'sys.log.op.clear',
            },
        },
        /** 金蝶同步 **/
        KSYNC: {
        },
    },
};