// @ts-ignore
/* eslint-disable */

namespace DICTS {
    /** 字典项 */
    type DictItem = {
        /** ID */
        id: number;
        /** 父ID */
        parentId?: number;
        /** 类型ID */
        typeId?: number;
        /** 名称 */
        name: string;
        /** 编码 */
        code: string;
        /** 顺序 */
        sequence?: number;
        /** 备注 */
        remark?: string;
        /** 是否已启用 */
        enabled?: boolean;
        /** valueEnum中的状态 */
        status?: 'Success' | 'Error' | 'Processing' | 'Warning' | 'Default' | string;
        /** 颜色值 */
        color?: string;

        [key: string]: any;
    };

    type DictKeyItem = {
        [key: string | number]: DictItem;
    };

    /** Select组件选项内容项 */
    type SelectOptionItem = {
        key: number | string;
        value: number | string;
        label: string;
    };

    /** 树节点数据 */
    type ParentTreeNode = {
        id: number | string;
        key?: number | string;
        parentId?: number | string;
        children?: ParentTreeNode[];
        [key: string]: any;
    };

    type ValueEnumItem = {
        text?: string;
        status?: string;
    };
}
