import { useEmotionCss } from '@ant-design/use-emotion-css';
import React from 'react';
import packageInfo from '../../../package.json';

const Footer: React.FC = () => {
    const className = useEmotionCss(({ token }) => {
        return {
            padding: token.paddingSM,
            display: 'flex',
            flexDirection: 'column',
            alignItems: 'center',
            justifyContent: 'center',
            fontSize: token.fontSize,
            '> p': {
                fontSize: token.fontSize,
                verticalAlign: 'middle',
                color: token.colorTextTertiary,
                padding: 0,
                margin: 0,

                'span': {
                    padding: '0 8px',
                    color: token.colorTextDisabled
                }
            },
        };
    });

    return (
        <div className={className}>
            {/* <p>{AppConfig.companyFullName}</p> */}
            {/* <p>© 2023-{new Date().getFullYear()} <span>|</span> v{packageInfo?.version ?? ''}</p> */}
            {/* <p>重庆国家应用数学中心大数据与最优化研究所</p> */}
            <p>© 2023-{new Date().getFullYear()} <span>|</span> v{packageInfo?.version ?? ''}</p>
        </div>
    );
    // return null;
};

export default Footer;
