// @ts-ignore
/* eslint-disable */

// 该文件自动生成，请勿手动修改！

import {
    AntShowType,
    AuditActionType,
    AuditStatus,
    CertificateType,
    CognitiveAbility,
    CommonStatus,
    DataImportMode,
    DataPublishType,
    DataReportStatus,
    DataReportType,
    DataScopeType,
    EducationStage,
    ExamPaperWriterType,
    ExamSampleStatus,
    ExamSampleType,
    ExamScoreRangeType,
    ExamStatus,
    Gender,
    LoginType,
    MenuOpenType,
    MenuType,
    NceeLineLevel,
    OrgFundSource,
    OrgType,
    PublishStatus,
    QueryTypeEnum,
    QuestionCatalog,
    ResourceFileType,
    RoleType,
    SchoolJobTitle,
    SemesterType,
    UrbanRuralType,
} from './enums';

declare global {
    declare namespace API {
        /** 分页查询请求参数基类型 */
        type PageQueryType = {
            /** 当前页值 */
            pageIndex: number;
            /** 每页大小 */
            pageSize: number;

            /** 搜索值 */
            searchValue?: string;
            /** 搜索开始时间 */
            searchBeginTime?: string;
            /** 搜索结束时间 */
            searchEndTime?: string;
            /** 排序字段 */
            sortField?: string;
            /** 排序方法，默认升序，否则降序（配合antd前端，约定参数为 Ascend，Dscend） */
            sortOrder?: string;
            /** 降序排序（不要问我为什么是descend不是desc，前端约定参数就是这样） */
            descStr?: string;
            /** 复杂查询条件 */
            searchParameters?: Condition[];
        };

        /** 后端服务请求返回参数 */
        type ResponseType<T = any> = {
            /** 执行成功 */
            success?: boolean;
            /** 状态码 */
            code?: number;
            /** 错误码 */
            errorCode?: number;
            /** 错误信息 */
            errorMessage?: any;
            /** 消息显示类型 */
            showType?: number;
            /** 数据 */
            data?: T;
            /** 附加数据 */
            extras?: any;
            /** 时间戳 */
            timestamp?: number;
        };

        /** 分页数据对象 */
        type PageResponse<T = any> = {
            /** 当前页值  */
            pageIndex: number;
            /** 每页大小 */
            pageSize: number;
            /** 数据总数 */
            totalCount: number;
            /** 总页数 */
            totalPage?: number;
            /** 数据行  */
            items?: T[];
        };

        /** 文件响应类型 */
        type FileResponse = {
            /** 文件名称 */
            fileName: string;
            /** 文件体 */
            data: Blob;
        };

        /** 添加科目输入参数 */
        type AddCourseInput = {
            /** 名称 */
            name: string;
            /** 简称 */
            shortName: string;
            /** 别称 */
            nickName?: string;
            /** 备注 */
            remark?: string;
            status: CommonStatus;
        };

        /** 添加缺测替补上报输入参数 */
        type AddExamAbsentReplaceInput = {
            /** 监测计划ID */
            examPlanId: number;
            /** 机构ID */
            sysOrgId: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 监测年级ID */
            examGradeId: number;
            /** 年级ID */
            gradeId: number;
            /** 班级ID */
            schoolClassId: string;
            /** 班号 */
            classNumber: number;
            /** 缺测学生姓名 */
            absentName: string;
            /** 缺测学生监测号 */
            absentExamNumber: string;
            /** 缺测科目 */
            absentCourses: string;
            /** 缺测原因 */
            absentReason: string;
            /** 是否有替补 */
            isReplaced: boolean;
            /** 替补学生姓名 */
            replaceName?: string;
            /** 替补学生监测号 */
            replaceExamNumber?: string;
            /** 家长姓名 */
            patriarchName?: string;
            /** 家长电话 */
            patriarchTel?: string;
            /** 备注 */
            remark?: string;
        };

        /** 添加监测科目输入参数 */
        type AddExamCourseInput = {
            /** 监测计划ID */
            examPlanId: number;
            /** 监测年级ID */
            examGradeId: number;
            /** 年级ID */
            gradeId: number;
            /** 科目ID */
            courseId: number;
            /** 总分 */
            totalScore: number;
            examScoreRangeType: ExamScoreRangeType;
            scoreReportConfig: ExamCourseScoreReportConfig;
        };

        /** 添加监测数据发布内容输入参数 */
        type AddExamDataPublishInput = {
            /** 监测计划ID */
            examPlanId: number;
            type: DataPublishType;
            /** 发布名称 */
            name: string;
            /** 备注 */
            remark?: string;
        };

        /** 添加监测数据上报类型 */
        type AddExamDataReportInput = {
            /** 监测计划ID */
            examPlanId: number;
            type: DataReportType;
            /** 开始时间 */
            beginTime: string;
            /** 结束时间 */
            endTime: string;
            /** 上报说明 */
            remark?: string;
        };

        /** 添加监测年级输入参数 */
        type AddExamGradeInput = {
            /** 监测计划ID */
            examPlanId: number;
            /** 年级ID */
            gradeId: number;
            /** 年份（级） */
            gradeBeginYear: number;
            /** 年份（届） */
            gradeEndYear: number;
            educationStage: EducationStage;
            /** 学制 */
            educationYears: number;
        };

        /** 添加监测年级输入参数 */
        type AddExamGradeListInput = {
            /** 监测计划ID */
            examPlanId: number;
            /** 年级ID列表 */
            gradeList: AddExamGradeInput[];
        };

        /** 添加被监测机构输入参数 */
        type AddExamOrgListInput = {
            /** 监测计划ID */
            examPlanId: number;
            /** 监测机构ID列表 */
            sysOrgIdList: number[];
        };

        /** 添加试卷大题输入参数 */
        type AddExamPaperQuestionMajorInput = {
            /** 双向细目表头ID */
            examPaperId: number;
            /** 顺序 */
            sequence: number;
            /** 题号 */
            number: string;
            /** 标题 */
            title?: string;
            /** 提示语 */
            hint?: string;
            /** 分值 */
            score: number;
            /** 备注 */
            remark?: string;
        };

        /** 添加试卷小题输入参数 */
        type AddExamPaperQuestionMinorInput = {
            /** 双向细目表头ID */
            examPaperId: number;
            questionCatalog?: QuestionCatalog;
            /** 大题ID */
            examPaperQuestionMajorId?: number;
            /** 顺序 */
            sequence: number;
            /** 成绩文件列名 */
            columnName: string;
            /** 小题 */
            name: string;
            /** 分值 */
            score: number;
            /** 知识模块 */
            knowledgeModule?: string;
            /** 知识点 */
            knowledgePoint?: string;
            cognitiveAbility?: CognitiveAbility;
            /** 预估难度 */
            estimatedDifficulty?: number;
            /** 是否选做 */
            isChoose: boolean;
            /** 是否最小计分项 */
            isLeaf: boolean;
        };

        /** 添加监测计划输入参数 */
        type AddExamPlanInput = {
            educationStage: EducationStage;
            /** 学期ID */
            semesterId: number;
            /** 名称 */
            name: string;
            /** 全称 */
            fullName: string;
            /** 简称 */
            shortName: string;
            /** 备注 */
            remark?: string;
            /** 监测配置 */
            config: string;
            /** 监测年级 */
            gradeIdList: number[];
        };

        /** 添加抽样方案输入参数 */
        type AddExamSampleInput = {
            /** 监测计划ID */
            examPlanId: number;
            /** 备注 */
            remark?: string;
            config: ExamSampleConfig;
        };

        /** 添加监测特殊学生上报输入参数 */
        type AddExamSpecialStudentInput = {
            /** 监测计划ID */
            examPlanId: number;
            /** 机构ID */
            sysOrgId: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 监测年级ID */
            examGradeId: number;
            /** 年级ID */
            gradeId: number;
            /** 班号 */
            classNumber: number;
            /** 学籍号 */
            studentNumber?: string;
            /** 姓名 */
            name: string;
            certificateType: CertificateType;
            /** 证件号码 */
            idNumber?: string;
            /** 出生日期 */
            birthDate?: string;
            gender: Gender;
            /** 申请原因 */
            applyReason: string;
            /** 家长姓名 */
            patriarchName?: string;
            /** 家长电话 */
            patriarchTel?: string;
            /** 备注 */
            remark?: string;
        };

        /** 添加监测学生输入参数 */
        type AddExamStudentInput = {
            /** 监测计划ID */
            examPlanId: number;
            /** 机构ID */
            sysOrgId?: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 监测年级ID */
            examGradeId: number;
            /** 年级ID */
            gradeId: number;
            /** 班号 */
            classNumber: number;
            /** 高中选科组合ID */
            nceeCourseCombId?: number;
            /** 自编监测号 */
            examNumber?: string;
            /** 学籍号 */
            studentNumber?: string;
            /** 考场号 */
            roomNumber?: string;
            /** 座位号 */
            seatNumber?: string;
            /** 姓名 */
            name: string;
            certificateType: CertificateType;
            /** 证件号码 */
            idNumber?: string;
            /** 出生日期 */
            birthDate?: string;
            gender: Gender;
            /** 备注 */
            remark?: string;
        };

        /** 添加监测教师任教学科 */
        type AddExamTeacherCourseInput = {
            /** 监测计划ID */
            examPlanId: number;
            /** 机构ID */
            sysOrgId?: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 姓名 */
            name: string;
            certificateType: CertificateType;
            /** 证件号码 */
            idNumber?: string;
            /** 监测年级ID */
            examGradeId: number;
            /** 年级ID */
            gradeId: number;
            /** 班号 */
            classNumber: number;
            /** 科目ID */
            courseId: number;
            /** 备注 */
            remark?: string;
        };

        /** 添加监测教师 */
        type AddExamTeacherInput = {
            /** 监测计划ID */
            examPlanId: number;
            /** 机构ID */
            sysOrgId?: number;
            /** 姓名 */
            name: string;
            schoolJobTitle: SchoolJobTitle;
            certificateType: CertificateType;
            /** 证件号码 */
            idNumber?: string;
            /** 出生日期 */
            birthDate?: string;
            gender: Gender;
            /** 手机号码 */
            mobile?: string;
            /** 电子邮箱 */
            email?: string;
            /** 备注 */
            remark?: string;
        };

        /** 添加高考模拟划线计划输入参数 */
        type AddNceePlanInput = {
            /** 学期ID */
            semesterId: number;
            /** 年级ID */
            gradeId: number;
            /** 名称 */
            name: string;
            /** 全称 */
            fullName: string;
            /** 简称 */
            shortName: string;
            /** 备注 */
            remark?: string;
            config: NceePlanConfig;
        };

        /** 添加单个学校班级输入参数 */
        type AddSchoolClassInput = {
            /** 学校ID */
            sysOrgId: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 入学年份（级） */
            gradeBeginYear: number;
            /** 毕业年份（级） */
            gradeEndYear: number;
            /** 学制 */
            educationYears: number;
            educationStage: EducationStage;
            /** 班号 */
            classNumber: number;
            /** 名称：入学年份+级+班号+班，如2025级1班 */
            name: string;
            /** 全称：学段名+入学年份+级+班号+班，如小学2025级1班 */
            fullName: string;
            /** 简称：班号+班，如1班 */
            shortName: string;
            /** 备注 */
            remark?: string;
            status: CommonStatus;
        };

        /** 新增菜单参数 */
        type AddSysMenuInput = {
            type: MenuType;
            /** 父Id */
            pid?: number;
            menuType: MenuType;
            /** 名称 */
            name?: string;
            /** 编码 */
            code?: string;
            /** 图标 */
            icon?: string;
            /** 路由地址 */
            router?: string;
            /** 组件地址 */
            component?: string;
            /** 权限标识 */
            permission?: string;
            openType?: MenuOpenType;
            /** 是否可见 */
            visible?: boolean;
            /** 内链地址 */
            link?: string;
            /** 重定向地址 */
            redirect?: string;
            /** 排序 */
            sort?: number;
            /** 备注 */
            remark?: string;
        };

        /** 添加机构输入参数 */
        type AddSysOrgInput = {
            /** 父机构ID */
            pid: number;
            orgType: OrgType;
            orgFundSource: OrgFundSource;
            educationStage: EducationStage;
            urbanRuralType: UrbanRuralType;
            /** 所属学区ID（机构ID） */
            schoolDistrictId?: number;
            /** 名称 */
            name: string;
            /** 名称 */
            fullName: string;
            /** 简称 */
            shortName: string;
            /** 简称2 */
            shortName2?: string;
            /** 编码 */
            code: string;
            /** 带前缀唯一代码 */
            uniqueCode: string;
            /** 经度 */
            longitude?: number;
            /** 纬度 */
            latitude?: number;
            /** 地址 */
            address?: string;
            /** 备注 */
            remark?: string;
            status: CommonStatus;
        };

        /** 添加角色组参数 */
        type AddSysRoleGroupInput = {
            /** 角色组名称 */
            name: string;
            /** 备注 */
            remark?: string;
        };

        /** 添加角色参数 */
        type AddSysRoleInput = {
            /** 角色组ID */
            roleGroupId: number;
            /** 角色名称 */
            name: string;
            /** 备注 */
            remark?: string;
        };

        type AntMenuOutput = {
            /** id */
            id?: number;
            /** 父id */
            pid?: number;
            menuType?: MenuType;
            /** 名称，映射Code，作为国际化标识 */
            name?: string;
            /** 标题 */
            title?: string;
            /** 组件 */
            component?: string;
            /** 路径 */
            path?: string;
            /** 图标 */
            icon?: string;
            /** 是否可见 */
            visible?: boolean;
            /** 如需外部打开，增加：_blank */
            target?: string;
            /** 内链打开http链接 */
            link?: string;
            openType?: MenuOpenType;
        };

        /** 分配试卷双向细目表或问题建议输入参数 */
        type AssignExamPaperWriterInput = {
            /** 撰写人用户ID */
            writerSysUserId?: number;
            /** 试卷ID列表 */
            ids?: number[];
        };

        /** 附件信息 */
        type AttachmentItem = {
            /** 文件ID */
            fileId: string;
            /** 文件名 */
            fileName: string;
            /** 扩展名 */
            fileExtName: string;
            /** 文件大小 */
            fileSize: string;
            /** 缩略图文件ID */
            thumbFileId?: string;
        };

        /** 审核记录条目 */
        type AuditItem = {
            /** 顺序ID，从1开始 */
            id?: number;
            /** 审核用户ID */
            sysUserId?: number;
            /** 审核用户名 */
            sysUserName?: string;
            /** 审核机构ID */
            sysOrgId?: number;
            /** 审核机构名称 */
            sysOrgName?: string;
            /** 审核意见 */
            remark?: string;
            status?: AuditStatus;
            /** 审核时间 */
            createTime?: string;
            actionType?: AuditActionType;
        };

        /** 登录认证返回输出参数 */
        type AuthOutput = {
            /** 机构名 */
            orgName: string;
            /** 用户名 */
            name: string;
            /** 登录名 */
            account: string;
            /** 是否已激活 */
            isActivated: boolean;
            /** TOKEN */
            accessToken?: string;
        };

        /** 主键Id映射DTO */
        type BaseId = {
            /** 主键Id */
            id: number;
        };

        /** 主键Id映射DTO */
        type BaseId_Int16 = {
            /** 主键Id */
            id: number;
        };

        /** 主键Id映射DTO */
        type BaseId_Int64 = {
            /** 主键Id */
            id: string;
        };

        /** 批量添加学校班级输入参数 */
        type BatchAddSchoolClassInput = {
            /** 学校ID */
            sysOrgId: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 入学年份（级） */
            gradeBeginYear: number;
            /** 毕业年份（级） */
            gradeEndYear: number;
            /** 学制 */
            educationYears: number;
            educationStage: EducationStage;
            /** 添加班级数量 */
            classCount: number;
            status: CommonStatus;
        };

        /** 批量更新小题输入参数 */
        type BatchUpdateExamPaperQuestionMinorInput = {
            /** 小题ID列表 */
            ids: number[];
            /** 大题ID */
            examPaperQuestionMajorId?: number;
            /** 分值 */
            score: number;
            questionCatalog?: QuestionCatalog;
        };

        /** 更新用户密码输入参数 */
        type ChangeSysUserPasswordInput = {
            /** 旧密码 */
            oldPassword: string;
            /** 新密码 */
            newPassword: string;
        };

        /** 清空缺测替补输入参数 */
        type ClearExamAbsentReplaceInput = {
            /** 监测计划ID */
            examPlanId: number;
        };

        /** 清空监测特殊学生输入参数 */
        type ClearExamSpecialStudentInput = {
            /** 监测计划ID */
            examPlanId: number;
        };

        /** 清空监测学生输入参数 */
        type ClearExamStudentInput = {
            /** 监测计划ID */
            examPlanId: number;
        };

        /** 清空监测教师任教学科 */
        type ClearExamTeacherCourseInput = {
            /** 监测计划ID */
            examPlanId: number;
        };

        /** 清空监测教师 */
        type ClearExamTeacherInput = {
            /** 监测计划ID */
            examPlanId: number;
        };

        /** 查询条件 */
        type Condition = {
            /** 字段名 */
            field?: string;
            op?: QueryTypeEnum;
            /** 字段值 */
            value?: any;
            /** 分组名称 */
            orGroup?: string;
        };

        /** 科目简要输出参数 */
        type CourseLiteOutput = {
            /** 主键 */
            id: number;
            /** 名称 */
            name: string;
            /** 简称 */
            shortName: string;
            /** 别称 */
            nickName?: string;
            status: CommonStatus;
        };

        /** 科目极简输出参数 */
        type CourseMiniOutput = {
            /** 主键 */
            id: number;
            /** 名称 */
            name: string;
            /** 简称 */
            shortName: string;
        };

        /** 科目完整输出参数 */
        type CourseOutput = {
            /** 主键 */
            id: number;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 修改者Id */
            updateSysUserId?: number;
            createSysUser: SysUserLiteOutput;
            updateSysUser?: SysUserLiteOutput;
            /** 名称 */
            name: string;
            /** 简称 */
            shortName: string;
            /** 别称 */
            nickName?: string;
            /** 备注 */
            remark?: string;
        };

        /** 删除监测年级输入参数 */
        type DelExamGradeInput = {
            /** ID列表 */
            idList: number[];
        };

        /** 删除被监测机构输入参数 */
        type DelExamOrgInput = {
            /** ID列表 */
            idList: number[];
        };

        /** 从数据行中删除附件 */
        type DeleteAttachmentInput = {
            /** 主键 */
            sourceId: number;
            /** 文件ID */
            fileId: string;
        };

        /** 删除菜单参数 */
        type DeleteSysMenuInput = {
            /** 主键Id */
            id: number;
        };

        /** 删除角色组参数 */
        type DeleteSysRoleGroupInput = {
            /** 主键Id */
            id: number;
        };

        /** 删除角色参数 */
        type DeleteSysRoleInput = {
            /** 主键Id */
            id: number;
        };

        /** 学制输出参数 */
        type EducationStageYearsOutput = {
            /** 主键 */
            id: number;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 修改者Id */
            updateSysUserId?: number;
            createSysUser: SysUserLiteOutput;
            updateSysUser?: SysUserLiteOutput;
            educationStage: EducationStage;
            /** 学制（共几年） */
            educationYears: number;
        };

        /** 缺测替补审核输入参数 */
        type ExamAbsentReplaceAuditInput = {
            /** 缺测替补学生ID列表 */
            ids?: number[];
            /** 是否通过 */
            isApproved?: boolean;
            /** 审核意见 */
            remark?: string;
        };

        /** 监测缺测替补统计输出参数 */
        type ExamAbsentReplaceCountOutput = {
            /** 班级列表 */
            classNumberList?: number[];
            /** 统计数据列表 */
            items?: any[];
            /** 总数 */
            total?: number;
        };

        /** 监测缺测替补上报输出参数 */
        type ExamAbsentReplaceOutput = {
            /** 主键 */
            id: number;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 修改者Id */
            updateSysUserId?: number;
            createSysUser: SysUserLiteOutput;
            updateSysUser?: SysUserLiteOutput;
            /** 监测计划ID */
            examPlanId: number;
            /** 机构ID */
            sysOrgId: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 监测年级ID */
            examGradeId: number;
            /** 年级ID */
            gradeId: number;
            /** 班级ID */
            schoolClassId: string;
            /** 班号 */
            classNumber: number;
            /** 缺测学生姓名 */
            absentName: string;
            /** 缺测学生监测号 */
            absentExamNumber: string;
            /** 缺测科目 */
            absentCourses: string;
            /** 缺测原因 */
            absentReason: string;
            /** 是否有替补 */
            isReplaced: boolean;
            /** 替补学生姓名 */
            replaceName?: string;
            /** 替补学生监测号 */
            replaceExamNumber?: string;
            /** 家长姓名 */
            patriarchName?: string;
            /** 家长电话 */
            patriarchTel: string;
            /** 备注 */
            remark?: string;
            status: AuditStatus;
            schoolClass?: SchoolClassLiteOutput;
            sysOrgBranch?: SysOrgLiteOutput;
            examGrade?: ExamGradeOutput;
            /** 缺测科目列表 */
            absentCourseList?: CourseMiniOutput[];
            /** 佐证材料列表 */
            attachmentList?: AttachmentItem[];
            /** 审核记录 */
            auditList?: AuditItem[];
        };

        /** 分页查询缺测替补输入参数 */
        type ExamAbsentReplacePageInput = {
            /** 当前页码 */
            pageIndex: number;
            /** 每页大小 */
            pageSize: number;
            /** 搜索值 */
            searchValue?: string;
            /** 搜索开始时间 */
            searchBeginTime?: string;
            /** 搜索结束时间 */
            searchEndTime?: string;
            /** 排序字段 */
            sortField?: string;
            /** 排序方法，默认升序，否则降序（配合antd前端，约定参数为 Ascend，Dscend） */
            sortOrder?: string;
            /** 降序排序（不要问我为什么是descend不是desc，前端约定参数就是这样） */
            descStr?: string;
            /** 复杂查询条件 */
            searchParameters?: Condition[];
            /** 监测计划ID */
            examPlanId: number;
            /** 机构ID */
            sysOrgId?: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 年级ID */
            gradeId?: number;
            /** 班级号 */
            classNumber?: number;
            /** 缺测学生姓名 */
            absentName?: string;
            /** 缺测学生监测号 */
            absentExamNumber?: string;
            /** 缺测科目 */
            abentCourseId?: number;
            /** 缺测原因 */
            absentReason?: string;
            /** 是否有替补 */
            isReplaced?: boolean;
            /** 替补学生姓名 */
            replaceName?: string;
            /** 替补学生监测号 */
            replaceExamNumber?: string;
            /** 家长电话 */
            patriarchTel?: string;
            /** 备注 */
            remark?: string;
            status?: AuditStatus;
        };

        /** 监测科目简要输出参数 */
        type ExamCourseLiteOutput = {
            /** 主键 */
            id: number;
            /** 监测计划ID */
            examPlanId: number;
            /** 监测年级ID */
            examGradeId: number;
            /** 年级ID */
            gradeId: number;
            /** 科目ID */
            courseId: number;
            /** 总分 */
            totalScore: number;
            course?: CourseMiniOutput;
            scoreReportConfig?: ExamCourseScoreReportConfig;
            examScoreRangeType?: ExamScoreRangeType;
        };

        /** 监测科目输出参数 */
        type ExamCourseOutput = {
            /** 主键 */
            id: number;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 修改者Id */
            updateSysUserId?: number;
            createSysUser: SysUserLiteOutput;
            updateSysUser?: SysUserLiteOutput;
            /** 监测计划ID */
            examPlanId: number;
            /** 监测年级ID */
            examGradeId: number;
            /** 年级ID */
            gradeId: number;
            /** 科目ID */
            courseId: number;
            /** 总分 */
            totalScore: number;
            examScoreRangeType?: ExamScoreRangeType;
            course?: CourseLiteOutput;
            scoreReportConfig?: ExamCourseScoreReportConfig;
            examGrade?: ExamGradeOutput;
        };

        /** 批量成绩导入模板描述 */
        type ExamCourseScoreReportConfig = {
            /** 标题行位置 */
            headerRowIndex?: number;
            /** 小题开始位置 */
            minorQuestionColumnIndex?: number;
            /** 从左至右列名 */
            headerColumnNames?: string[];
            /** 说明 */
            remark?: string;
        };

        /** 监测机构反馈结果文件输出参数 */
        type ExamDataPublishOrgResultOutput = {
            /** 主键 */
            id: number;
            /** 监测计划ID */
            examPlanId: number;
            type: DataPublishType;
            /** 发布名称 */
            name: string;
            /** 备注 */
            remark?: string;
            status: PublishStatus;
            /** 发布时间 */
            publishTime?: string;
            /** 监测机构反馈文件列表 */
            examOrgResultList?: ExamOrgResultOutput[];
        };

        /** 监测发布内容输出参数 */
        type ExamDataPublishOutput = {
            /** 主键 */
            id: number;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 修改者Id */
            updateSysUserId?: number;
            createSysUser: SysUserLiteOutput;
            updateSysUser?: SysUserLiteOutput;
            /** 监测计划ID */
            examPlanId: number;
            type: DataPublishType;
            /** 发布名称 */
            name: string;
            /** 备注 */
            remark?: string;
            status: PublishStatus;
            /** 发布时间 */
            publishTime?: string;
            /** 发布人用户ID */
            publishSysUserId?: number;
            publishSysUser?: SysUserLiteOutput;
        };

        /** 监测数据上报类型输出参数 */
        type ExamDataReportOutput = {
            /** 主键 */
            id: number;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 修改者Id */
            updateSysUserId?: number;
            createSysUser: SysUserLiteOutput;
            updateSysUser?: SysUserLiteOutput;
            /** 监测计划ID */
            examPlanId: number;
            type: DataReportType;
            status: ExamStatus;
            /** 开始时间 */
            beginTime: string;
            /** 结束时间 */
            endTime: string;
            /** 上报说明 */
            remark?: string;
            /** 应上报机构数量 */
            count?: number;
            /** 已上报机构数量 */
            reportedCount?: number;
            /** 未上报机构数量 */
            unreportCount?: number;
            /** 佐证材料列表 */
            attachmentList?: AttachmentItem[];
        };

        /** 监测年级输出参数 */
        type ExamGradeOutput = {
            /** 主键 */
            id: number;
            /** 监测计划ID */
            examPlanId: number;
            /** 年级ID */
            gradeId: number;
            educationStage: EducationStage;
            /** 学制 */
            educationYears: number;
            /** 年份（级） */
            gradeBeginYear: number;
            /** 年份（届） */
            gradeEndYear: number;
            /** 级名 */
            gradeBeginName: string;
            /** 届名 */
            gradeEndName: string;
            /** 是否需要自编监测号 */
            isRequiredSelfExamNumber: boolean;
            /** 自编监测号长度 */
            selfExamNumberLength: number;
            /** 是否需要抽样 */
            isRequiredSample: boolean;
            examScoreRangeType?: ExamScoreRangeType;
            /** 备注 */
            remark?: string;
            grade: GradeOutput;
            /** 监测科目列表 */
            examCourses?: ExamCourseLiteOutput[];
        };

        /** 监测年级配置 */
        type ExamGradeSettingInput = {
            /** 主键Id */
            id: number;
            /** 是否需要自编监测号 */
            isRequiredSelfExamNumber: boolean;
            /** 自编监测号长度 */
            selfExamNumberLength: number;
            /** 是否需要抽样 */
            isRequiredSample: boolean;
            /** 备注 */
            remark?: string;
        };

        /** 监测机构上报数据审核查询输入参数 */
        type ExamOrgDataReportAuditPageInput = {
            /** 当前页码 */
            pageIndex: number;
            /** 每页大小 */
            pageSize: number;
            /** 搜索值 */
            searchValue?: string;
            /** 搜索开始时间 */
            searchBeginTime?: string;
            /** 搜索结束时间 */
            searchEndTime?: string;
            /** 排序字段 */
            sortField?: string;
            /** 排序方法，默认升序，否则降序（配合antd前端，约定参数为 Ascend，Dscend） */
            sortOrder?: string;
            /** 降序排序（不要问我为什么是descend不是desc，前端约定参数就是这样） */
            descStr?: string;
            /** 复杂查询条件 */
            searchParameters?: Condition[];
            /** 监测计划ID */
            examPlanId?: number;
            /** 监测学期 */
            semesterId?: number;
            /** 计划名称 */
            examPlanName?: string;
            /** 机构名称 */
            sysOrgName?: string;
        };

        /** 监测机构上报类型输出参数 */
        type ExamOrgDataReportOutput = {
            /** 主键 */
            id: number;
            /** 监测机构ID */
            examOrgId: number;
            /** 监测计划ID */
            examPlanId: number;
            /** 监测机构ID */
            sysOrgId: number;
            type: DataReportType;
            status: DataReportStatus;
            /** 上报人用户ID */
            reportSysUserId?: number;
            /** 开始时间 */
            reportTime?: string;
            /** 备注 */
            remark?: string;
            /** 佐证材料列表 */
            attachmentList?: AttachmentItem[];
            examOrg?: ExamOrgOutput;
            reportSysUser?: SysUserLiteOutput;
        };

        /** 分页查询机构上报类型输入参数 */
        type ExamOrgDataReportPageInput = {
            /** 当前页码 */
            pageIndex: number;
            /** 每页大小 */
            pageSize: number;
            /** 搜索值 */
            searchValue?: string;
            /** 搜索开始时间 */
            searchBeginTime?: string;
            /** 搜索结束时间 */
            searchEndTime?: string;
            /** 排序字段 */
            sortField?: string;
            /** 排序方法，默认升序，否则降序（配合antd前端，约定参数为 Ascend，Dscend） */
            sortOrder?: string;
            /** 降序排序（不要问我为什么是descend不是desc，前端约定参数就是这样） */
            descStr?: string;
            /** 复杂查询条件 */
            searchParameters?: Condition[];
            type: DataReportType;
            status?: DataReportStatus;
            /** 监测名称 */
            name?: string;
            /** 监测学期 */
            semesterId?: number;
        };

        /** 监测计划及机构上报类型联合输出参数 */
        type ExamOrgDataReportUnionOutput = {
            /** 监测计划上报类型ID */
            examDataReportId: number;
            examDataReport?: ExamDataReportOutput;
            /** 监测机构上报类型ID */
            examOrgDataReportId?: number;
            examOrgDataReport?: ExamOrgDataReportOutput;
            examPlan?: ExamPlanOutput;
            /** 机构ID */
            sysOrgId: number;
            /** 是否已过期 */
            isExpired: boolean;
        };

        /** 分页查询未加入的被监测机构输入参数 */
        type ExamOrgNotInPageInput = {
            /** 当前页码 */
            pageIndex: number;
            /** 每页大小 */
            pageSize: number;
            /** 搜索值 */
            searchValue?: string;
            /** 搜索开始时间 */
            searchBeginTime?: string;
            /** 搜索结束时间 */
            searchEndTime?: string;
            /** 排序字段 */
            sortField?: string;
            /** 排序方法，默认升序，否则降序（配合antd前端，约定参数为 Ascend，Dscend） */
            sortOrder?: string;
            /** 降序排序（不要问我为什么是descend不是desc，前端约定参数就是这样） */
            descStr?: string;
            /** 复杂查询条件 */
            searchParameters?: Condition[];
            /** 监测计划ID */
            examPlanId: number;
            /** 代码 */
            code?: string;
            urbanRuralType?: UrbanRuralType;
            status?: CommonStatus;
            /** 名称 */
            name?: string;
        };

        /** 监测机构输出参数 */
        type ExamOrgOutput = {
            /** 主键 */
            id: number;
            /** 监测计划ID */
            examPlanId: number;
            /** 监测机构ID */
            sysOrgId: number;
            /** 是否参与监测 */
            isRequiredExam: boolean;
            sysOrg?: SysOrgLiteOutput;
            /** 上报状态 */
            dataReports?: any;
            /** 上报列表 */
            dataReportList?: ExamOrgDataReportOutput[];
        };

        /** 分页查询被监测机构输入参数 */
        type ExamOrgPageInput = {
            /** 当前页码 */
            pageIndex: number;
            /** 每页大小 */
            pageSize: number;
            /** 搜索值 */
            searchValue?: string;
            /** 搜索开始时间 */
            searchBeginTime?: string;
            /** 搜索结束时间 */
            searchEndTime?: string;
            /** 排序字段 */
            sortField?: string;
            /** 排序方法，默认升序，否则降序（配合antd前端，约定参数为 Ascend，Dscend） */
            sortOrder?: string;
            /** 降序排序（不要问我为什么是descend不是desc，前端约定参数就是这样） */
            descStr?: string;
            /** 复杂查询条件 */
            searchParameters?: Condition[];
            /** 监测计划ID */
            examPlanId: number;
            /** 机构名称 */
            orgName?: string;
        };

        /** 机构反馈文件输出参数 */
        type ExamOrgResultOutput = {
            /** 主键 */
            id: number;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 修改者Id */
            updateSysUserId?: number;
            createSysUser: SysUserLiteOutput;
            updateSysUser?: SysUserLiteOutput;
            /** 监测计划ID */
            examPlanId: number;
            /** 监测结果发布内容ID */
            examDataPublishId: number;
            /** 监测机构ID */
            examOrgId: number;
            /** 机构ID */
            sysOrgId: number;
            /** 文件名 */
            fileName: string;
            /** 文件路径 */
            filePath: string;
            /** 扩展名 */
            fileExtName: string;
            /** 文件大小 */
            fileSize: string;
            /** 访问地址 */
            url?: string;
            examOrg?: ExamOrgOutput;
            examDataPublish?: ExamDataPublishOutput;
        };

        /** 列匹配结果 */
        type ExamOrgScoreReportColumnMatchValue = {
            /** 是否匹配 */
            isMatched?: boolean;
            /** 列名 */
            name?: string;
        };

        /** 校考成绩上报输出参数 */
        type ExamOrgScoreReportItem = {
            /** 监测科目ID */
            examCourseId: number;
            /** 监测计划ID */
            examPlanId: number;
            /** 监测年级ID */
            examGradeId: number;
            /** 入学年份 */
            gradeBeginYear: number;
            /** 年级ID */
            gradeId: number;
            /** 年级 */
            gradeName: string;
            /** 科目ID */
            courseId: number;
            /** 科目 */
            courseName: string;
            /** 成绩模板配置 */
            scoreReportConfig: string;
            /** 校考成绩上报ID */
            id?: number;
            /** 文件名 */
            fileName: string;
            /** 文件路径 */
            filePath: string;
            /** 扩展名 */
            fileExtName: string;
            /** 文件大小 */
            fileSize: string;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 创建人 */
            createSysUserName: string;
            /** 修改者Id */
            updateSysUserId?: number;
        };

        /** 校考成绩上报输出参数 */
        type ExamOrgScoreReportOutput = {
            /** 主键 */
            id: number;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 修改者Id */
            updateSysUserId?: number;
            createSysUser: SysUserLiteOutput;
            updateSysUser?: SysUserLiteOutput;
            /** 监测计划ID */
            examPlanId: number;
            /** 监测年级ID */
            examGradeId: number;
            /** 年级ID */
            gradeId: number;
            /** 科目ID */
            courseId: number;
            /** 文件名 */
            fileName: string;
            /** 文件路径 */
            filePath: string;
            /** 扩展名 */
            fileExtName: string;
            /** 文件大小 */
            fileSize: string;
            course?: CourseLiteOutput;
            examGrade?: ExamGradeOutput;
        };

        /** 批量初始化试卷输入参数 */
        type ExamPaperBatchInitInput = {
            examPlanId?: number;
        };

        /** 分页查询试卷编撰监测计划输入参数 */
        type ExamPaperExamPlanPageInput = {
            /** 当前页码 */
            pageIndex: number;
            /** 每页大小 */
            pageSize: number;
            /** 搜索值 */
            searchValue?: string;
            /** 搜索开始时间 */
            searchBeginTime?: string;
            /** 搜索结束时间 */
            searchEndTime?: string;
            /** 排序字段 */
            sortField?: string;
            /** 排序方法，默认升序，否则降序（配合antd前端，约定参数为 Ascend，Dscend） */
            sortOrder?: string;
            /** 降序排序（不要问我为什么是descend不是desc，前端约定参数就是这样） */
            descStr?: string;
            /** 复杂查询条件 */
            searchParameters?: Condition[];
            educationStage?: EducationStage;
            /** 学期ID */
            semesterId?: number;
            /** 名称 */
            name?: string;
            status?: ExamStatus;
            writerType: ExamPaperWriterType;
        };

        /** 试卷简要输出参数 */
        type ExamPaperLiteOutput = {
            /** 主键 */
            id: number;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 修改者Id */
            updateSysUserId?: number;
            createSysUser: SysUserLiteOutput;
            updateSysUser?: SysUserLiteOutput;
            /** 监测计划ID */
            examPlanId: number;
            /** 监测年级ID */
            examGradeId: number;
            /** 年级ID */
            gradeId: number;
            /** 监测科目ID */
            examCourseId: number;
            /** 科目ID */
            courseId: number;
            /** 名称 */
            name: string;
            /** 总分 */
            score: number;
            /** 备注 */
            remark?: string;
            /** 问题 */
            questions?: string;
            /** 建议 */
            suggestions?: string;
            twclStatus: AuditStatus;
            /** 双向细目表编制是否已提交 */
            twclSubmitted?: boolean;
            /** 双向细目表编制审核记录 */
            twclAuditList?: AuditItem[];
            /** 双向细目表编制人用户ID */
            twclSysUserId?: number;
            suggestionStatus: AuditStatus;
            /** 问题建议是否已提交 */
            suggestionSubmitted?: boolean;
            /** 问题建议撰写审核记录 */
            suggestionAuditList?: AuditItem[];
            /** 问题建议撰写人用户ID */
            suggestionSysUserId?: number;
            grade?: GradeOutput;
            course?: CourseOutput;
            examPlan?: ExamPlanLiteOutput;
            twclSysUser?: SysUserLiteOutput;
            suggestionSysUser?: SysUserLiteOutput;
        };

        /** 试卷输出参数 */
        type ExamPaperOutput = {
            /** 主键 */
            id: number;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 修改者Id */
            updateSysUserId?: number;
            createSysUser: SysUserLiteOutput;
            updateSysUser?: SysUserLiteOutput;
            /** 监测计划ID */
            examPlanId: number;
            /** 监测年级ID */
            examGradeId: number;
            /** 年级ID */
            gradeId: number;
            /** 监测科目ID */
            examCourseId: number;
            /** 科目ID */
            courseId: number;
            /** 名称 */
            name: string;
            /** 总分 */
            score: number;
            /** 备注 */
            remark?: string;
            /** 问题 */
            questions?: string;
            /** 建议 */
            suggestions?: string;
            twclStatus: AuditStatus;
            /** 双向细目表编制是否已提交 */
            twclSubmitted?: boolean;
            /** 双向细目表编制审核记录 */
            twclAuditList?: AuditItem[];
            /** 双向细目表编制人用户ID */
            twclSysUserId?: number;
            suggestionStatus: AuditStatus;
            /** 问题建议是否已提交 */
            suggestionSubmitted?: boolean;
            /** 问题建议撰写审核记录 */
            suggestionAuditList?: AuditItem[];
            /** 问题建议撰写人用户ID */
            suggestionSysUserId?: number;
            grade?: GradeOutput;
            course?: CourseOutput;
            examPlan?: ExamPlanLiteOutput;
            twclSysUser?: SysUserLiteOutput;
            suggestionSysUser?: SysUserLiteOutput;
            /** 小题列表 */
            examPaperQuestionMinors?: ExamPaperQuestionMinorOutput[];
        };

        /** 试卷大题输出参数 */
        type ExamPaperQuestionMajorOutput = {
            /** 主键 */
            id: number;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 修改者Id */
            updateSysUserId?: number;
            createSysUser: SysUserLiteOutput;
            updateSysUser?: SysUserLiteOutput;
            /** 双向细目表头ID */
            examPaperId: number;
            /** 顺序 */
            sequence: number;
            /** 题号 */
            number: string;
            /** 标题 */
            title?: string;
            /** 提示语 */
            hint?: string;
            /** 分值 */
            score: number;
            /** 备注 */
            remark?: string;
        };

        /** 试卷小题输出参数 */
        type ExamPaperQuestionMinorOutput = {
            /** 主键 */
            id: number;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 修改者Id */
            updateSysUserId?: number;
            createSysUser: SysUserLiteOutput;
            updateSysUser?: SysUserLiteOutput;
            /** 双向细目表头ID */
            examPaperId: number;
            questionCatalog?: QuestionCatalog;
            /** 大题ID */
            examPaperQuestionMajorId?: number;
            /** 顺序 */
            sequence: number;
            /** 成绩文件列名 */
            columnName: string;
            /** 小题 */
            name: string;
            /** 分值 */
            score: number;
            /** 知识模块 */
            knowledgeModule?: string;
            /** 知识点 */
            knowledgePoint?: string;
            cognitiveAbility?: CognitiveAbility;
            /** 预估难度 */
            estimatedDifficulty?: number;
            /** 是否选做 */
            isChoose: boolean;
            /** 是否最小计分项 */
            isLeaf: boolean;
            examPaperQuestionMajor?: ExamPaperQuestionMajorOutput;
        };

        /** 试卷待处理监测计划输出参数 */
        type ExamPaperTodoPlanOutput = {
            /** 监测计划ID */
            examPlanId?: number;
            /** 监测计划名称 */
            examPlanName?: string;
            /** 监测计划全称 */
            examPlanFullName?: string;
            examPlanStatus?: ExamStatus;
            /** 学期ID */
            semsterId?: number;
            /** 总数量 */
            totalCount?: number;
            /** 双向细目表编制已提交数量 */
            twclUnsubmitCount?: number;
            /** 双向细目表编制未提交数量 */
            twclSubmittedCount?: number;
            /** 问题建议撰写已提交数量 */
            suggestionUnsubmitCount?: number;
            /** 问题建议撰写未提交数量 */
            suggestionSubmittedCount?: number;
        };

        /** 计划内审核输出参数 */
        type ExamPlanAuditOutput = {
            /** 监测计划ID */
            id: number;
            /** 监测计划名称 */
            name: string;
            /** 监测计划全称 */
            fullName: string;
            /** 监测计划简称 */
            shortName: string;
            educationStage: EducationStage;
            /** 学期ID */
            semesterId: number;
            status: ExamStatus;
            /** 机构数量 */
            orgCount: number;
            /** 总数量 */
            totalCount: number;
            /** 待审核数量 */
            auditCount: number;
            /** 已通过数量 */
            approvedCount: number;
            /** 已驳回数量 */
            rejectedCount: number;
            /** 前期认定数量 */
            preIdentifiedCount: number;
        };

        /** 监测计划简要输出参数 */
        type ExamPlanLiteOutput = {
            /** 主键 */
            id: number;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 修改者Id */
            updateSysUserId?: number;
            createSysUser: SysUserLiteOutput;
            updateSysUser?: SysUserLiteOutput;
            educationStage: EducationStage;
            /** 学期ID */
            semesterId: number;
            /** 序，同一学段、学期、监测类型从1开始计数 */
            sequence: number;
            /** 名称 */
            name: string;
            /** 全称 */
            fullName: string;
            /** 简称 */
            shortName: string;
            /** 备注 */
            remark?: string;
            /** 监测配置 */
            config: string;
            /** 是否已固定监测抽样方案 */
            isFixedExamSample: boolean;
            status: ExamStatus;
            /** 开始时间 */
            beginTime?: string;
            /** 结束时间 */
            endTime?: string;
        };

        /** 计划内审核输出参数 */
        type ExamPlanOrgAuditOutput = {
            /** 行号 */
            rowNumber: number;
            /** 监测计划ID */
            examPlanId: number;
            /** 监测计划名称 */
            examPlanName: string;
            /** 监测计划全称 */
            examPlanFullName: string;
            educationStage: EducationStage;
            /** 学期ID */
            semesterId: number;
            /** 机构ID */
            sysOrgId?: number;
            /** 机构全称 */
            sysOrgFullName?: string;
            /** 机构名称 */
            sysOrgName?: string;
            /** 机构代码 */
            sYsOrgCode?: string;
            /** 上报时间 */
            reportTime: string;
            examStatus?: ExamStatus;
            dataReportStatus?: DataReportStatus;
            /** 总数量 */
            totalCount: number;
            /** 待审核数量 */
            auditCount: number;
            /** 已通过数量 */
            approvedCount: number;
            /** 已驳回数量 */
            rejectedCount: number;
            /** 前期认定数量 */
            preIdentifiedCount: number;
        };

        /** 机构监测计划上报输出参数 */
        type ExamPlanOrgDataReportOutput = {
            /** 行号 */
            rowNumber: number;
            /** 监测计划ID */
            examPlanId: number;
            /** 监测计划ID */
            examPlanFullName: string;
            /** 监测计划ID */
            examPlanName: string;
            /** 监测计划ID */
            examPlanShortName: string;
            examPlanStatus: ExamStatus;
            educationStage: EducationStage;
            /** 学期ID */
            semesterId: number;
            /** 机构ID */
            sysOrgId: number;
            /** 开始时间 */
            beginTime: string;
            /** 结束时间 */
            endTime: string;
            type: DataReportType;
            examStatus: ExamStatus;
            status: DataReportStatus;
            /** 上报人用户ID */
            reportSysUserId?: number;
            /** 上报人 */
            reportSysUserName?: string;
            /** 开始时间 */
            reportTime?: string;
        };

        /** 监测计划输出参数 */
        type ExamPlanOutput = {
            /** 主键 */
            id: number;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 修改者Id */
            updateSysUserId?: number;
            createSysUser: SysUserLiteOutput;
            updateSysUser?: SysUserLiteOutput;
            educationStage: EducationStage;
            /** 学期ID */
            semesterId: number;
            /** 序，同一学段、学期、监测类型从1开始计数 */
            sequence: number;
            /** 名称 */
            name: string;
            /** 全称 */
            fullName: string;
            /** 简称 */
            shortName: string;
            /** 备注 */
            remark?: string;
            /** 监测配置 */
            config: string;
            /** 是否已固定监测抽样方案 */
            isFixedExamSample: boolean;
            status: ExamStatus;
            /** 开始时间 */
            beginTime?: string;
            /** 结束时间 */
            endTime?: string;
            semester?: SemesterOutput;
            /** 监测年级列表 */
            examGrades?: ExamGradeOutput[];
            /** 监测上报类型列表 */
            examDataReports?: ExamDataReportOutput[];
            /** 监测发布内容列表 */
            examDataPublishs?: ExamDataPublishOutput[];
        };

        /** 分页查询监测计划输入参数 */
        type ExamPlanPageInput = {
            /** 当前页码 */
            pageIndex: number;
            /** 每页大小 */
            pageSize: number;
            /** 搜索值 */
            searchValue?: string;
            /** 搜索开始时间 */
            searchBeginTime?: string;
            /** 搜索结束时间 */
            searchEndTime?: string;
            /** 排序字段 */
            sortField?: string;
            /** 排序方法，默认升序，否则降序（配合antd前端，约定参数为 Ascend，Dscend） */
            sortOrder?: string;
            /** 降序排序（不要问我为什么是descend不是desc，前端约定参数就是这样） */
            descStr?: string;
            /** 复杂查询条件 */
            searchParameters?: Condition[];
            educationStage?: EducationStage;
            /** 学期ID */
            semesterId?: number;
            /** 名称 */
            name?: string;
            status?: ExamStatus;
        };

        /** 监测反馈结果输出参数 */
        type ExamResultOutput = {
            /** 主键 */
            id: number;
            /** 监测计划ID */
            examPlanId: number;
            /** 监测结果发布内容ID */
            examDataPublishId: number;
            /** 文件名 */
            fileName: string;
            /** 文件路径 */
            filePath: string;
            /** 扩展名 */
            fileExtName: string;
            /** 文件大小 */
            fileSize: string;
        };

        /** 监测抽样配置 */
        type ExamSampleConfig = {
            /** 抽样百分比 */
            percent?: number;
            /** 开启年级只有一个班控制 */
            isEnabledOnlyOneClassStudentMin?: boolean;
            /** 年级只有一个班时最少学生数 */
            onlyOneClassStudentMin?: number;
            /** 开启年级多于一个班控制 */
            isEnabledGradeNoSampleStudentMin?: boolean;
            /** 年级多于一个班时未抽样最少学生数 */
            gradeNoSampleStudentMin?: number;
            /** 开启班级最少学生数控制 */
            isEnabledClassStudentMin?: boolean;
            /** 班级抽样最少学生数 */
            classStudentMin?: number;
            /** 是否排除特殊学生 */
            isExcludeSpecialStudent?: boolean;
            /** 是否年级内随机排序 */
            isGradeSeatNumberRandom?: boolean;
            /** 排除特殊学生必须是审核通过的，否则只要提交上报的就算 */
            specialStudentMustApproved?: boolean;
            /** 起始抽样位置 */
            startPosition?: number;
            /** 抽样间距，抽样的两个学生之间隔多少人 */
            interval?: number;
            /** 是否随机抽样 */
            isRandomSampling?: boolean;
            /** 全抽班级ID列表 */
            sampleAllSchoolClassIds?: string[];
            /** 排除不抽样学校ID列表 */
            excludeSysOrgIds?: number[];
        };

        /** 抽样数量统计输出参数 */
        type ExamSampleCountOutput = {
            /** 类型ID */
            typeId?: number;
            /** 类型名称 */
            typeName?: string;
            /** 机构ID */
            sysOrgId?: number;
            /** 机构代码 */
            sysOrgCode?: string;
            /** 机构名称 */
            sysOrgName?: string;
            /** 机构全称 */
            sysOrgFullName?: string;
            /** 年级ID */
            gradeId?: number;
            /** 年级名称 */
            gradeName?: string;
            /** 班级ID */
            schoolClassId?: string;
            /** 班级号 */
            classNumber?: number;
            /** 学生总数 */
            totalStudentCount?: number;
            /** 区测学生数 */
            centerStudentCount?: number;
            /** 校测学生数 */
            schoolStudentCount?: number;
        };

        /** 监测方案输出参数 */
        type ExamSampleOutput = {
            /** 主键 */
            id: number;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 修改者Id */
            updateSysUserId?: number;
            createSysUser: SysUserLiteOutput;
            updateSysUser?: SysUserLiteOutput;
            /** 监测计划ID */
            examPlanId: number;
            /** 序，同一监测从1开始计数 */
            sequence: number;
            /** 名称 */
            name: string;
            /** 全称 */
            fullName: string;
            /** 简称 */
            shortName: string;
            /** 备注 */
            remark?: string;
            status: ExamSampleStatus;
            config: ExamSampleConfig;
            /** 成绩引用监测计划ID */
            examScoreRefExamPlanId?: number;
            /** 是否已固定监测抽样方案 */
            isFixedExamSample: boolean;
            educationStage: EducationStage;
            /** 是否选中使用的方案 */
            isSelected: boolean;
            /** 选中使用时间 */
            selectedTime?: string;
            /** 选中使用操作用户ID */
            selectedSysUserId?: number;
            selectedSysUser?: SysUserLiteOutput;
            examScoreRefExamPlan?: ExamPlanLiteOutput;
        };

        /** 带监测计划的抽样方案输出参数 */
        type ExamSamplePlanOutput = {
            /** 主键 */
            id: number;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 修改者Id */
            updateSysUserId?: number;
            createSysUser: SysUserLiteOutput;
            updateSysUser?: SysUserLiteOutput;
            /** 监测计划ID */
            examPlanId: number;
            /** 序，同一监测从1开始计数 */
            sequence: number;
            /** 名称 */
            name: string;
            /** 全称 */
            fullName: string;
            /** 简称 */
            shortName: string;
            /** 备注 */
            remark?: string;
            status: ExamSampleStatus;
            config: ExamSampleConfig;
            /** 成绩引用监测计划ID */
            examScoreRefExamPlanId?: number;
            /** 是否已固定监测抽样方案 */
            isFixedExamSample: boolean;
            educationStage: EducationStage;
            /** 是否选中使用的方案 */
            isSelected: boolean;
            /** 选中使用时间 */
            selectedTime?: string;
            /** 选中使用操作用户ID */
            selectedSysUserId?: number;
            selectedSysUser?: SysUserLiteOutput;
            examScoreRefExamPlan?: ExamPlanLiteOutput;
            examPlan?: ExamPlanOutput;
        };

        /** 抽样学生输出参数 */
        type ExamSampleStudentOutput = {
            /** 主键 */
            id: string;
            /** 抽样方案ID */
            examSampleId: number;
            /** 监测样本学生ID */
            examStudentId: string;
            /** 监测号 */
            examNumber: string;
            /** 序号 */
            sequence: number;
            examSampleType: ExamSampleType;
            /** 是否为特殊学生 */
            isSpecialStudent: boolean;
            /** 前期总成绩 */
            preTotalScore: number;
            examStudent?: ExamStudentOutput;
        };

        /** 分页查询抽样学生 */
        type ExamSampleStudentPageInput = {
            /** 当前页码 */
            pageIndex: number;
            /** 每页大小 */
            pageSize: number;
            /** 搜索值 */
            searchValue?: string;
            /** 搜索开始时间 */
            searchBeginTime?: string;
            /** 搜索结束时间 */
            searchEndTime?: string;
            /** 排序字段 */
            sortField?: string;
            /** 排序方法，默认升序，否则降序（配合antd前端，约定参数为 Ascend，Dscend） */
            sortOrder?: string;
            /** 降序排序（不要问我为什么是descend不是desc，前端约定参数就是这样） */
            descStr?: string;
            /** 复杂查询条件 */
            searchParameters?: Condition[];
            /** 监测抽样ID */
            examSampleId: number;
            /** 年级ID */
            gradeId?: number;
            /** 班级ID */
            classNumber?: number;
            /** 学生姓名 */
            name?: string;
            certificateType?: CertificateType;
            /** 证件号码 */
            idNumber?: string;
            /** 监测号 */
            examNumber?: string;
            /** 校区ID */
            sysOrgBranchId?: number;
            examSampleType?: ExamSampleType;
        };

        /** 导出TQES输入文件输入参数 */
        type ExamScoreExportTqesFileInput = {
            /** 监测计划ID */
            examPlanId?: number;
            /** 非特殊学生0分转为缺考 */
            isZeroToAbsent?: boolean;
        };

        /** 特殊学生审核输入参数 */
        type ExamSepcialStudentAuditInput = {
            /** 监测特殊学生ID列表 */
            ids?: number[];
            /** 是否通过 */
            isApproved?: boolean;
            /** 审核意见 */
            remark?: string;
        };

        /** 监测特殊学生统计输出参数 */
        type ExamSpecialStudentCountOutput = {
            /** 班级列表 */
            classNumberList?: number[];
            /** 统计数据列表 */
            items?: any[];
            /** 总数 */
            total?: number;
        };

        /** 监测特殊学生上报输出参数 */
        type ExamSpecialStudentOutput = {
            /** 主键 */
            id: number;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 修改者Id */
            updateSysUserId?: number;
            createSysUser: SysUserLiteOutput;
            updateSysUser?: SysUserLiteOutput;
            /** 监测计划ID */
            examPlanId: number;
            /** 机构ID */
            sysOrgId: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 监测年级ID */
            examGradeId: number;
            /** 年级ID */
            gradeId: number;
            /** 班级ID */
            schoolClassId: string;
            /** 班号 */
            classNumber: number;
            /** 学籍号 */
            studentNumber?: string;
            /** 姓名 */
            name: string;
            certificateType: CertificateType;
            /** 证件号码 */
            idNumber?: string;
            /** 出生日期 */
            birthDate?: string;
            gender: Gender;
            /** 申请原因 */
            applyReason: string;
            /** 家长姓名 */
            patriarchName?: string;
            /** 家长电话 */
            patriarchTel: string;
            /** 备注 */
            remark?: string;
            status: AuditStatus;
            schoolClass?: SchoolClassLiteOutput;
            sysOrgBranch?: SysOrgLiteOutput;
            examGrade?: ExamGradeOutput;
            /** 佐证材料列表 */
            attachmentList?: AttachmentItem[];
            /** 审核记录 */
            auditList?: AuditItem[];
            /** 往期是否已认定 */
            isPreIdentified: boolean;
            /** 上一期总分科目数量 */
            preTotalCourse?: number;
            /** 上一期总分 */
            preTotalScore?: number;
        };

        /** 分页查询监测特殊学生输入参数 */
        type ExamSpecialStudentPageInput = {
            /** 当前页码 */
            pageIndex: number;
            /** 每页大小 */
            pageSize: number;
            /** 搜索值 */
            searchValue?: string;
            /** 搜索开始时间 */
            searchBeginTime?: string;
            /** 搜索结束时间 */
            searchEndTime?: string;
            /** 排序字段 */
            sortField?: string;
            /** 排序方法，默认升序，否则降序（配合antd前端，约定参数为 Ascend，Dscend） */
            sortOrder?: string;
            /** 降序排序（不要问我为什么是descend不是desc，前端约定参数就是这样） */
            descStr?: string;
            /** 复杂查询条件 */
            searchParameters?: Condition[];
            /** 监测计划ID */
            examPlanId: number;
            /** 机构ID */
            sysOrgId?: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 年级ID */
            gradeId?: number;
            /** 班级号 */
            classNumber?: number;
            /** 姓名 */
            name?: string;
            certificateType?: CertificateType;
            /** 证件号码 */
            idNumber?: string;
            gender?: Gender;
            /** 学籍号 */
            studentNumber?: string;
            /** 申请原因 */
            applyReason?: string;
            /** 家长电话 */
            patriarchTel?: string;
            /** 往期是否已认定 */
            isIdentified?: boolean;
            status?: AuditStatus;
        };

        /** 监测学生各班学生人数统计 */
        type ExamStudentCountItem = {
            /** 机构ID */
            sysOrgId: number;
            /** 机构全称 */
            sysOrgFullName: string;
            /** 机构名称 */
            sysOrgName: string;
            /** 机构代码 */
            sysOrgCode: string;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 校区名称 */
            sysOrgBranchName?: string;
            urbanRuralType: UrbanRuralType;
            /** 年级ID */
            gradeId: number;
            /** 入学年份 */
            gradeBeginYear: number;
            /** 年级号 */
            gradeNumber: number;
            /** 年级名称 */
            gradeName: string;
            /** 班级ID */
            schoolClassId: string;
            /** 班级号 */
            classNumber: number;
            /** 年级班级数量 */
            classCount: number;
            /** 班级学生人数 */
            studentCount: number;
            /** 年级数量 */
            gradeCount: number;
        };

        /** 查询班级学生人数输出参数 */
        type ExamStudentCountPageInput = {
            /** 当前页码 */
            pageIndex: number;
            /** 每页大小 */
            pageSize: number;
            /** 搜索值 */
            searchValue?: string;
            /** 搜索开始时间 */
            searchBeginTime?: string;
            /** 搜索结束时间 */
            searchEndTime?: string;
            /** 排序字段 */
            sortField?: string;
            /** 排序方法，默认升序，否则降序（配合antd前端，约定参数为 Ascend，Dscend） */
            sortOrder?: string;
            /** 降序排序（不要问我为什么是descend不是desc，前端约定参数就是这样） */
            descStr?: string;
            /** 复杂查询条件 */
            searchParameters?: Condition[];
            /** 监测计划ID */
            examPlanId: number;
            urbanRuralType?: UrbanRuralType;
            /** 年级ID */
            gradeId?: number;
            /** 班级号 */
            classNumber?: number;
            /** 学校名称 */
            sysOrgName?: string;
            /** 学校代码 */
            sysOrgCode?: string;
            /** 最少班级数量 */
            classCountMin?: number;
            /** 最多班级数量 */
            classCountMax?: number;
            /** 班级最少人数 */
            studentCountMin?: number;
            /** 班级最多人数 */
            studentCountMax?: number;
            /** 必须排除的班级ID列表 */
            excludeSchoolClassIds?: string[];
            /** 必须包含的班级ID列表 */
            includeSchoolClassIds?: string[];
        };

        /** 监测学生统计输出参数 */
        type ExamStudentGradeClassStudentCountOutput = {
            /** 班级列表 */
            classNumberList?: number[];
            /** 统计数据列表 */
            items?: any[];
            /** 总数 */
            total?: number;
        };

        /** 监测学生输出参数 */
        type ExamStudentOutput = {
            /** 主键 */
            id: string;
            /** 监测计划ID */
            examPlanId: number;
            /** 机构ID */
            sysOrgId: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 监测年级ID */
            examGradeId: number;
            /** 年级ID */
            gradeId: number;
            /** 班级ID */
            schoolClassId: string;
            /** 班号 */
            classNumber: number;
            /** 高中选科组合ID */
            nceeCourseCombId?: number;
            /** 自编监测号 */
            examNumber?: string;
            /** 学籍号 */
            studentNumber?: string;
            /** 考场号 */
            roomNumber?: string;
            /** 座位号 */
            seatNumber?: string;
            /** 姓名 */
            name: string;
            certificateType: CertificateType;
            /** 证件号码 */
            idNumber?: string;
            /** 出生日期 */
            birthDate?: string;
            gender: Gender;
            /** 备注 */
            remark?: string;
            schoolClass?: SchoolClassLiteOutput;
            sysOrgBranch?: SysOrgLiteOutput;
            examGrade?: ExamGradeOutput;
        };

        /** 分页查询监测学生输入参数 */
        type ExamStudentPageInput = {
            /** 当前页码 */
            pageIndex: number;
            /** 每页大小 */
            pageSize: number;
            /** 搜索值 */
            searchValue?: string;
            /** 搜索开始时间 */
            searchBeginTime?: string;
            /** 搜索结束时间 */
            searchEndTime?: string;
            /** 排序字段 */
            sortField?: string;
            /** 排序方法，默认升序，否则降序（配合antd前端，约定参数为 Ascend，Dscend） */
            sortOrder?: string;
            /** 降序排序（不要问我为什么是descend不是desc，前端约定参数就是这样） */
            descStr?: string;
            /** 复杂查询条件 */
            searchParameters?: Condition[];
            /** 监测计划ID */
            examPlanId: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 年级ID */
            gradeId?: number;
            /** 班级号 */
            classNumber?: number;
            /** 选科组合ID */
            nceeCourseCombId?: number;
            /** 姓名 */
            name?: string;
            certificateType?: CertificateType;
            /** 证件号码 */
            idNumber?: string;
            gender?: Gender;
            /** 学籍号 */
            studentNumber?: string;
            /** 自编监测号 */
            examNumber?: string;
            /** 考场号 */
            roomNumber?: string;
            /** 座位号 */
            seatNumber?: string;
        };

        /** 学生家长问卷填答情况输出参数 */
        type ExamStudentPatriarchQuestionnaireProgressOutput = {
            /** 行号 */
            rowNumber: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 校区名称 */
            sysOrgBranchName?: string;
            /** 选科组合ID */
            nceeCourseCombId?: number;
            /** 监测学生ID */
            id: string;
            /** 监测学生名称 */
            name: string;
            /** 年级ID */
            gradeId: number;
            /** 年级名称 */
            gradeName: string;
            /** 班级ID */
            schoolClassId: string;
            /** 班级名称 */
            schoolClassName: string;
            /** 入学年份 */
            gradeBeginYear: number;
            /** 班级号 */
            classNumber: number;
            certificateType: CertificateType;
            /** 证件号码 */
            idNumber: string;
            /** 填答手机号码 */
            mobile?: string;
            /** 提交时间 */
            submitTime?: string;
            /** 是否完成 */
            isCompleted: boolean;
        };

        /** 学生家长问卷填答情况输出参数 */
        type ExamStudentPatriarchQuestionnaireProgressPageInput = {
            /** 当前页码 */
            pageIndex: number;
            /** 每页大小 */
            pageSize: number;
            /** 搜索值 */
            searchValue?: string;
            /** 搜索开始时间 */
            searchBeginTime?: string;
            /** 搜索结束时间 */
            searchEndTime?: string;
            /** 排序字段 */
            sortField?: string;
            /** 排序方法，默认升序，否则降序（配合antd前端，约定参数为 Ascend，Dscend） */
            sortOrder?: string;
            /** 降序排序（不要问我为什么是descend不是desc，前端约定参数就是这样） */
            descStr?: string;
            /** 复杂查询条件 */
            searchParameters?: Condition[];
            /** 监测计划ID */
            examPlanId: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 年级ID */
            gradeId?: number;
            /** 班级号 */
            classNumber?: number;
            /** 选科组合ID */
            nceeCourseCombId?: number;
            /** 姓名 */
            name?: string;
            certificateType?: CertificateType;
            /** 证件号码 */
            idNumber?: string;
            gender?: Gender;
            /** 填答手机号 */
            mobile?: string;
        };

        /** 学生家长问卷填答进度统计输出参数 */
        type ExamStudentPatriarchQuestionnaireProgressStatOutput = {
            /** 主键 */
            id: number;
            /** 年级ID */
            gradeId: number;
            /** 年级名称 */
            gradeName: string;
            /** 入学年份 */
            gradeBeginYear: number;
            /** 班号 */
            classNumber: number;
            /** 总人数 */
            totalCount: number;
            /** 完成数量 */
            completedCount: number;
            /** 未完成数量 */
            uncompletedCount: number;
            /** 完成率 */
            completedProgress: number;
        };

        /** 监测教师任教科目输出参数 */
        type ExamTeacherCourseOutput = {
            /** 主键 */
            id: number;
            /** 监测计划ID */
            examPlanId: number;
            /** 机构ID */
            sysOrgId: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 姓名 */
            name: string;
            certificateType: CertificateType;
            /** 证件号码 */
            idNumber?: string;
            /** 监测年级ID */
            examGradeId: number;
            /** 年级ID */
            gradeId: number;
            /** 班级ID */
            schoolClassId: string;
            /** 班号 */
            classNumber: number;
            /** 科目ID */
            courseId: number;
            /** 备注 */
            remark?: string;
            schoolClass?: SchoolClassLiteOutput;
            sysOrg?: SysOrgLiteOutput;
            sysOrgBranch?: SysOrgLiteOutput;
            examGrade?: ExamGradeOutput;
            course?: CourseOutput;
        };

        /** 分页查询监测教师任教学科 */
        type ExamTeacherCoursePageInput = {
            /** 当前页码 */
            pageIndex: number;
            /** 每页大小 */
            pageSize: number;
            /** 搜索值 */
            searchValue?: string;
            /** 搜索开始时间 */
            searchBeginTime?: string;
            /** 搜索结束时间 */
            searchEndTime?: string;
            /** 排序字段 */
            sortField?: string;
            /** 排序方法，默认升序，否则降序（配合antd前端，约定参数为 Ascend，Dscend） */
            sortOrder?: string;
            /** 降序排序（不要问我为什么是descend不是desc，前端约定参数就是这样） */
            descStr?: string;
            /** 复杂查询条件 */
            searchParameters?: Condition[];
            /** 监测计划ID */
            examPlanId: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 姓名 */
            name?: string;
            certificateType?: CertificateType;
            /** 证件号码 */
            idNumber?: string;
            /** 年级ID */
            gradeId?: number;
            /** 班号 */
            classNumber?: number;
            /** 科目ID */
            courseId?: number;
        };

        /** 监测教师输出参数 */
        type ExamTeacherOutput = {
            /** 主键 */
            id: number;
            /** 监测计划ID */
            examPlanId: number;
            /** 机构ID */
            sysOrgId: number;
            /** 姓名 */
            name: string;
            schoolJobTitle: SchoolJobTitle;
            certificateType: CertificateType;
            /** 证件号码 */
            idNumber?: string;
            /** 出生日期 */
            birthDate?: string;
            gender: Gender;
            /** 手机号码 */
            mobile?: string;
            /** 电子邮箱 */
            email?: string;
            /** 备注 */
            remark?: string;
        };

        /** 分页查询监测教师 */
        type ExamTeacherPageInput = {
            /** 当前页码 */
            pageIndex: number;
            /** 每页大小 */
            pageSize: number;
            /** 搜索值 */
            searchValue?: string;
            /** 搜索开始时间 */
            searchBeginTime?: string;
            /** 搜索结束时间 */
            searchEndTime?: string;
            /** 排序字段 */
            sortField?: string;
            /** 排序方法，默认升序，否则降序（配合antd前端，约定参数为 Ascend，Dscend） */
            sortOrder?: string;
            /** 降序排序（不要问我为什么是descend不是desc，前端约定参数就是这样） */
            descStr?: string;
            /** 复杂查询条件 */
            searchParameters?: Condition[];
            /** 监测计划ID */
            examPlanId: number;
            /** 姓名 */
            name?: string;
            schoolJobTitle?: SchoolJobTitle;
            certificateType?: CertificateType;
            /** 证件号码 */
            idNumber?: string;
            gender?: Gender;
            /** 手机号码 */
            mobile?: string;
            /** 电子邮箱 */
            email?: string;
        };

        /** 导出未答题学生输入参数 */
        type ExportExamPatriarchQuestionnaireProgressInput = {
            /** 监测计划ID */
            examPlanId?: number;
        };

        /** 常规验证码输入 */
        type GeneralCaptchaInput = {
            /** 验证码字符 */
            captchaCode: string;
            /** Token */
            token?: string;
        };

        /** 验证码输出参数 */
        type GeneralCaptchaOutput = {
            /** 错误代码，0表示成功 */
            code?: number;
            /** 错误消息 */
            message?: string;
            /** 验证码图片 base64 */
            imageBase64?: string;
            /** 验证码 token */
            token?: string;
        };

        /** 年级输出参数 */
        type GradeOutput = {
            /** 主键 */
            id: number;
            educationStage: EducationStage;
            /** 年级号 */
            gradeNumber: number;
            /** 年级号2 */
            gradeNumber2: number;
            /** 名称 */
            name: string;
            /** 名称2 */
            name2: string;
            /** 全称 */
            fullName: string;
            /** 简称 */
            shortName: string;
            /** 备注 */
            remark?: string;
            status: CommonStatus;
        };

        /** 年级学制输出参数 */
        type GradeYearOutput = {
            /** 主键 */
            id: number;
            educationStage: EducationStage;
            /** 年级号 */
            gradeNumber: number;
            /** 年级号2 */
            gradeNumber2: number;
            /** 名称 */
            name: string;
            /** 名称2 */
            name2: string;
            /** 全称 */
            fullName: string;
            /** 年份（级） */
            gradeBeginYear: number;
            /** 年份（届） */
            gradeEndYear: number;
            /** 级名 */
            gradeBeginName: string;
            /** 届名 */
            gradeEndName: string;
            /** 级全名 */
            gradeBeginFullName: string;
            /** 届全名 */
            gradeEndFullName: string;
            /** 学制（共几年） */
            educationYears: number;
        };

        /** 授权角色菜单参数 */
        type GrantSysRoleMenuInput = {
            /** 角色ID */
            roleId: number;
            /** 菜单及数据范围标识 */
            roleMenuScopeList?: SysRoleMenuScopeInput[];
        };

        /** 导入缺测替补输入参数 */
        type ImportExamAbsentReplaceInput = {
            /** 监测计划ID */
            examPlanId: number;
            /** 机构ID */
            sysOrgId?: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 导入行 */
            items: ImportExamAbsentReplaceItem[];
            dataImportMode: DataImportMode;
        };

        /** 导入缺测替补输入参数 */
        type ImportExamAbsentReplaceItem = {
            /** 监测计划ID */
            examPlanId: number;
            /** 监测年级ID */
            examGradeId: number;
            /** 年级ID */
            gradeId: number;
            /** 班级号 */
            classNumber: number;
            /** 缺测学生姓名 */
            absentName: string;
            /** 缺测学生监测号 */
            absentExamNumber: string;
            /** 缺测科目 */
            absentCourses: string;
            /** 缺测原因 */
            absentReason: string;
            /** 是否有替补 */
            isReplaced: boolean;
            /** 替补学生姓名 */
            replaceName?: string;
            /** 替补学生监测号 */
            replaceExamNumber?: string;
            /** 家长姓名 */
            patriarchName?: string;
            /** 家长电话 */
            patriarchTel?: string;
            /** 备注 */
            remark?: string;
        };

        /** 导入监测特殊学生输入参数 */
        type ImportExamSpecialStudentInput = {
            /** 监测计划ID */
            examPlanId: number;
            /** 机构ID */
            sysOrgId?: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 导入行 */
            items: ImportExamSpecialStudentItem[];
            dataImportMode: DataImportMode;
        };

        /** 导入监测特殊学生输入参数 */
        type ImportExamSpecialStudentItem = {
            /** 监测计划ID */
            examPlanId: number;
            /** 监测年级ID */
            examGradeId: number;
            /** 年级ID */
            gradeId: number;
            /** 班级号 */
            classNumber: number;
            /** 姓名 */
            name: string;
            certificateType: CertificateType;
            /** 证件号码 */
            idNumber?: string;
            gender?: Gender;
            /** 学籍号 */
            studentNumber?: string;
            /** 申请原因 */
            applyReason: string;
            /** 家长姓名 */
            patriarchName?: string;
            /** 家长电话 */
            patriarchTel?: string;
            /** 备注 */
            remark?: string;
        };

        /** 导入监测学生输入参数 */
        type ImportExamStudentInput = {
            /** 监测计划ID */
            examPlanId: number;
            /** 监测年级ID */
            examGradeId: number;
            /** 年级ID */
            gradeId: number;
            /** 机构ID */
            sysOrgId?: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 导入行 */
            items: ImportExamStudentItem[];
            dataImportMode: DataImportMode;
        };

        /** 导入监测学生输入参数 */
        type ImportExamStudentItem = {
            /** 监测计划ID */
            examPlanId: number;
            /** 监测年级ID */
            examGradeId: number;
            /** 年级ID */
            gradeId: number;
            /** 班级号 */
            classNumber: number;
            /** 选科组合ID */
            nceeCourseCombId?: number;
            /** 姓名 */
            name: string;
            certificateType: CertificateType;
            /** 证件号码 */
            idNumber?: string;
            gender?: Gender;
            /** 学籍号 */
            studentNumber?: string;
            /** 自编监测号 */
            examNumber?: string;
            /** 考场号 */
            roomNumber?: string;
            /** 座位号 */
            seatNumber?: string;
            /** 备注 */
            remark?: string;
        };

        /** 批量导入监测教师任教学科输入参数 */
        type ImportExamTeacherCourseInput = {
            /** 监测计划ID */
            examPlanId: number;
            /** 机构ID */
            sysOrgId?: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 导入行 */
            items: ImportExamTeacherCourseItem[];
            dataImportMode: DataImportMode;
        };

        /** 批量导入监测教师任教学科 */
        type ImportExamTeacherCourseItem = {
            /** 监测计划ID */
            examPlanId: number;
            /** 机构ID */
            sysOrgId?: number;
            /** 姓名 */
            name: string;
            certificateType: CertificateType;
            /** 证件号码 */
            idNumber?: string;
            /** 监测年级ID */
            examGradeId: number;
            /** 年级ID */
            gradeId: number;
            /** 班级号 */
            classNumber: number;
            /** 科目ID */
            courseId: number;
            /** 备注 */
            remark?: string;
        };

        /** 批量导入监测教师输入参数 */
        type ImportExamTeacherInput = {
            /** 监测计划ID */
            examPlanId: number;
            /** 机构ID */
            sysOrgId?: number;
            /** 导入行 */
            items: ImportExamTeacherItem[];
            dataImportMode: DataImportMode;
        };

        /** 批量导入监测教师 */
        type ImportExamTeacherItem = {
            /** 监测计划ID */
            examPlanId: number;
            /** 机构ID */
            sysOrgId?: number;
            /** 姓名 */
            name: string;
            schoolJobTitle: SchoolJobTitle;
            certificateType: CertificateType;
            /** 证件号码 */
            idNumber?: string;
            gender?: Gender;
            /** 手机号码 */
            mobile?: string;
            /** 电子邮箱 */
            email?: string;
            /** 备注 */
            remark?: string;
        };

        /** 登录输入参数 */
        type LoginInput = {
            /** 用户名 */
            account: string;
            /** 密码 */
            password: string;
            captcha: GeneralCaptchaInput;
            /** 新密码 */
            newPassword?: string;
        };

        /** 用户登录输出参数 */
        type LoginOutput = {
            /** 用户ID */
            id: number;
            /** 机构ID */
            sysOrgId: number;
            /** 名称 */
            name: string;
            /** 头像地址 */
            avatar?: string;
            /** 手机 */
            mobile?: string;
            /** 电子邮箱 */
            email?: string;
            /** 备注 */
            remark?: string;
            /** 账号 */
            account: string;
            /** 用户自定义配置 */
            config?: string;
            /** 最后登录IP */
            lastLoginIp?: string;
            /** 最后登录时间 */
            lastLoginTime?: string;
            /** 最后登陆所用浏览器 */
            lastLoginBrowser?: string;
            /** 最后登陆所用系统 */
            lastLoginOs?: string;
            sysOrg?: SysOrgLiteOutput;
            /** 角色信息 */
            sysRoles?: SysRoleOutput[];
            /** 权限信息 */
            permissions?: string[];
            /** 系统所有权限信息 */
            allPermissions?: string[];
            /** 登录菜单信息---AntDesign版本菜单 */
            menus?: AntMenuOutput[];
        };

        /** 高中划线参照划线输出参数 */
        type NceeBaseLineOutput = {
            /** 主键 */
            id: number;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 修改者Id */
            updateSysUserId?: number;
            createSysUser: SysUserLiteOutput;
            updateSysUser?: SysUserLiteOutput;
            /** 高考分析计划ID */
            nceePlanId: number;
            /** 首选科目ID */
            directionCourseId: number;
            nceeLineLevel: NceeLineLevel;
            /** 比例 */
            lineRate: number;
            /** 原始分划线分数 */
            lineScore: number;
            /** 赋分划线分数 */
            lineScoreX: number;
        };

        /** 高中选科组合 */
        type NceeCourseCombOutput = {
            /** 主键 */
            id: number;
            /** 首选科目ID */
            firstCourseId: number;
            /** 再选科目1ID */
            secondCourseId: number;
            /** 再选科目2ID */
            thirdCourseId: number;
            /** 名称 */
            name: string;
            /** 简称 */
            shortName: string;
            firstCourse?: CourseLiteOutput;
            secondCourse?: CourseLiteOutput;
            thirdCourse?: CourseLiteOutput;
        };

        /** 导出新高考报表输入参数 */
        type NceeExportInput = {
            /** 计划ID */
            nceePlanId: number;
            /** 导出整体分段统计 */
            isExportScoreRange?: boolean;
            /** 导出各机构分段统计 */
            isExportOrgScoreRange?: boolean;
            /** 导出整体划线统计 */
            isExportLine?: boolean;
            /** 导出各机构划线统计 */
            isExportOrgLine?: boolean;
            /** 导出整体班级划线统计 */
            isExportClassLine?: boolean;
            /** 导出整体转换分 */
            isExportConvertScore?: boolean;
            /** 导出各机构划线统计 */
            isExportOrgConvertScore?: boolean;
        };

        /** 高考模拟划线计划配置 */
        type NceePlanConfig = {
            /** 开启赋分 */
            convertEnabled?: boolean;
            /** 开启计算总有效分 */
            calcTotalLineScoreEnabled?: boolean;
            /** 开启计算单科有效分 */
            calcCourseLineScoreEnabled?: boolean;
            /** 开启选科组合统计 */
            courseCombStatEnabled?: boolean;
            /** 开启赋分导出 */
            exportConvertScoreEnabled?: boolean;
            /** 开启排名导出 */
            exportOrderEnabled?: boolean;
        };

        /** 高中划线分析计划输出参数 */
        type NceePlanOutput = {
            /** 主键 */
            id: number;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 修改者Id */
            updateSysUserId?: number;
            createSysUser: SysUserLiteOutput;
            updateSysUser?: SysUserLiteOutput;
            /** 学期ID */
            semesterId: number;
            /** 名称 */
            name: string;
            /** 全称 */
            fullName: string;
            /** 简称 */
            shortName: string;
            /** 备注 */
            remark?: string;
            config: NceePlanConfig;
            status: ExamStatus;
            /** 开始时间 */
            beginTime?: string;
            /** 结束时间 */
            endTime?: string;
            semester?: SemesterOutput;
            grade?: GradeOutput;
            /** 划线参与列表 */
            nceeBaseLines?: NceeBaseLineOutput[];
        };

        /** 分页查询高考模拟划线计划输入参数 */
        type NceePlanPageInput = {
            /** 当前页码 */
            pageIndex: number;
            /** 每页大小 */
            pageSize: number;
            /** 搜索值 */
            searchValue?: string;
            /** 搜索开始时间 */
            searchBeginTime?: string;
            /** 搜索结束时间 */
            searchEndTime?: string;
            /** 排序字段 */
            sortField?: string;
            /** 排序方法，默认升序，否则降序（配合antd前端，约定参数为 Ascend，Dscend） */
            sortOrder?: string;
            /** 降序排序（不要问我为什么是descend不是desc，前端约定参数就是这样） */
            descStr?: string;
            /** 复杂查询条件 */
            searchParameters?: Condition[];
            /** 学期ID */
            semesterId?: number;
            /** 年级ID */
            gradeId?: number;
            /** 名称 */
            name?: string;
            status?: ExamStatus;
        };

        /** 查询监测年级输入参数 */
        type QueryExamCourseInput = {
            /** 监测计划ID */
            examPlanId: number;
            /** 年级ID */
            gradeId?: number;
        };

        /** 查询机构校考成绩上报输入参数 */
        type QueryExamOrgScoreReportInput = {
            /** 监测计划ID */
            examPlanId: number;
            /** 监测年级ID */
            examGradeId: number;
            /** 科目ID */
            courseId: number;
        };

        /** 查询监测学生信息输入参数 */
        type QueryExamSampleStudentInput = {
            /** 监测计划ID */
            examPlanId: number;
            /** 监测年级ID */
            examGradeId: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 班号 */
            classNumber: number;
            /** 监测号 */
            examNumber: string;
        };

        /** 查询学年输入参数 */
        type QueryGradeYearInput = {
            /** 学期ID */
            semesterId: number;
            educationStage: EducationStage;
        };

        /** 查询机构输入参数 */
        type QuerySysOrgInput = {
            /** 名称 */
            name?: string;
            /** 编码 */
            code?: string;
            orgType?: OrgType;
            orgFundSource?: OrgFundSource;
            educationStage?: EducationStage;
            urbanRuralType?: UrbanRuralType;
            /** 所属学区ID（机构ID） */
            schoolDistrictId?: number;
            status?: CommonStatus;
        };

        /** 资源文件信息输出参数 */
        type ResourceFileOutput = {
            /** 主键 */
            id: string;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 修改者Id */
            updateSysUserId?: number;
            createSysUser: SysUserLiteOutput;
            updateSysUser?: SysUserLiteOutput;
            type: ResourceFileType;
            /** 来源ID */
            sourceId: string;
            /** 文件名 */
            fileName: string;
            /** 文件路径 */
            filePath: string;
            /** 扩展名 */
            fileExtName: string;
            /** 文件大小（字节Byte） */
            fileSize: string;
            /** 备注 */
            remark?: string;
            thumbResourceFile?: ResourceFileOutput;
        };

        /** 角色数据权限范围 */
        type RoleDataScope = {
            /** 可访问学段列表 */
            educationStages?: EducationStage[];
            /** 可访问机构ID列表 */
            sysOrgIds?: number[];
            /** 双向细目表编制科目列表 */
            twoWayTables?: TwoWayTable[];
        };

        /** 保存学科问题建议输入参数 */
        type SaveExamPaperSuggestion = {
            /** 主键Id */
            id: number;
            /** 问题 */
            questions: string;
            /** 建议 */
            suggestions: string;
        };

        /** 保存全抽班级ID输入参数 */
        type SaveExamSampleAllClasses = {
            /** 主键 */
            id: number;
            /** 班级ID列表 */
            classIds: string[];
        };

        /** 学校班级简要输出参数 */
        type SchoolClassLiteOutput = {
            /** 主键 */
            id: string;
            /** 学校ID */
            sysOrgId: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 入学年份（级） */
            gradeBeginYear: number;
            /** 毕业年份（级） */
            gradeEndYear: number;
            /** 学制 */
            educationYears: number;
            educationStage: EducationStage;
            /** 班号 */
            classNumber: number;
            /** 名称：入学年份+级+班号+班，如2025级1班 */
            name: string;
            /** 全称：学段名+入学年份+级+班号+班，如小学2025级1班 */
            fullName: string;
            /** 简称：班号+班，如1班 */
            shortName: string;
            sysOrgBranch?: SysOrgLiteOutput;
        };

        /** 学校班级输出参数 */
        type SchoolClassOutput = {
            /** 主键 */
            id: string;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 修改者Id */
            updateSysUserId?: number;
            createSysUser: SysUserLiteOutput;
            updateSysUser?: SysUserLiteOutput;
            /** 学校ID */
            sysOrgId: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 入学年份（级） */
            gradeBeginYear: number;
            /** 毕业年份（级） */
            gradeEndYear: number;
            /** 学制 */
            educationYears: number;
            educationStage: EducationStage;
            /** 班号 */
            classNumber: number;
            /** 名称：入学年份+级+班号+班，如2025级1班 */
            name: string;
            /** 全称：学段名+入学年份+级+班号+班，如小学2025级1班 */
            fullName: string;
            /** 简称：班号+班，如1班 */
            shortName: string;
            /** 备注 */
            remark?: string;
            sysOrg?: SysOrgLiteOutput;
            sysOrgBranch?: SysOrgLiteOutput;
        };

        /** 分页查询班级输入参数 */
        type SchoolClassPageInput = {
            /** 当前页码 */
            pageIndex: number;
            /** 每页大小 */
            pageSize: number;
            /** 搜索值 */
            searchValue?: string;
            /** 搜索开始时间 */
            searchBeginTime?: string;
            /** 搜索结束时间 */
            searchEndTime?: string;
            /** 排序字段 */
            sortField?: string;
            /** 排序方法，默认升序，否则降序（配合antd前端，约定参数为 Ascend，Dscend） */
            sortOrder?: string;
            /** 降序排序（不要问我为什么是descend不是desc，前端约定参数就是这样） */
            descStr?: string;
            /** 复杂查询条件 */
            searchParameters?: Condition[];
            /** 学校ID */
            sysOrgId?: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 入学年份（级） */
            gradeBeginYear?: number;
            /** 班号 */
            classNumber?: number;
            /** 班名 */
            name?: string;
            status?: CommonStatus;
        };

        /** 学期输出参数 */
        type SemesterOutput = {
            /** 主键 */
            id: number;
            semesterType: SemesterType;
            /** 名称，2023至2024学年上学期 */
            name: string;
            /** 简称，2023~2024上 */
            shortName: string;
            /** 别名，2023年秋季 */
            nickName: string;
            /** 别名简称，2023秋 */
            nickShortName: string;
            /** 开始年份 */
            beginYear: number;
            /** 结束年份 */
            endYear: number;
            /** 是否当前学年 */
            isCurrent: boolean;
            /** 备注 */
            remark?: string;
        };

        /** 状态数量统计输出参数 */
        type StatusCount = {
            /** 审核状态 */
            status: number;
            /** 数量 */
            count: number;
        };

        /** 提交上报 */
        type SubmitExamOrgDataReportInput = {
            /** 监测计划ID */
            examPlanId: number;
            type: DataReportType;
        };

        /** 切换监测机构是否需要抽样监测 */
        type SwitchExamOrgRequiredSampleInput = {
            /** 监测机构ID */
            id: number;
            /** 是否参与监测 */
            isRequiredExam?: boolean;
        };

        /** 切换全抽班级输入参数 */
        type SwitchExamSampleAllClassInput = {
            /** 抽样方案主键 */
            id: number;
            /** 班级ID */
            schoolClassId: string;
            /** true增加，false取消 */
            isAdd: boolean;
        };

        /** 字典数据输出参数 */
        type SysDictDataOutput = {
            /** 主键 */
            id: number;
            /** 字典类型Id */
            sysDictTypeId: number;
            /** 名称 */
            name: string;
            /** 名称 */
            nickName: string;
            /** 编码 */
            code: string;
            /** 值 */
            value: number;
            /** 前端状态编码 */
            antStatus?: string;
            /** 前端颜色值 */
            antColor?: string;
            /** 排序 */
            sort: number;
            /** 备注 */
            remark?: string;
            status?: CommonStatus;
            sysDictType?: SysDictTypeOutput;
        };

        /** 字典类型输出参数 */
        type SysDictTypeOutput = {
            /** 主键 */
            id: number;
            /** 名称 */
            name: string;
            /** 编码 */
            code: string;
            /** 排序 */
            sort?: number;
            /** 备注 */
            remark?: string;
            status?: CommonStatus;
            /** 字典数据 */
            dictDatas?: SysDictDataOutput[];
        };

        /** 异常日志参数 */
        type SysLogExOutput = {
            id?: string;
            /** 操作人 */
            account?: string;
            /** 名称 */
            name?: string;
            /** 类名 */
            className?: string;
            /** 方法名 */
            methodName?: string;
            /** 异常名称 */
            exceptionName?: string;
            /** 异常信息 */
            exceptionMsg?: string;
            /** 异常时间 */
            exceptionTime?: string;
        };

        /** 异常日志参数 */
        type SysLogExPageInput = {
            /** 当前页码 */
            pageIndex: number;
            /** 每页大小 */
            pageSize: number;
            /** 搜索值 */
            searchValue?: string;
            /** 搜索开始时间 */
            searchBeginTime?: string;
            /** 搜索结束时间 */
            searchEndTime?: string;
            /** 排序字段 */
            sortField?: string;
            /** 排序方法，默认升序，否则降序（配合antd前端，约定参数为 Ascend，Dscend） */
            sortOrder?: string;
            /** 降序排序（不要问我为什么是descend不是desc，前端约定参数就是这样） */
            descStr?: string;
            /** 复杂查询条件 */
            searchParameters?: Condition[];
            /** 名称 */
            name?: string;
            /** 类名 */
            className?: string;
            /** 方法名 */
            methodName?: string;
            /** 异常信息 */
            exceptionMsg?: string;
        };

        /** 请求日志参数 */
        type SysLogOpOutput = {
            id?: string;
            /** 名称 */
            name?: string;
            /** 是否执行成功 */
            success?: boolean;
            /** 具体消息 */
            message?: string;
            /** ip */
            ip?: string;
            /** 地址 */
            location?: string;
            /** 浏览器 */
            browser?: string;
            /** 操作系统 */
            os?: string;
            /** 请求地址 */
            url?: string;
            /** 类名称 */
            className?: string;
            /** 方法名称 */
            methodName?: string;
            /** 请求方式（GET POST PUT DELETE) */
            reqMethod?: string;
            /** 请求参数 */
            param?: string;
            /** 返回结果 */
            result?: string;
            /** 耗时（毫秒） */
            elapsedTime?: string;
            /** 操作时间 */
            opTime?: string;
            /** 操作人 */
            account?: string;
        };

        /** 请求日志参数 */
        type SysLogOpPageInput = {
            /** 当前页码 */
            pageIndex: number;
            /** 每页大小 */
            pageSize: number;
            /** 搜索值 */
            searchValue?: string;
            /** 搜索开始时间 */
            searchBeginTime?: string;
            /** 搜索结束时间 */
            searchEndTime?: string;
            /** 排序字段 */
            sortField?: string;
            /** 排序方法，默认升序，否则降序（配合antd前端，约定参数为 Ascend，Dscend） */
            sortOrder?: string;
            /** 降序排序（不要问我为什么是descend不是desc，前端约定参数就是这样） */
            descStr?: string;
            /** 复杂查询条件 */
            searchParameters?: Condition[];
            /** 名称 */
            name?: string;
            /** 是否执行成功（Y-是，N-否） */
            success?: boolean;
            /** 请求方式 */
            reqMethod?: string;
        };

        /** 访问日志参数 */
        type SysLogVisOutput = {
            id?: string;
            /** 名称 */
            name?: string;
            /** 是否执行成功 */
            success?: boolean;
            /** 具体消息 */
            message?: string;
            /** IP */
            ip?: string;
            /** 地址 */
            location?: string;
            /** 浏览器 */
            browser?: string;
            /** 操作系统 */
            os?: string;
            visType?: LoginType;
            /** 访问时间 */
            visTime?: string;
            /** 访问人 */
            account?: string;
        };

        /** 访问日志参数 */
        type SysLogVisPageInput = {
            /** 当前页码 */
            pageIndex: number;
            /** 每页大小 */
            pageSize: number;
            /** 搜索值 */
            searchValue?: string;
            /** 搜索开始时间 */
            searchBeginTime?: string;
            /** 搜索结束时间 */
            searchEndTime?: string;
            /** 排序字段 */
            sortField?: string;
            /** 排序方法，默认升序，否则降序（配合antd前端，约定参数为 Ascend，Dscend） */
            sortOrder?: string;
            /** 降序排序（不要问我为什么是descend不是desc，前端约定参数就是这样） */
            descStr?: string;
            /** 复杂查询条件 */
            searchParameters?: Condition[];
            /** 名称 */
            name?: string;
            /** 是否执行成功 */
            success?: boolean;
            visType?: LoginType;
        };

        /** 菜单输出参数 */
        type SysMenuOutput = {
            /** 菜单Id */
            id: number;
            /** 父Id */
            pid: number;
            /** 名称 */
            name: string;
            /** 编码 */
            code?: string;
            menuType: MenuType;
            /** 图标 */
            icon?: string;
            /** 路由地址 */
            router?: string;
            /** 组件地址 */
            component?: string;
            /** 权限标识 */
            permission?: string;
            openType?: MenuOpenType;
            /** 是否可见 */
            visible?: boolean;
            /** 内链地址 */
            link?: string;
            /** 重定向地址 */
            redirect?: string;
            /** 排序 */
            sort?: number;
            /** 备注 */
            remark?: string;
            /** 子菜单项 */
            children?: SysMenuOutput[];
        };

        /** 机构 */
        type SysOrg = {
            /** 主键 */
            id?: number;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 修改者Id */
            updateSysUserId?: number;
            createSysUser?: SysUser;
            updateSysUser?: SysUser;
            /** 父机构ID */
            pid: number;
            /** 父机构ID路径 */
            pids?: string;
            orgType: OrgType;
            orgFundSource: OrgFundSource;
            educationStage: EducationStage;
            urbanRuralType: UrbanRuralType;
            /** 所属学区ID（机构ID） */
            schoolDistrictId?: number;
            /** 名称 */
            name: string;
            /** 名称 */
            fullName: string;
            /** 简称 */
            shortName: string;
            /** 简称2 */
            shortName2?: string;
            /** 编码 */
            code: string;
            /** 带前缀唯一代码 */
            uniqueCode: string;
            /** TQES学校ID（兼容老系统） */
            tqesId?: number;
            /** TQES学校编码（兼容老系统） */
            tqesCode?: string;
            /** 排序 */
            sort: number;
            /** 经度 */
            longitude?: number;
            /** 纬度 */
            latitude?: number;
            /** 地址 */
            address?: string;
            /** 备注 */
            remark?: string;
            status: CommonStatus;
            schoolDistrict?: SysOrg;
        };

        /** 机构简要输入参数 */
        type SysOrgLiteOutput = {
            /** 主键 */
            id: number;
            /** 父机构ID */
            pid: number;
            orgType: OrgType;
            orgFundSource: OrgFundSource;
            educationStage: EducationStage;
            urbanRuralType: UrbanRuralType;
            /** 所属学区ID（机构ID） */
            schoolDistrictId?: number;
            /** 名称 */
            fullName: string;
            /** 名称 */
            name: string;
            /** 简称 */
            shortName: string;
            /** 简称2 */
            shortName2?: string;
            /** 编码 */
            code: string;
            /** 带前缀唯一代码 */
            uniqueCode: string;
            /** TQES学校ID（兼容老系统） */
            tqesId?: number;
            /** TQES学校编码（兼容老系统） */
            tqesCode?: string;
            /** 排序 */
            sort: number;
            status: CommonStatus;
        };

        /** 机构完整输出参数 */
        type SysOrgOutput = {
            /** 主键 */
            id: number;
            /** 父机构ID */
            pid: number;
            orgType: OrgType;
            orgFundSource: OrgFundSource;
            educationStage: EducationStage;
            urbanRuralType: UrbanRuralType;
            /** 所属学区ID（机构ID） */
            schoolDistrictId?: number;
            /** 名称 */
            fullName: string;
            /** 名称 */
            name: string;
            /** 简称 */
            shortName: string;
            /** 简称2 */
            shortName2?: string;
            /** 编码 */
            code: string;
            /** 带前缀唯一代码 */
            uniqueCode: string;
            /** TQES学校ID（兼容老系统） */
            tqesId?: number;
            /** TQES学校编码（兼容老系统） */
            tqesCode?: string;
            /** 排序 */
            sort: number;
            status: CommonStatus;
            /** 父机构ID路径 */
            pids: string;
            /** 经度 */
            longitude?: number;
            /** 纬度 */
            latitude?: number;
            /** 地址 */
            address?: string;
            /** 备注 */
            remark?: string;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 修改者Id */
            updateSysUserId?: number;
            createSysUser?: SysUserLiteOutput;
            updateSysUser?: SysUserLiteOutput;
            schoolDistrict?: SysOrgLiteOutput;
        };

        /** 分页查询机构输入参数 */
        type SysOrgPageInput = {
            /** 当前页码 */
            pageIndex: number;
            /** 每页大小 */
            pageSize: number;
            /** 搜索值 */
            searchValue?: string;
            /** 搜索开始时间 */
            searchBeginTime?: string;
            /** 搜索结束时间 */
            searchEndTime?: string;
            /** 排序字段 */
            sortField?: string;
            /** 排序方法，默认升序，否则降序（配合antd前端，约定参数为 Ascend，Dscend） */
            sortOrder?: string;
            /** 降序排序（不要问我为什么是descend不是desc，前端约定参数就是这样） */
            descStr?: string;
            /** 复杂查询条件 */
            searchParameters?: Condition[];
            /** 名称 */
            name?: string;
            /** 编码 */
            code?: string;
            orgType?: OrgType;
            orgFundSource?: OrgFundSource;
            educationStage?: EducationStage;
            urbanRuralType?: UrbanRuralType;
            /** 所属学区ID（机构ID） */
            schoolDistrictId?: number;
            status?: CommonStatus;
        };

        /** 角色组输出参数 */
        type SysRoleGroupOutput = {
            /** ID */
            id: number;
            /** 角色组名称 */
            name: string;
            /** 备注 */
            remark?: string;
        };

        /** 角色菜单输出参数 */
        type SysRoleMenuOutput = {
            id: number;
            /** 角色Id */
            sysRoleId: number;
            /** 菜单Id */
            sysMenuId: number;
            dataScopeType?: DataScopeType;
            sysRole?: SysRoleOutput;
            sysMenu?: SysMenuOutput;
        };

        /** 菜单及数据范围标识 */
        type SysRoleMenuScopeInput = {
            menuId?: number;
            dataScopeType?: DataScopeType;
        };

        /** 角色输出参数 */
        type SysRoleOutput = {
            /** ID，使用钉钉的ID */
            id: number;
            /** 名称 */
            name: string;
            /** 角色组ID */
            sysRoleGroupId: number;
            roleType: RoleType;
            /** 备注 */
            remark?: string;
            status: CommonStatus;
            sysRoleGroup?: SysRoleGroupOutput;
            roleDataScope?: RoleDataScope;
        };

        /** 添加或移出角色中的用户参数 */
        type SysRoleUserInput = {
            /** 角色ID */
            sysRoleId: number;
            /** 用户ID列表 */
            sysUserIdList?: number[];
        };

        /** 分页查询角色用户 */
        type SysRoleUserPageInput = {
            /** 当前页码 */
            pageIndex: number;
            /** 每页大小 */
            pageSize: number;
            /** 搜索值 */
            searchValue?: string;
            /** 搜索开始时间 */
            searchBeginTime?: string;
            /** 搜索结束时间 */
            searchEndTime?: string;
            /** 排序字段 */
            sortField?: string;
            /** 排序方法，默认升序，否则降序（配合antd前端，约定参数为 Ascend，Dscend） */
            sortOrder?: string;
            /** 降序排序（不要问我为什么是descend不是desc，前端约定参数就是这样） */
            descStr?: string;
            /** 复杂查询条件 */
            searchParameters?: Condition[];
            /** 角色ID */
            sysRoleId: number;
            /** 机构ID */
            sysOrgId?: number;
        };

        /** 用户 */
        type SysUser = {
            /** 主键 */
            id?: number;
            /** 创建时间 */
            createTime: string;
            /** 更新时间 */
            updateTime?: string;
            /** 创建人ID */
            createSysUserId: number;
            /** 修改者Id */
            updateSysUserId?: number;
            createSysUser?: SysUser;
            updateSysUser?: SysUser;
            /** 机构ID */
            sysOrgId: number;
            /** 名称 */
            name: string;
            /** 头像地址 */
            avatar?: string;
            /** 手机 */
            mobile?: string;
            /** 电子邮箱 */
            email?: string;
            /** 工号 */
            jobNumber?: string;
            /** 备注 */
            remark?: string;
            /** 登录名 */
            account: string;
            /** 密码 */
            password: string;
            /** 是否已激活 */
            isActivated: boolean;
            /** 激活时间 */
            activateTime?: string;
            /** 最后登录IP */
            lastLoginIp?: string;
            /** 最后登录时间 */
            lastLoginTime?: string;
            /** 用户自定义配置 */
            config?: string;
            /** 用户权限 */
            permission?: string;
            status: CommonStatus;
            sysOrg?: SysOrg;
        };

        /** 最小用户输出信息 */
        type SysUserLiteOutput = {
            /** 用户ID */
            id: number;
            /** 名称 */
            name: string;
        };

        /** 用户输出参数 */
        type SysUserOutput = {
            /** 主键 */
            id: number;
            /** 名称 */
            name: string;
            /** 机构ID */
            sysOrgId: number;
            /** 头像地址 */
            avatar?: string;
            /** 手机 */
            mobile?: string;
            /** 电子邮箱 */
            email?: string;
            /** 工号 */
            jobNumber?: string;
            /** 备注 */
            remark?: string;
            /** 账号 */
            account?: string;
            /** 最后登录IP */
            lastLoginIp?: string;
            /** 最后登录时间 */
            lastLoginTime?: string;
            /** 用户自定义配置 */
            config?: string;
            /** 是否已激活 */
            isActivated: boolean;
            /** 激活时间 */
            activateTime?: string;
            status?: CommonStatus;
            /** 多对多（角色） */
            sysRoles?: SysRoleOutput[];
            sysOrg?: SysOrg;
        };

        /** 分页查询用户 */
        type SysUserPageInput = {
            /** 当前页码 */
            pageIndex: number;
            /** 每页大小 */
            pageSize: number;
            /** 搜索值 */
            searchValue?: string;
            /** 搜索开始时间 */
            searchBeginTime?: string;
            /** 搜索结束时间 */
            searchEndTime?: string;
            /** 排序字段 */
            sortField?: string;
            /** 排序方法，默认升序，否则降序（配合antd前端，约定参数为 Ascend，Dscend） */
            sortOrder?: string;
            /** 降序排序（不要问我为什么是descend不是desc，前端约定参数就是这样） */
            descStr?: string;
            /** 复杂查询条件 */
            searchParameters?: Condition[];
            /** 机构ID */
            sysOrgId?: number;
            /** 姓名 */
            name?: string;
            /** 账户 */
            account?: string;
            /** 手机号 */
            mobile?: string;
            /** 电子邮箱 */
            email?: string;
        };

        type SysUserSimpleOutput = {
            /** 用户ID */
            id: number;
            /** 名称 */
            name: string;
            /** 账号 */
            account: string;
            /** 手机 */
            mobile?: string;
            /** 电子邮箱 */
            email?: string;
            /** 工号 */
            jobNumber?: string;
            /** 机构ID */
            sysOrgId: number;
            sysOrg: SysOrgLiteOutput;
        };

        /** 双向细目表 */
        type TwoWayTable = {
            /** 监测计划ID */
            examPlanId?: number;
            /** 年级ID */
            gradeId?: number;
            /** 科目ID */
            courseId?: number;
        };

        /** 更新科目输入参数 */
        type UpdateCourseInput = {
            /** 名称 */
            name: string;
            /** 简称 */
            shortName: string;
            /** 别称 */
            nickName?: string;
            /** 备注 */
            remark?: string;
            status: CommonStatus;
            /** 主键 */
            id: number;
        };

        /** 更新缺测替补上报输入参数 */
        type UpdateExamAbsentReplaceInput = {
            /** 监测计划ID */
            examPlanId: number;
            /** 机构ID */
            sysOrgId: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 监测年级ID */
            examGradeId: number;
            /** 年级ID */
            gradeId: number;
            /** 班级ID */
            schoolClassId: string;
            /** 班号 */
            classNumber: number;
            /** 缺测学生姓名 */
            absentName: string;
            /** 缺测学生监测号 */
            absentExamNumber: string;
            /** 缺测科目 */
            absentCourses: string;
            /** 缺测原因 */
            absentReason: string;
            /** 是否有替补 */
            isReplaced: boolean;
            /** 替补学生姓名 */
            replaceName?: string;
            /** 替补学生监测号 */
            replaceExamNumber?: string;
            /** 家长姓名 */
            patriarchName?: string;
            /** 家长电话 */
            patriarchTel?: string;
            /** 备注 */
            remark?: string;
            /** 主键 */
            id: number;
        };

        /** 更新监测科目输入参数 */
        type UpdateExamCourseInput = {
            /** 监测计划ID */
            examPlanId: number;
            /** 监测年级ID */
            examGradeId: number;
            /** 年级ID */
            gradeId: number;
            /** 科目ID */
            courseId: number;
            /** 总分 */
            totalScore: number;
            examScoreRangeType: ExamScoreRangeType;
            scoreReportConfig: ExamCourseScoreReportConfig;
            /** 主键 */
            id: number;
        };

        /** 更新监测数据发布内容输入参数 */
        type UpdateExamDataPublishInput = {
            /** 主键Id */
            id: number;
            /** 发布名称 */
            name: string;
            /** 备注 */
            remark?: string;
        };

        /** 更新监测数据上报类型 */
        type UpdateExamDataReportInput = {
            /** 主键Id */
            id: number;
            /** 开始时间 */
            beginTime: string;
            /** 结束时间 */
            endTime: string;
            /** 上报说明 */
            remark?: string;
        };

        /** 更新试卷大题输入参数 */
        type UpdateExamPaperQuestionMajorInput = {
            /** 双向细目表头ID */
            examPaperId: number;
            /** 顺序 */
            sequence: number;
            /** 题号 */
            number: string;
            /** 标题 */
            title?: string;
            /** 提示语 */
            hint?: string;
            /** 分值 */
            score: number;
            /** 备注 */
            remark?: string;
            /** 主键 */
            id: number;
        };

        /** 更新试卷小题输入参数 */
        type UpdateExamPaperQuestionMinorInput = {
            /** 双向细目表头ID */
            examPaperId: number;
            questionCatalog?: QuestionCatalog;
            /** 大题ID */
            examPaperQuestionMajorId?: number;
            /** 顺序 */
            sequence: number;
            /** 成绩文件列名 */
            columnName: string;
            /** 小题 */
            name: string;
            /** 分值 */
            score: number;
            /** 知识模块 */
            knowledgeModule?: string;
            /** 知识点 */
            knowledgePoint?: string;
            cognitiveAbility?: CognitiveAbility;
            /** 预估难度 */
            estimatedDifficulty?: number;
            /** 是否选做 */
            isChoose: boolean;
            /** 是否最小计分项 */
            isLeaf: boolean;
            /** 主键 */
            id: number;
        };

        /** 更新监测计划输入参数 */
        type UpdateExamPlanInput = {
            /** 主键 */
            id: number;
            /** 名称 */
            name: string;
            /** 全称 */
            fullName: string;
            /** 简称 */
            shortName: string;
            /** 备注 */
            remark?: string;
            /** 监测配置 */
            config: string;
        };

        /** 更新抽样方案输入参数 */
        type UpdateExamSampleInput = {
            /** 监测计划ID */
            examPlanId: number;
            /** 备注 */
            remark?: string;
            config: ExamSampleConfig;
            /** 主键 */
            id: number;
            /** 名称 */
            name: string;
            /** 全称 */
            fullName: string;
            /** 简称 */
            shortName: string;
        };

        /** 更新监测特殊学生上报输入参数 */
        type UpdateExamSpecialStudentInput = {
            /** 主键 */
            id: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 班号 */
            classNumber: number;
            /** 学籍号 */
            studentNumber?: string;
            /** 姓名 */
            name: string;
            certificateType: CertificateType;
            /** 证件号码 */
            idNumber?: string;
            /** 出生日期 */
            birthDate?: string;
            gender: Gender;
            /** 申请原因 */
            applyReason: string;
            /** 家长姓名 */
            patriarchName?: string;
            /** 家长电话 */
            patriarchTel?: string;
            /** 备注 */
            remark?: string;
        };

        /** 更新监测学生输入参数 */
        type UpdateExamStudentInput = {
            /** 主键 */
            id: string;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 班号 */
            classNumber: number;
            /** 高中选科组合ID */
            nceeCourseCombId?: number;
            /** 自编监测号 */
            examNumber?: string;
            /** 学籍号 */
            studentNumber?: string;
            /** 考场号 */
            roomNumber?: string;
            /** 座位号 */
            seatNumber?: string;
            /** 姓名 */
            name: string;
            certificateType: CertificateType;
            /** 证件号码 */
            idNumber?: string;
            /** 出生日期 */
            birthDate?: string;
            gender: Gender;
            /** 备注 */
            remark?: string;
        };

        /** 更新监测教师任教学科 */
        type UpdateExamTeacherCourseInput = {
            /** 主键Id */
            id: number;
            /** 监测计划ID */
            examPlanId: number;
            /** 机构ID */
            sysOrgId?: number;
            /** 校区ID */
            sysOrgBranchId?: number;
            /** 姓名 */
            name: string;
            certificateType: CertificateType;
            /** 证件号码 */
            idNumber?: string;
            /** 监测年级ID */
            examGradeId: number;
            /** 年级ID */
            gradeId: number;
            /** 班号 */
            classNumber: number;
            /** 科目ID */
            courseId: number;
            /** 备注 */
            remark?: string;
        };

        /** 更新监测教师 */
        type UpdateExamTeacherInput = {
            /** 主键Id */
            id: number;
            /** 姓名 */
            name: string;
            schoolJobTitle: SchoolJobTitle;
            certificateType: CertificateType;
            /** 证件号码 */
            idNumber?: string;
            /** 出生日期 */
            birthDate?: string;
            gender: Gender;
            /** 手机号码 */
            mobile?: string;
            /** 电子邮箱 */
            email?: string;
            /** 备注 */
            remark?: string;
        };

        /** 更新高考模拟划线计划输入参数 */
        type UpdateNceePlanInput = {
            /** 学期ID */
            semesterId: number;
            /** 年级ID */
            gradeId: number;
            /** 名称 */
            name: string;
            /** 全称 */
            fullName: string;
            /** 简称 */
            shortName: string;
            /** 备注 */
            remark?: string;
            config: NceePlanConfig;
            /** 主键 */
            id: number;
        };

        /** 更新菜单参数 */
        type UpdateSysMenuInput = {
            /** 菜单Id */
            id: number;
            /** 父Id */
            pid: number;
            menuType: MenuType;
            /** 名称 */
            name?: string;
            /** 编码 */
            code?: string;
            /** 图标 */
            icon?: string;
            /** 路由地址 */
            router?: string;
            /** 组件地址 */
            component?: string;
            /** 权限标识 */
            permission?: string;
            openType?: MenuOpenType;
            /** 是否可见 */
            visible?: boolean;
            /** 内链地址 */
            link?: string;
            /** 重定向地址 */
            redirect?: string;
            /** 排序 */
            sort?: number;
            /** 备注 */
            remark?: string;
        };

        /** 更新机构输入参数 */
        type UpdateSysOrgInput = {
            /** 父机构ID */
            pid: number;
            orgType: OrgType;
            orgFundSource: OrgFundSource;
            educationStage: EducationStage;
            urbanRuralType: UrbanRuralType;
            /** 所属学区ID（机构ID） */
            schoolDistrictId?: number;
            /** 名称 */
            name: string;
            /** 名称 */
            fullName: string;
            /** 简称 */
            shortName: string;
            /** 简称2 */
            shortName2?: string;
            /** 编码 */
            code: string;
            /** 带前缀唯一代码 */
            uniqueCode: string;
            /** 经度 */
            longitude?: number;
            /** 纬度 */
            latitude?: number;
            /** 地址 */
            address?: string;
            /** 备注 */
            remark?: string;
            status: CommonStatus;
            /** 主键 */
            id: number;
            /** 排序 */
            sort: number;
        };

        /** 更新角色组参数 */
        type UpdateSysRoleGroupInput = {
            /** 主键Id */
            id: number;
            /** 角色组名称 */
            name: string;
            /** 备注 */
            remark?: string;
        };

        /** 更新角色参数 */
        type UpdateSysRoleInput = {
            /** 主键Id */
            id: number;
            /** 角色组ID */
            roleGroupId: number;
            /** 角色名称 */
            name: string;
            /** 备注 */
            remark?: string;
        };

        /** 监测缺测替补批量上传行数据类型 */
        type UploadExamAbsentReplaceOutput = {
            /** ID */
            rowNumber: number;
            /** 是否成功 */
            isSuccess?: boolean;
            /** 错误消息 */
            errorMessage?: string[];
            /** 监测年级ID */
            examGradeId?: number;
            /** 年级ID */
            gradeId?: number;
            /** 班级号 */
            classNumber: number;
            /** 缺测学生姓名 */
            absentName?: string;
            /** 缺测学生监测号 */
            absentExamNumber?: string;
            /** 缺测科目 */
            absentCourseText?: string;
            /** 缺测科目 */
            absentCourseList?: CourseMiniOutput[];
            /** 缺测原因 */
            absentReason?: string;
            /** 是否有替补 */
            isReplaced?: boolean;
            /** 替补学生姓名 */
            replaceName?: string;
            /** 替补学生监测号 */
            replaceExamNumber?: string;
            /** 家长姓名 */
            patriarchName?: string;
            /** 家长电话 */
            patriarchTel?: string;
            /** 备注 */
            remark?: string;
        };

        /** 监测数据上报类型上传输出参数 */
        type UploadExamDataOutput_UploadExamAbsentReplaceOutput = {
            /** 表格结构是否符合要求 */
            structureCorrect?: boolean;
            /** 错误消息 */
            errorMessage?: string[];
            /** 总行数 */
            totalRowCount?: number;
            /** 错误行数 */
            errorRowCount?: number;
            /** 成功行数 */
            successRowCount?: number;
            /** 行数据 */
            rows?: UploadExamAbsentReplaceOutput[];
        };

        /** 监测数据上报类型上传输出参数 */
        type UploadExamDataOutput_UploadExamSpecialStudentOutput = {
            /** 表格结构是否符合要求 */
            structureCorrect?: boolean;
            /** 错误消息 */
            errorMessage?: string[];
            /** 总行数 */
            totalRowCount?: number;
            /** 错误行数 */
            errorRowCount?: number;
            /** 成功行数 */
            successRowCount?: number;
            /** 行数据 */
            rows?: UploadExamSpecialStudentOutput[];
        };

        /** 监测数据上报类型上传输出参数 */
        type UploadExamDataOutput_UploadExamStudentOutput = {
            /** 表格结构是否符合要求 */
            structureCorrect?: boolean;
            /** 错误消息 */
            errorMessage?: string[];
            /** 总行数 */
            totalRowCount?: number;
            /** 错误行数 */
            errorRowCount?: number;
            /** 成功行数 */
            successRowCount?: number;
            /** 行数据 */
            rows?: UploadExamStudentOutput[];
        };

        /** 监测数据上报类型上传输出参数 */
        type UploadExamDataOutput_UploadExamTeacherCourseOutput = {
            /** 表格结构是否符合要求 */
            structureCorrect?: boolean;
            /** 错误消息 */
            errorMessage?: string[];
            /** 总行数 */
            totalRowCount?: number;
            /** 错误行数 */
            errorRowCount?: number;
            /** 成功行数 */
            successRowCount?: number;
            /** 行数据 */
            rows?: UploadExamTeacherCourseOutput[];
        };

        /** 监测数据上报类型上传输出参数 */
        type UploadExamDataOutput_UploadExamTeacherOutput = {
            /** 表格结构是否符合要求 */
            structureCorrect?: boolean;
            /** 错误消息 */
            errorMessage?: string[];
            /** 总行数 */
            totalRowCount?: number;
            /** 错误行数 */
            errorRowCount?: number;
            /** 成功行数 */
            successRowCount?: number;
            /** 行数据 */
            rows?: UploadExamTeacherOutput[];
        };

        /** 上传校考成绩输出参数 */
        type UploadExamOrgScoreReportOutput = {
            scoreReportConfig: ExamCourseScoreReportConfig;
            /** 标题 */
            columns: any;
            /** 行数据 */
            rows: any[];
            /** 行数 */
            rowCount: number;
            /** 列数 */
            columnsCount: number;
            /** 错误列数 */
            errorColumnCount: number;
            /** 是否成功 */
            isSuccess: boolean;
        };

        /** 监测特殊学生批量上传行数据类型 */
        type UploadExamSpecialStudentOutput = {
            /** ID */
            rowNumber: number;
            /** 是否成功 */
            isSuccess?: boolean;
            /** 错误消息 */
            errorMessage?: string[];
            /** 监测年级ID */
            examGradeId?: number;
            /** 年级ID */
            gradeId?: number;
            /** 班级号 */
            classNumber: number;
            /** 姓名 */
            name: string;
            certificateType: CertificateType;
            /** 证件类型名称 */
            certificateTypeName?: string;
            /** 证件号码 */
            idNumber?: string;
            gender?: Gender;
            /** 性别名称 */
            genderName?: string;
            /** 学籍号 */
            studentNumber?: string;
            /** 申请原因 */
            applyReason: string;
            /** 家长姓名 */
            patriarchName?: string;
            /** 家长电话 */
            patriarchTel: string;
            /** 备注 */
            remark?: string;
        };

        /** 监测学生批量上传行数据类型 */
        type UploadExamStudentOutput = {
            /** ID */
            rowNumber: number;
            /** 是否成功 */
            isSuccess?: boolean;
            /** 错误消息 */
            errorMessage?: string[];
            /** 年级ID */
            gradeId: number;
            /** 班级号 */
            classNumber: number;
            /** 选科组合ID */
            nceeCourseCombId?: number;
            /** 选科组合名称 */
            nceeCourseCombName?: string;
            /** 姓名 */
            name: string;
            certificateType: CertificateType;
            /** 证件类型名称 */
            certificateTypeName?: string;
            /** 证件号码 */
            idNumber?: string;
            gender?: Gender;
            /** 性别名称 */
            genderName?: string;
            /** 学籍号 */
            studentNumber?: string;
            /** 自编监测号 */
            examNumber?: string;
            /** 考场号 */
            roomNumber?: string;
            /** 座位号 */
            seatNumber?: string;
            /** 备注 */
            remark?: string;
        };

        /** 批量导入监测教师任教科目输入参数 */
        type UploadExamTeacherCourseOutput = {
            /** ID */
            rowNumber: number;
            /** 是否成功 */
            isSuccess?: boolean;
            /** 错误消息 */
            errorMessage?: string[];
            /** 姓名 */
            name: string;
            certificateType: CertificateType;
            /** 证件类型名称 */
            certificateTypeName?: string;
            /** 证件号码 */
            idNumber?: string;
            /** 科目ID */
            courseId?: number;
            /** 科目名称 */
            courseName?: string;
            /** 监测年级ID */
            examGradeId?: number;
            /** 年级ID */
            gradeId?: number;
            /** 班级号 */
            classNumber?: number;
            /** 备注 */
            remark?: string;
        };

        /** 批量导入监测教师输入参数 */
        type UploadExamTeacherOutput = {
            /** ID */
            rowNumber: number;
            /** 是否成功 */
            isSuccess?: boolean;
            /** 错误消息 */
            errorMessage?: string[];
            /** 姓名 */
            name: string;
            schoolJobTitle: SchoolJobTitle;
            /** 校内职务名称 */
            schoolJobTitleName?: string;
            certificateType: CertificateType;
            /** 证件类型名称 */
            certificateTypeName?: string;
            /** 证件号码 */
            idNumber?: string;
            gender?: Gender;
            /** 性别名称 */
            genderName?: string;
            /** 手机号码 */
            mobile?: string;
            /** 电子邮箱 */
            email?: string;
            /** 备注 */
            remark?: string;
        };
    }
}
