import rootLayoutSlice from '@/layouts/RootLayout/rootLayoutSlice';
import { configureStore } from '@reduxjs/toolkit';

const store = configureStore({
    reducer: {
        rootLayout: rootLayoutSlice,
    },
    middleware: (getDefaultMiddleware) =>
        getDefaultMiddleware({
            // 取消序列化告警显示
            serializableCheck: false,
        }),
});

export default store;

export type RootState = ReturnType<typeof store.getState>;
export type AppDispatch = typeof store.dispatch;
