﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 添加科目输入参数
/// </summary>
public class AddCourseInput
{
    /// <summary>
    /// 名称
    /// </summary>
    [Required, StringLength(50)]
    public string Name { get; set; }
    /// <summary>
    /// 简称
    /// </summary>
    [Required, StringLength(50)]
    public string ShortName { get; set; }
    /// <summary>
    /// 别称
    /// </summary>
    [StringLength(50)]
    public string NickName { get; set; }
    /// <summary>
    /// 备注
    /// </summary>
    [StringLength(200)]
    public string Remark { get; set; }
    /// <summary>
    /// 状态
    /// </summary>
    [Required]
    public CommonStatus Status { get; set; }
}

/// <summary>
/// 更新科目输入参数
/// </summary>
public class UpdateCourseInput : AddCourseInput
{
    /// <summary>
    /// 主键
    /// </summary>
    [Required]
    public short Id { get; set; }
}
