﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 学制管理服务
/// </summary>
public interface IEducationStageYearsService
{
    /// <summary>
    /// 根据学段获取学制
    /// </summary>
    /// <param name="educationStage"></param>
    /// <returns></returns>
    Task<EducationStageYearsOutput> GetByEducationStage(EducationStage educationStage);
    /// <summary>
    /// 获取学制列表
    /// </summary>
    /// <returns></returns>
    Task<List<EducationStageYearsOutput>> GetAllList();
    /// <summary>
    /// 获取学制字典
    /// </summary>
    /// <returns></returns>
    Task<Dictionary<EducationStage, EducationStageYearsOutput>> GetAllDictionary();
}
