﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 年级信息服务
/// </summary>
public interface IGradeService
{
    /// <summary>
    /// 根据ID获取年级信息
    /// </summary>
    /// <param name="id"></param>
    /// <returns></returns>
    Task<GradeOutput> GetById(int id);
    /// <summary>
    /// 根据学段获取年级列表
    /// </summary>
    /// <param name="stage"></param>
    /// <returns></returns>
    Task<List<GradeOutput>> GetListByEducationStage(EducationStage stage);
    /// <summary>
    /// 根据学期和学段获取年级年份
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    Task<List<GradeYearOutput>> QueryGradeYearList(QueryGradeYearInput input);
    /// <summary>
    /// 获取全部年级列表
    /// </summary>
    /// <returns></returns>
    Task<List<GradeOutput>> GetAllList();
}
