﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 人员简要输出参数
/// </summary>
public class PersonLiteOutput
{
    /// <summary>
    /// 主键
    /// </summary>
    [Required]
    public int Id { get; set; }
    /// <summary>
    /// 姓名
    /// </summary>
    [Required]
    public string Name { get; set; }
    /// <summary>
    /// 证件类型
    /// </summary>
    [Required]
    public CertificateType CertificateType { get; set; }
    /// <summary>
    /// 证件号码
    /// </summary>
    public string IdNumber { get; set; }
}

/// <summary>
/// 人员输出参数
/// </summary>
public class PersonOutput : PersonLiteOutput
{
    /// <summary>
    /// 曾用名
    /// </summary>
    public string FormerName { get; set; }
    /// <summary>
    /// 出生日期
    /// </summary>
    public DateTime? BirthDate { get; set; }
    /// <summary>
    /// 性别
    /// </summary>
    [Required]
    public Gender Gender { get; set; }
    /// <summary>
    /// 手机号码
    /// </summary>
    public string Mobile { get; set; }
    /// <summary>
    /// 电子邮箱
    /// </summary>
    public string Email { get; set; }
    /// <summary>
    /// 备注
    /// </summary>
    public string Remark { get; set; }
}
