﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 添加监测科目输入参数
/// </summary>
public class AddExamCourseInput
{
    /// <summary>
    /// 监测计划ID
    /// </summary>
    [Required]
    public int ExamPlanId { get; set; }
    /// <summary>
    /// 监测年级ID
    /// </summary>
    [Required]
    public int ExamGradeId { get; set; }
    /// <summary>
    /// 年级ID
    /// </summary>
    [Required]
    public short GradeId { get; set; }
    /// <summary>
    /// 科目ID
    /// </summary>
    [Required]
    public short CourseId { get; set; }
    /// <summary>
    /// 总分
    /// </summary>
    [Required]
    public decimal TotalScore { get; set; }
    /// <summary>
    /// 分数段类型
    /// </summary>
    [Required]
    public ExamScoreRangeType ExamScoreRangeType { get; set; }
    /// <summary>
    /// 成绩上报配置
    /// </summary>
    [Required]
    public ExamCourseScoreReportConfig ScoreReportConfig { get; set; }
}
/// <summary>
/// 更新监测科目输入参数
/// </summary>
public class UpdateExamCourseInput : AddExamCourseInput
{
    /// <summary>
    /// 主键
    /// </summary>
    [Required]
    public int Id { get; set; }
}
/// <summary>
/// 查询监测年级输入参数
/// </summary>
public class QueryExamCourseInput
{
    /// <summary>
    /// 监测计划ID
    /// </summary>
    [Required]
    public int ExamPlanId { get; set;}
    /// <summary>
    /// 年级ID
    /// </summary>
    public short? GradeId { get; set; }
}