﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 添加监测数据发布内容输入参数
/// </summary>
public class AddExamDataPublishInput
{
    /// <summary>
    /// 监测计划ID
    /// </summary>
    [Required]
    public int ExamPlanId { get; set; }
    /// <summary>
    /// 发布类型
    /// </summary>
    [Required]
    public DataPublishType Type { get; set; }
    /// <summary>
    /// 发布名称
    /// </summary>
    [Required, StringLength(100)]
    public string Name { get; set; }
    /// <summary>
    /// 备注
    /// </summary>
    [StringLength(2000)]
    public string Remark { get; set; }
}

/// <summary>
/// 更新监测数据发布内容输入参数
/// </summary>
public class UpdateExamDataPublishInput: BaseId
{
    /// <summary>
    /// 发布名称
    /// </summary>
    [Required, StringLength(100)]
    public string Name { get; set; }
    /// <summary>
    /// 备注
    /// </summary>
    [StringLength(2000)]
    public string Remark { get; set; }
}