﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 添加监测数据上报类型
/// </summary>
public class AddExamDataReportInput
{
    /// <summary>
    /// 监测计划ID
    /// </summary>
    [Required]
    public int ExamPlanId { get; set; }
    /// <summary>
    /// 上报类型
    /// </summary>
    [Required]
    public DataReportType Type { get; set; }
    /// <summary>
    /// 开始时间
    /// </summary>
    [Required]
    public DateTime BeginTime { get; set; }
    /// <summary>
    /// 结束时间
    /// </summary>
    [Required]
    public DateTime EndTime { get; set; }
    /// <summary>
    /// 上报说明
    /// </summary>
    [StringLength(2000)]
    public string Remark { get; set; } = "";
}

/// <summary>
/// 更新监测数据上报类型
/// </summary>
public class UpdateExamDataReportInput : BaseId
{
    /// <summary>
    /// 开始时间
    /// </summary>
    [Required]
    public DateTime BeginTime { get; set; }
    /// <summary>
    /// 结束时间
    /// </summary>
    [Required]
    public DateTime EndTime { get; set; }
    /// <summary>
    /// 上报说明
    /// </summary>
    [StringLength(2000)]
    public string Remark { get; set; } = "";
}