﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 添加监测年级输入参数
/// </summary>
public class AddExamGradeInput
{
    /// <summary>
    /// 监测计划ID
    /// </summary>
    [Required]
    public int ExamPlanId { get; set; }
    /// <summary>
    /// 年级ID
    /// </summary>
    [Required]
    public short GradeId { get; set; }
    /// <summary>
    /// 年份（级）
    /// </summary>
    [Required]
    public short GradeBeginYear { get; set; }
    /// <summary>
    /// 年份（届）
    /// </summary>
    [Required]
    public short GradeEndYear { get; set; }
    /// <summary>
    /// 学段
    /// </summary>
    [Required]
    public EducationStage EducationStage { get; set; }
    /// <summary>
    /// 学制
    /// </summary>
    [Required]
    public short EducationYears { get; set; }
}

/// <summary>
/// 添加监测年级输入参数
/// </summary>
public class AddExamGradeListInput
{
    /// <summary>
    /// 监测计划ID
    /// </summary>
    [Required]
    public int ExamPlanId { get; set; }
    /// <summary>
    /// 年级ID列表
    /// </summary>
    [Required]
    public List<AddExamGradeInput> GradeList { get; set; }
}

/// <summary>
/// 删除监测年级输入参数
/// </summary>
public class DelExamGradeInput
{
    /// <summary>
    /// ID列表
    /// </summary>
    [Required]
    public List<int> IdList { get; set; }
}

/// <summary>
/// 监测年级配置
/// </summary>
public class ExamGradeSettingInput : BaseId
{
    /// <summary>
    /// 是否需要自编监测号
    /// </summary>
    [Required]
    public bool IsRequiredSelfExamNumber { get; set; }
    /// <summary>
    /// 自编监测号长度
    /// </summary>
    [Required]
    public short SelfExamNumberLength { get; set; }
    /// <summary>
    /// 是否需要抽样
    /// </summary>
    [Required]
    public bool IsRequiredSample { get; set; }
    /// <summary>
    /// 备注
    /// </summary>
    [StringLength(200)]
    public string Remark { get; set; } = "";
}