﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 添加被监测机构输入参数
/// </summary>
public class AddExamOrgListInput
{
    /// <summary>
    /// 监测计划ID
    /// </summary>
    [Required]
    public int ExamPlanId { get; set; }
    /// <summary>
    /// 监测机构ID列表
    /// </summary>
    [Required]
    public List<short> SysOrgIdList { get; set; }
}

/// <summary>
/// 分页查询被监测机构输入参数
/// </summary>
public class ExamOrgPageInput : PageInputBase
{
    /// <summary>
    /// 监测计划ID
    /// </summary>
    [Required]
    public int ExamPlanId { get; set; }
    /// <summary>
    /// 机构名称
    /// </summary>
    public string OrgName { get; set; }
}

/// <summary>
/// 删除被监测机构输入参数
/// </summary>
public class DelExamOrgInput
{
    /// <summary>
    /// ID列表
    /// </summary>
    [Required]
    public List<int> IdList { get; set; }
}

/// <summary>
/// 分页查询未加入的被监测机构输入参数
/// </summary>
public class ExamOrgNotInPageInput : PageInputBase
{
    /// <summary>
    /// 监测计划ID
    /// </summary>
    [Required]
    public int ExamPlanId { get; set; }
    /// <summary>
    /// 代码
    /// </summary>
    public string Code { get; set; }
    /// <summary>
    /// 城乡类型
    /// </summary>
    public UrbanRuralType? UrbanRuralType { get; set; }
    /// <summary>
    /// 状态
    /// </summary>
    public CommonStatus? Status { get; set; }
    /// <summary>
    /// 名称
    /// </summary>
    public string Name { get; set; }
}
/// <summary>
/// 切换监测机构是否需要抽样监测
/// </summary>
public class SwitchExamOrgRequiredSampleInput
{
    /// <summary>
    /// 监测机构ID
    /// </summary>
    [Required]
    public int Id { get; set; }
    /// <summary>
    /// 是否参与监测
    /// </summary>
    public bool IsRequiredExam { get; set; }
}