﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 分页查询机构上报类型输入参数
/// </summary>
public class ExamOrgDataReportPageInput : PageInputBase
{
    /// <summary>
    /// 上报类型
    /// </summary>
    [Required]
    public DataReportType Type { get; set; }
    /// <summary>
    /// 状态
    /// </summary>
    public DataReportStatus? Status { get; set; }
    /// <summary>
    /// 监测名称
    /// </summary>
    public string Name { get; set; }
    /// <summary>
    /// 监测学期
    /// </summary>
    public short? SemesterId { get; set; }
}

/// <summary>
/// 提交上报
/// </summary>
public class SubmitExamOrgDataReportInput
{
    /// <summary>
    /// 监测计划ID
    /// </summary>
    [Required]
    public int ExamPlanId { get; set; }
    /// <summary>
    /// 上报类型
    /// </summary>
    [Required]
    public DataReportType Type { get; set; }
}
public class UploadExamOrgDataReportAttachmentInput : UploadResourceFileInput
{
    /// <summary>
    /// 数据上报类型
    /// </summary>
    [Required]
    public DataReportType DataReportType { get; set; }
    /// <summary>
    /// 监测计划ID
    /// </summary>
    [Required]
    public int ExamPlanId { get; set; }
}
/// <summary>
/// 添加数据上报佐证材料输入参数
/// </summary>
public class AddExamOrgDataReportAttachmentInput : AddAttachmentInput
{
    /// <summary>
    /// 数据上报类型
    /// </summary>
    [Required]
    public DataReportType Type { get; set; }
    /// <summary>
    /// 监测计划ID
    /// </summary>
    [Required]
    public int ExamPlanId { get; set; }
}

/// <summary>
/// 监测机构上报数据审核查询输入参数
/// </summary>
public class ExamOrgDataReportAuditPageInput : PageInputBase
{
    /// <summary>
    /// 监测计划ID
    /// </summary>
    public int? ExamPlanId { get; set; }
    /// <summary>
    /// 监测学期
    /// </summary>
    public short? SemesterId { get; set; }
    /// <summary>
    /// 计划名称
    /// </summary>
    public string ExamPlanName { get; set; }
    /// <summary>
    /// 机构名称
    /// </summary>
    public string SysOrgName { get; set; }
}
