﻿namespace YBEE.EQM.Application;

/// <summary>
/// 机构反馈文件输出参数
/// </summary>
public class ExamOrgResultOutput : DEntityOutput
{
    /// <summary>
    /// 监测计划ID
    /// </summary>
    [Required]
    public int ExamPlanId { get; set; }
    /// <summary>
    /// 监测结果发布内容ID
    /// </summary>
    [Required]
    public int ExamDataPublishId { get; set; }
    /// <summary>
    /// 监测机构ID
    /// </summary>
    [Required]
    public int ExamOrgId { get; set; }
    /// <summary>
    /// 机构ID
    /// </summary>
    [Required]
    public int SysOrgId { get; set; }
    /// <summary>
    /// 文件名
    /// </summary>
    [Required]
    public string FileName { get; set; }
    /// <summary>
    /// 文件路径
    /// </summary>
    [Required]
    public string FilePath { get; set; }
    /// <summary>
    /// 扩展名
    /// </summary>
    [Required]
    public string FileExtName { get; set; }
    /// <summary>
    /// 文件大小
    /// </summary>
    [Required]
    public long FileSize { get; set; } = 0;

    /// <summary>
    /// 访问地址
    /// </summary>
    public string Url { get; set; } = "";

    /// <summary>
    /// 机构
    /// </summary>
    public ExamOrgOutput ExamOrg { get; set; }
    /// <summary>
    /// 监测结果发布内容
    /// </summary>
    public ExamDataPublishOutput ExamDataPublish { get; set; }
}
