﻿namespace YBEE.EQM.Application;

/// <summary>
/// 校考成绩上报管理服务
/// </summary>
public interface IExamOrgScoreReportService
{
    /// <summary>
    /// 上传校考成绩
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    Task<UploadExamOrgScoreReportOutput> Upload(UploadExamOrgScoreReportInput input);
    /// <summary>
    /// 查询某科目校考成绩上报数据
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    Task<ExamOrgScoreReportOutput> QueryOne(QueryExamOrgScoreReportInput input);
    /// <summary>
    /// 获取机构校考上报明细列表
    /// </summary>
    /// <param name="examPlanId"></param>
    /// <returns></returns>
    Task<List<ExamOrgScoreReportItem>> GetListByExamPlanId(int examPlanId);

    /// <summary>
    /// 合并学校上报小题分
    /// </summary>
    /// <param name="examPlanId"></param>
    /// <returns></returns>
    Task<(string, byte[])> MergeMinorScore(int examPlanId);
}
