﻿namespace YBEE.EQM.Application;

/// <summary>
/// 添加试卷大题输入参数
/// </summary>
public class AddExamPaperQuestionMajorInput
{
    /// <summary>
    /// 双向细目表头ID
    /// </summary>
    [Required]
    public int ExamPaperId { get; set; }
    /// <summary>
    /// 顺序
    /// </summary>
    [Required]
    public int Sequence { get; set; }
    /// <summary>
    /// 题号
    /// </summary>
    [Required, StringLength(20)]
    public string Number { get; set; }
    /// <summary>
    /// 标题
    /// </summary>
    [StringLength(100)]
    public string Title { get; set; } = "";
    /// <summary>
    /// 提示语
    /// </summary>
    [StringLength(200)]
    public string Hint { get; set; } = "";
    /// <summary>
    /// 分值
    /// </summary>
    [Required]
    public decimal Score { get; set; } = 0;
    /// <summary>
    /// 备注
    /// </summary>
    [StringLength(200)]
    public string Remark { get; set; } = "";
}
/// <summary>
/// 更新试卷大题输入参数
/// </summary>
public class UpdateExamPaperQuestionMajorInput : AddExamPaperQuestionMajorInput
{
    /// <summary>
    /// 主键
    /// </summary>
    [Required]
    public int Id { get; set; }
}
