﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 试卷小题管理服务
/// </summary>
public interface IExamPaperQuestionMinorService
{
    /// <summary>
    /// 添加
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    Task Add(AddExamPaperQuestionMinorInput input);
    /// <summary>
    /// 更新
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    Task Update(UpdateExamPaperQuestionMinorInput input);
    /// <summary>
    /// 批量更新
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    Task BatchUpdate(BatchUpdateExamPaperQuestionMinorInput input);
    /// <summary>
    /// 删除
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    Task Del(BaseId input);
    /// <summary>
    /// 根据试卷ID获取小题列表
    /// </summary>
    /// <param name="examPaperId"></param>
    /// <returns></returns>
    Task<List<ExamPaperQuestionMinorOutput>> GetListByExamPaperId(int examPaperId);
}
