﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 家长问卷填答进度管理服务
/// </summary>
public interface IExamPatriarchQuestionnaireProgressService
{
    /// <summary>
    /// 查询学生家长问卷明细
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    Task<PageResult<ExamStudentPatriarchQuestionnaireProgressOutput>> QueryPageList(ExamStudentPatriarchQuestionnaireProgressPageInput input);
    /// <summary>
    /// 导出未填答学生名单
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    Task<byte[]> ExportUncompletedExcel(ExportExamPatriarchQuestionnaireProgressInput input);
    /// <summary>
    /// 获取各班级问卷填答进度
    /// </summary>
    /// <param name="examPlanId"></param>
    /// <returns></returns>
    Task<List<ExamStudentPatriarchQuestionnaireProgressStatOutput>> GetProgressList(int examPlanId);
}
