﻿namespace YBEE.EQM.Application;

/// <summary>
/// 添加监测结果反馈文件输入参数
/// </summary>
public class AddExamResultInput
{
    /// <summary>
    /// 监测计划ID
    /// </summary>
    [Required]
    public int ExamPlanId { get; set; }
    /// <summary>
    /// 监测结果发布内容ID
    /// </summary>
    [Required]
    public int ExamDataPublishId { get; set; }
    /// <summary>
    /// 文件名
    /// </summary>
    [Required]
    public string FileName { get; set; }
    /// <summary>
    /// 文件路径
    /// </summary>
    [Required]
    public string FilePath { get; set; }
    /// <summary>
    /// 扩展名
    /// </summary>
    [Required]
    public string FileExtName { get; set; }
    /// <summary>
    /// 文件大小
    /// </summary>
    [Required]
    public long FileSize { get; set; } = 0;
}

/// <summary>
/// 上传结果反馈文件
/// </summary>
public class UploadExamResultInput
{
    /// <summary>
    /// 监测计划ID
    /// </summary>
    [Required]
    public int ExamPlanId { get; set; }
    /// <summary>
    /// 监测结果反馈ID
    /// </summary>
    [Required]
    public int ExamDataPublishId { get; set; }
    /// <summary>
    /// 文件
    /// </summary>
    [Required]
    public IFormFile File { get; set; }
}
