﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 监测抽样学生成绩
/// </summary>
public class ExamSampleDto
{
    /// <summary>
    /// 监测学生ID
    /// </summary>
    public long ExamStudentId { get; set; }
    /// <summary>
    /// 姓名
    /// </summary>
    public string ExamStudentName { get; set; }
    /// <summary>
    /// 证件类型
    /// </summary>
    public CertificateType CertificateType { get; set; }
    /// <summary>
    /// 证件号码
    /// </summary>
    public string IdNumber { get; set; }
    /// <summary>
    /// 机构ID
    /// </summary>
    public short SysOrgId { get; set; }
    /// <summary>
    /// 机构代码
    /// </summary>
    public string SysOrgCode { get; set; }
    /// <summary>
    /// 校区ID
    /// </summary>
    public short? SysOrgBranchId { get; set; }
    /// <summary>
    /// 年级ID
    /// </summary>
    public short GradeId { get; set; }
    /// <summary>
    /// 班级ID
    /// </summary>
    public long SchoolClassId { get; set; }
    /// <summary>
    /// 班号
    /// </summary>
    public short ClassNumber { get; set; }
    /// <summary>
    /// 科目数量
    /// </summary>
    public int? CourseCount { get; set; }
    /// <summary>
    /// 总分
    /// </summary>
    public decimal? TotalScore { get; set; }
    /// <summary>
    /// 是否特殊学生
    /// </summary>
    public bool IsSpecialStudent { get; set; }
    /// <summary>
    /// 抽样类型
    /// </summary>
    public ExamSampleType? ExamSampleType { get; set; }
    /// <summary>
    /// 序号
    /// </summary>
    public int Sequence { get; set; } = 0;
    /// <summary>
    /// 是否自编号
    /// </summary>
    public bool IsSelfExamNumber { get; set; } = false;
    /// <summary>
    /// 监测号
    /// </summary>
    public string ExamNumber { get; set; }
}
