﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 监测抽样学生管理服务
/// </summary>
public interface IExamSampleStudentService
{
    /// <summary>
    /// 分页查询抽样学生信息
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    Task<PageResult<ExamSampleStudentOutput>> QueryPageList(ExamSampleStudentPageInput input);
    /// <summary>
    /// 根据监测号查询已发布监测方案中当前机构下学生信息
    /// </summary>
    /// <param name="examPlanId">监测计划ID</param>
    /// <param name="examNumber">监测号</param>
    /// <returns></returns>
    Task<ExamSampleStudentOutput> GetByExamNumber(int examPlanId, string examNumber);
    /// <summary>
    /// 查询监测学生信息
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    Task<ExamSampleStudentOutput> QueryExamSampleStudent(QueryExamSampleStudentInput input);
}
