﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 导出TQES的学生信息DTO
/// </summary>
public class ExamScoreTotalExportTqesDto
{
    /// <summary>
    /// 学校ID
    /// </summary>
    public int SysOrgId { get; set; }
    /// <summary>
    /// 学校名称
    /// </summary>
    public string SysOrgName { get; set; }
    /// <summary>
    /// TQES系统中学校ID
    /// </summary>
    public int TqesId { get; set; }
    /// <summary>
    /// 考号
    /// </summary>
    public string ExamNumber { get; set; }
    /// <summary>
    /// 年级号
    /// </summary>
    public short GradeNumber { get; set; }
    /// <summary>
    /// 班级号
    /// </summary>
    public short ClassNumber { get; set; }
    /// <summary>
    /// 证件号码
    /// </summary>
    public string IdNumber { get; set; }
    /// <summary>
    /// 姓名
    /// </summary>
    public string Name { get; set; }
    /// <summary>
    /// 监测学生ID
    /// </summary>
    public long ExamStudentId { get; set; }
    /// <summary>
    /// 抽样类型
    /// </summary>
    public ExamSampleType ExamSampleType { get; set; }
    /// <summary>
    /// 是否特殊学生
    /// </summary>
    public bool IsSpecial { get; set; }
}
/// <summary>
/// 导出TQES的成绩DTO
/// </summary>
public class ExamScoreExportTqesDto
{
    /// <summary>
    /// 监测学生ID
    /// </summary>
    public long ExamStudentId { get; set; }
    /// <summary>
    /// 科目ID
    /// </summary>
    public short CourseId { get; set; }
    /// <summary>
    /// 是否缺考
    /// </summary>
    public bool IsAbsent { get; set; }
    /// <summary>
    /// 是否特殊学生
    /// </summary>
    public bool IsSpecial { get; set; }
    /// <summary>
    /// 成绩
    /// </summary>
    public decimal Score { get; set; }
}
