﻿namespace YBEE.EQM.Application;

/// <summary>
/// 学生成绩导入服务
/// </summary>
public interface IExamScoreImportService
{
    /// <summary>
    /// 批量导入前期未上报学生名单的各科成绩
    /// </summary>
    /// <param name="filePath"></param>
    /// <param name="examPlanId"></param>
    /// <returns></returns>
    Task UploadImportWithoutStudentTotalScore(string filePath, int examPlanId);
    /// <summary>
    /// 批量导入学生总成绩
    /// </summary>
    /// <param name="filePath"></param>
    /// <param name="examPlanId"></param>
    /// <returns></returns>
    Task UploadImportStudentTotalScore(string filePath, int examPlanId);
    /// <summary>
    /// 导入区校合并小题成绩
    /// </summary>
    /// <param name="filePath"></param>
    /// <param name="examPlanId"></param>
    /// <returns></returns>
    Task<(string, byte[])> UploadImportStudentMinorScore(string filePath, int examPlanId);
}
