﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 添加资源文件输入参数
/// </summary>
public class AddResourceFileInput
{
    /// <summary>
    /// 资源文件类型
    /// </summary>
    [Required]
    public ResourceFileType Type { get; set; }
    /// <summary>
    /// 来源ID
    /// </summary>
    [Required]
    public long SourceId { get; set; }
    /// <summary>
    /// 文件名
    /// </summary>
    [Required]
    public string FileName { get; set; }
    /// <summary>
    /// 文件路径
    /// </summary>
    [Required]
    public string FilePath { get; set; }
    /// <summary>
    /// 扩展名
    /// </summary>
    [Required]
    public string FileExtName { get; set; }
    /// <summary>
    /// 文件大小（字节Byte）
    /// </summary>
    public long FileSize { get; set; } = 0;

    /// <summary>
    /// 备注
    /// </summary>
    public string Remark { get; set; } = "";
}
/// <summary>
/// 上传资源文件输入参数
/// </summary>
public class UploadResourceFileInput
{
    /// <summary>
    /// 资源文件类型
    /// </summary>
    [Required]
    public ResourceFileType Type { get; set; }
    /// <summary>
    /// 源ID
    /// </summary>
    [Required]
    public long SourceId { get; set; }
    /// <summary>
    /// 备注
    /// </summary>
    public string Remark { get; set; }
    /// <summary>
    /// 文件
    /// </summary>
    [Required]
    public IFormFile File { get; set; }
    /// <summary>
    /// 文件名
    /// </summary>
    public string FileName { get; set; }
}