﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 资源文件信息输出参数
/// </summary>
public class ResourceFileOutput : DEntityOutput<long>
{
    /// <summary>
    /// 资源文件类型
    /// </summary>
    [Required]
    public ResourceFileType Type { get; set; }

    /// <summary>
    /// 来源ID
    /// </summary>
    [Required]
    public long SourceId { get; set; }
    /// <summary>
    /// 文件名
    /// </summary>
    [Required]
    public string FileName { get; set; }
    /// <summary>
    /// 文件路径
    /// </summary>
    [Required]
    public string FilePath { get; set; }
    /// <summary>
    /// 扩展名
    /// </summary>
    [Required]
    public string FileExtName { get; set; }
    /// <summary>
    /// 文件大小（字节Byte）
    /// </summary>
    [Required]
    public long FileSize { get; set; } = 0;

    /// <summary>
    /// 备注
    /// </summary>
    public string Remark { get; set; } = "";

    /// <summary>
    /// 缩略图
    /// </summary>
    public ResourceFileOutput ThumbResourceFile { get; set; }
}
