﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 添加高中划线参照划线输入参数
/// </summary>
public class AddNceeBaseLineInput
{
    /// <summary>
    /// 高考分析计划ID
    /// </summary>
    [Required]
    public int NceePlanId { get; set; }
    /// <summary>
    /// 首选科目ID
    /// </summary>
    [Required]
    public short DirectionCourseId { get; set; }
    /// <summary>
    /// 划线等级
    /// </summary>
    [Required]
    public NceeLineLevel NceeLineLevel { get; set; }
    /// <summary>
    /// 比例
    /// </summary>
    [Required]
    public decimal LineRate { get; set; } = 0;
    /// <summary>
    /// 原始分划线分数
    /// </summary>
    [Required]
    public decimal LineScore { get; set; } = 0;
    /// <summary>
    /// 赋分划线分数
    /// </summary>
    [Required]
    public decimal LineScoreX { get; set; } = 0;
}
/// <summary>
/// 更新高中划线参照划线输入参数
/// </summary>
public class UpdateNceeBaseLineInput : AddNceeBaseLineInput
{
    /// <summary>
    /// 主键
    /// </summary>
    [Required]
    public int Id { get; set; }
}