﻿namespace YBEE.EQM.Application;

/// <summary>
/// 高中模拟分析导出服务
/// </summary>
public interface INceeExportService
{
    #region 导出报表
    /// <summary>
    /// 导出联盟区县模拟划线报表
    /// </summary>
    /// <param name="nceePlanId"></param>
    /// <returns></returns>
    /// <exception cref="Exception"></exception>
    Task<(string, byte[])> ExportAllianceDistrict(int nceePlanId);
    /// <summary>
    /// 导出已选科的模拟划线报表
    /// </summary>
    /// <param name="input">导出参数</param>
    /// <returns></returns>
    /// <exception cref="Exception"></exception>
    Task<(string, byte[])> ExportDirectionSeleted(NceeExportInput input);
    /// <summary>
    /// 导出未选科的模拟划线报表
    /// </summary>
    /// <param name="nceePlanId"></param>
    /// <returns></returns>
    /// <exception cref="Exception"></exception>
    Task<(string, byte[])> ExportDirectionUnseleted(int nceePlanId);
    #endregion
}
