﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 添加高考模拟划线计划输入参数
/// </summary>
public class AddNceePlanInput
{
    /// <summary>
    /// 学期ID
    /// </summary>
    [Required]
    public short SemesterId { get; set; }
    /// <summary>
    /// 年级ID
    /// </summary>
    [Required]
    public short GradeId { get; set; }

    /// <summary>
    /// 名称
    /// </summary>
    [Required, StringLength(100)]
    public string Name { get; set; }
    /// <summary>
    /// 全称
    /// </summary>
    [Required, StringLength(200)]
    public string FullName { get; set; }
    /// <summary>
    /// 简称
    /// </summary>
    [Required, StringLength(50)]
    public string ShortName { get; set; }

    /// <summary>
    /// 备注
    /// </summary>
    [StringLength(200)]
    public string Remark { get; set; } = "";
    /// <summary>
    /// 配置
    /// </summary>
    [Required]
    public NceePlanConfig Config { get; set; }
}

/// <summary>
/// 更新高考模拟划线计划输入参数
/// </summary>
public class UpdateNceePlanInput : AddNceePlanInput
{
    /// <summary>
    /// 主键
    /// </summary>
    [Required]
    public int Id { get; set; }
}

/// <summary>
/// 分页查询高考模拟划线计划输入参数
/// </summary>
public class NceePlanPageInput : PageInputBase
{
    /// <summary>
    /// 学期ID
    /// </summary>
    public short? SemesterId { get; set; }
    /// <summary>
    /// 年级ID
    /// </summary>
    public short? GradeId { get; set; }
    /// <summary>
    /// 名称
    /// </summary>
    public string Name { get; set; }
    /// <summary>
    /// 状态
    /// </summary>
    public ExamStatus? Status { get; set; }
}