﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 高中划线分析计划输出参数
/// </summary>
public class NceePlanOutput: DEntityOutput
{
    /// <summary>
    /// 学期ID
    /// </summary>
    [Required]
    public short SemesterId { get; set; }

    /// <summary>
    /// 名称
    /// </summary>
    [Required]
    public string Name { get; set; }
    /// <summary>
    /// 全称
    /// </summary>
    [Required]
    public string FullName { get; set; }
    /// <summary>
    /// 简称
    /// </summary>
    [Required]
    public string ShortName { get; set; }

    /// <summary>
    /// 备注
    /// </summary>
    public string Remark { get; set; } = "";
    /// <summary>
    /// 配置
    /// </summary>
    [Required]
    public NceePlanConfig Config { get; set; }

    /// <summary>
    /// 状态
    /// </summary>
    [Required]
    public ExamStatus Status { get; set; }
    /// <summary>
    /// 开始时间
    /// </summary>
    public DateTime? BeginTime { get; set; }
    /// <summary>
    /// 结束时间
    /// </summary>
    public DateTime? EndTime { get; set; }


    /// <summary>
    /// 学期
    /// </summary>
    public SemesterOutput Semester { get; set; }
    /// <summary>
    /// 年级
    /// </summary>
    public GradeOutput Grade { get; set; }

    /// <summary>
    /// 划线参与列表
    /// </summary>
    public List<NceeBaseLineOutput> NceeBaseLines { get; set; }
}
