﻿namespace YBEE.EQM.Application;

/// <summary>
/// 高中成绩管理服务
/// </summary>
public interface INceeScoreService
{
    /// <summary>
    /// 上传成绩（仅原始分，适用于五区联考或本区独立赋分）
    /// </summary>
    /// <param name="filePath"></param>
    /// <param name="nceePlanId"></param>
    /// <returns></returns>
    Task UploadOnlyRawScore(string filePath, int nceePlanId);
    /// <summary>
    /// 上传成绩（带转换分和等级，适用于六校联考）
    /// </summary>
    /// <param name="filePath"></param>
    /// <param name="nceePlanId"></param>
    /// <returns></returns>
    /// <exception cref="Exception"></exception>
    Task UploadWithConvertScore(string filePath, int nceePlanId);
    /// <summary>
    /// 上传未选科原始成绩（适用于高一未选科）
    /// </summary>
    /// <param name="filePath"></param>
    /// <param name="nceePlanId"></param>
    /// <returns></returns>
    /// <exception cref="Exception"></exception>
    Task UploadNoDirectionCourse(string filePath, int nceePlanId);
    /// <summary>
    /// 执行模拟划线
    /// </summary>
    /// <param name="nceePlanId"></param>
    /// <returns></returns>
    Task Execute(int nceePlanId);
}
