﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 添加特殊学生输入参数
/// </summary>
public class AddSpecialStudentInput
{
    /// <summary>
    /// 机构ID
    /// </summary>
    [Required]
    public int SysOrgId { get; set; }
    /// <summary>
    /// 校区ID
    /// </summary>
    public short? SysOrgBranchId { get; set; }
    /// <summary>
    /// 班级ID
    /// </summary>
    [Required]
    public long SchoolClassId { get; set; }
    /// <summary>
    /// 班级号
    /// </summary>
    [Required]
    public int ClassNumber { get; set; }
    /// <summary>
    /// 姓名
    /// </summary>
    [Required, StringLength(100)]
    public string Name { get; set; }
    /// <summary>
    /// 证件类型
    /// </summary>
    [Required]
    public CertificateType CertificateType { get; set; } = CertificateType.NONE;
    /// <summary>
    /// 证件号码
    /// </summary>
    [StringLength(50)]
    public string IdNumber { get; set; } = "";
    /// <summary>
    /// 出生日期
    /// </summary>
    public DateTime? BirthDate { get; set; }
    /// <summary>
    /// 性别
    /// </summary>
    [Required]
    public Gender Gender { get; set; } = Gender.UNKNOWN;
    /// <summary>
    /// 学籍号
    /// </summary>
    [StringLength(100)]
    public string StudentNumber { get; set; } = "";
    /// <summary>
    /// 申请原因
    /// </summary>
    [Required, StringLength(2000)]
    public string ApplyReason { get; set; }
    /// <summary>
    /// 家长姓名
    /// </summary>
    [StringLength(100)]
    public string PatriarchName { get; set; }
    /// <summary>
    /// 家长电话
    /// </summary>
    [StringLength(100)]
    public string PatriarchTel { get; set; }

    /// <summary>
    /// 备注
    /// </summary>
    [StringLength(200)]
    public string Remark { get; set; }
}
