﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application
{
    /// <summary>
    /// 添加角色组参数
    /// </summary>
    public class AddSysRoleGroupInput
    {
        /// <summary>
        /// 角色组名称
        /// </summary>
        [Required(ErrorMessage = "角色组名称不能为空"), StringLength(200, MinimumLength = 1, ErrorMessage = "长度1-200位")]
        public string Name { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
    }

    /// <summary>
    /// 更新角色组参数
    /// </summary>
    public class UpdateSysRoleGroupInput : BaseId
    {
        /// <summary>
        /// 角色组名称
        /// </summary>
        [Required(ErrorMessage = "角色组名称不能为空"), StringLength(200, MinimumLength = 1, ErrorMessage = "长度1-200位")]
        public string Name { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
    }

    /// <summary>
    /// 删除角色组参数
    /// </summary>
    public class DeleteSysRoleGroupInput : BaseId { }
}