﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application
{
    /// <summary>
    /// 添加角色参数
    /// </summary>
    public class AddSysRoleInput
    {
        /// <summary>
        /// 角色组ID
        /// </summary>
        [Required(ErrorMessage = "角色组ID不能为空")]
        public int RoleGroupId { get; set; }
        /// <summary>
        /// 角色名称
        /// </summary>
        [Required(ErrorMessage = "角色名称不能为空"), StringLength(200, MinimumLength = 1, ErrorMessage = "长度1-200位")]
        public string Name { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
    }

    /// <summary>
    /// 更新角色参数
    /// </summary>
    public class UpdateSysRoleInput : BaseId
    {
        /// <summary>
        /// 角色组ID
        /// </summary>
        [Required(ErrorMessage = "角色组ID不能为空")]
        public int RoleGroupId { get; set; }
        /// <summary>
        /// 角色名称
        /// </summary>
        [Required(ErrorMessage = "角色名称不能为空"), StringLength(200, MinimumLength = 1, ErrorMessage = "长度1-200位")]
        public string Name { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
    }

    /// <summary>
    /// 删除角色参数
    /// </summary>
    public class DeleteSysRoleInput : BaseId { }
}