﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application
{
    public class UpdateSysUserStatusInput : BaseId
    {
        /// <summary>
        /// 状态-正常_0、停用_1、删除_2
        /// </summary>
        public CommonStatus Status { get; set; }
    }

    public class QuerySysUserInput : BaseId
    {
    }

    /// <summary>
    /// 更新用户密码输入参数
    /// </summary>
    public class ChangeSysUserPasswordInput
    {
        /// <summary>
        /// 旧密码
        /// </summary>
        [Required(ErrorMessage = "旧密码不能为空")]
        public string OldPassword { get; set; }

        /// <summary>
        /// 新密码
        /// </summary>
        [Required(ErrorMessage = "新密码不能为空")]
        public string NewPassword { get; set; }
    }

    /// <summary>
    /// 更新用户头像输入参数
    /// </summary>
    public class UploadSysUserAvatarInput : BaseId
    {
        /// <summary>
        /// 头像
        /// </summary>
        [Required(ErrorMessage = "头像不能为空")]
        public string Avatar { get; set; }
    }

    /// <summary>
    /// 分页查询用户
    /// </summary>
    public class SysUserPageInput : PageInputBase
    {
        /// <summary>
        /// 机构ID
        /// </summary>
        public short? SysOrgId { get; set; }
        /// <summary>
        /// 姓名
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 账户
        /// </summary>
        public string Account { get; set; }
        /// <summary>
        /// 手机号
        /// </summary>
        public string Mobile { get; set; }
        /// <summary>
        /// 电子邮箱
        /// </summary>
        public string Email { get; set; }
    }
}