﻿using YBEE.EQM.Core;

namespace YBEE.EQM.Application
{
    /// <summary>
    /// 系统用户服务
    /// </summary>
    public interface ISysUserService
    {
        /// <summary>
        /// 获取所有用户列表
        /// </summary>
        /// <returns></returns>
        Task<List<SysUserLiteOutput>> GetAllList();
        /// <summary>
        /// 修改密码
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        Task ChangePassword(ChangeSysUserPasswordInput input);
        /// <summary>
        /// 查询简要用户列表
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        Task<PageResult<SysUserSimpleOutput>> QueryUserSimplePageList(SysUserPageInput input);
        ///// <summary>
        ///// 更换密码加密方式
        ///// </summary>
        ///// <returns></returns>
        //Task UpdatePassword();
    }
}