﻿using Furion.DatabaseAccessor;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;

namespace YBEE.EQM.Core.SeedData;

/// <summary>
/// 学制种子数据
/// </summary>
public class EducationStageYearsSeedData : IEntitySeedData<EducationStageYears>
{
    public IEnumerable<EducationStageYears> HasData(DbContext dbContext, Type dbContextLocator)
    {
        return new[]
        {
            new EducationStageYears { Id = 1, EducationStage = EducationStage.PRESCHOOL_STAGE, EducationYears = 3, UniqueCodePrefixChar = "Y", CreateSysUserId = 1, CreateTime = DateTime.Now },
            new EducationStageYears { Id = 2, EducationStage = EducationStage.PRIMARY_SCHOOL_STAGE, EducationYears = 6, UniqueCodePrefixChar = "X", CreateSysUserId = 1, CreateTime = DateTime.Now },
            new EducationStageYears { Id = 3, EducationStage = EducationStage.JUNIOR_HIGH_SCHOOL_STAGE, EducationYears = 3, UniqueCodePrefixChar = "C", CreateSysUserId = 1, CreateTime = DateTime.Now },
            new EducationStageYears { Id = 4, EducationStage = EducationStage.SENIOR_HIGH_SCHOOL_STAGE, EducationYears = 3, UniqueCodePrefixChar = "G", CreateSysUserId = 1, CreateTime = DateTime.Now },
        };
    }
}
