﻿using Furion.DatabaseAccessor;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;

namespace YBEE.EQM.Core.SeedData;

/// <summary>
/// 年级种子数据
/// </summary>
public class GradeSeedData : IEntitySeedData<Grade>
{
    public IEnumerable<Grade> HasData(DbContext dbContext, Type dbContextLocator)
    {
        return new[]
        {
            new Grade { Id = 11, EducationStage = EducationStage.PRESCHOOL_STAGE, GradeNumber = 1, GradeNumber2 = 1, Name = "小班", Name2 = "小班", FullName = "幼儿园小班", ShortName = "小班", Status = CommonStatus.ENABLE },
            new Grade { Id = 12, EducationStage = EducationStage.PRESCHOOL_STAGE, GradeNumber = 2, GradeNumber2 = 2, Name = "中班", Name2 = "中班", FullName = "幼儿园中班", ShortName = "中班", Status = CommonStatus.ENABLE },
            new Grade { Id = 13, EducationStage = EducationStage.PRESCHOOL_STAGE, GradeNumber = 3, GradeNumber2 = 3, Name = "大班", Name2 = "大班", FullName = "幼儿园大班", ShortName = "大班", Status = CommonStatus.ENABLE },

            new Grade { Id = 21, EducationStage = EducationStage.PRIMARY_SCHOOL_STAGE, GradeNumber = 1, GradeNumber2 = 1, Name = "一年级", Name2 = "一年级", FullName = "小学一年级", ShortName = "一", Status = CommonStatus.ENABLE },
            new Grade { Id = 22, EducationStage = EducationStage.PRIMARY_SCHOOL_STAGE, GradeNumber = 2, GradeNumber2 = 2, Name = "二年级", Name2 = "二年级", FullName = "小学二年级", ShortName = "二", Status = CommonStatus.ENABLE },
            new Grade { Id = 23, EducationStage = EducationStage.PRIMARY_SCHOOL_STAGE, GradeNumber = 3, GradeNumber2 = 3, Name = "三年级", Name2 = "三年级", FullName = "小学三年级", ShortName = "三", Status = CommonStatus.ENABLE },
            new Grade { Id = 24, EducationStage = EducationStage.PRIMARY_SCHOOL_STAGE, GradeNumber = 4, GradeNumber2 = 4, Name = "四年级", Name2 = "四年级", FullName = "小学四年级", ShortName = "四", Status = CommonStatus.ENABLE },
            new Grade { Id = 25, EducationStage = EducationStage.PRIMARY_SCHOOL_STAGE, GradeNumber = 5, GradeNumber2 = 5, Name = "五年级", Name2 = "五年级", FullName = "小学五年级", ShortName = "五", Status = CommonStatus.ENABLE },
            new Grade { Id = 26, EducationStage = EducationStage.PRIMARY_SCHOOL_STAGE, GradeNumber = 6, GradeNumber2 = 6, Name = "六年级", Name2 = "六年级", FullName = "小学六年级", ShortName = "六", Status = CommonStatus.ENABLE },

            new Grade { Id = 37, EducationStage = EducationStage.JUNIOR_HIGH_SCHOOL_STAGE, GradeNumber = 7, GradeNumber2 = 1, Name = "七年级", Name2 = "一年级", FullName = "初中七年级", ShortName = "初一", Status = CommonStatus.ENABLE },
            new Grade { Id = 38, EducationStage = EducationStage.JUNIOR_HIGH_SCHOOL_STAGE, GradeNumber = 8, GradeNumber2 = 2, Name = "八年级", Name2 = "二年级", FullName = "初中八年级", ShortName = "初二", Status = CommonStatus.ENABLE },
            new Grade { Id = 39, EducationStage = EducationStage.JUNIOR_HIGH_SCHOOL_STAGE, GradeNumber = 9, GradeNumber2 = 3, Name = "九年级", Name2 = "三年级", FullName = "初中九年级", ShortName = "初三", Status = CommonStatus.ENABLE },

            new Grade { Id = 41, EducationStage = EducationStage.SENIOR_HIGH_SCHOOL_STAGE, GradeNumber = 1, GradeNumber2 = 1, Name = "一年级", Name2 = "一年级", FullName = "高中一年级", ShortName = "高一", Status = CommonStatus.ENABLE },
            new Grade { Id = 42, EducationStage = EducationStage.SENIOR_HIGH_SCHOOL_STAGE, GradeNumber = 2, GradeNumber2 = 2, Name = "二年级", Name2 = "二年级", FullName = "高中二年级", ShortName = "高二", Status = CommonStatus.ENABLE },
            new Grade { Id = 43, EducationStage = EducationStage.SENIOR_HIGH_SCHOOL_STAGE, GradeNumber = 3, GradeNumber2 = 3, Name = "三年级", Name2 = "三年级", FullName = "高中三年级", ShortName = "高三", Status = CommonStatus.ENABLE },
        };
    }
}
