﻿using Furion.DatabaseAccessor;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;

namespace YBEE.EQM.Core.SeedData;

/// <summary>
/// 菜单种子
/// </summary>
public class SysMenuSeedData : IEntitySeedData<SysMenu>
{
    /// <summary>
    /// 种子数据
    /// </summary>
    /// <param name="dbContext"></param>
    /// <param name="dbContextLocator"></param>
    /// <returns></returns>
    public IEnumerable<SysMenu> HasData(DbContext dbContext, Type dbContextLocator)
    {
        return new[]
        {
            new SysMenu { Id = 10000, Pid = 0, Pids = "[0],", Name = "我的主页", Code = "wb", MenuType = MenuType.MENU, Icon = "home", Router = "/wb", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 10000, Status = CommonStatus.ENABLE },

            new SysMenu { Id = 10100, Pid = 0, Pids = "[0],", Name = "基础资料", Code = "base-s", MenuType = MenuType.FOLDER, Icon = "apps", Router = "/base-s", Component = "", Permission = "", OpenType = MenuOpenType.NONE, Visible = false, Sort = 10100, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10101, Pid = 10100, Pids = "[0],[10100],", Name = "班级信息", Code = "class", MenuType = MenuType.MENU, Icon = "", Router = "/base-s/class", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 10, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10102, Pid = 10101, Pids = "[0],[10100],[10101],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "base-s.class.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10103, Pid = 10101, Pids = "[0],[10100],[10101],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "base-s.class.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10104, Pid = 10101, Pids = "[0],[10100],[10101],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "base-s.class.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10105, Pid = 10100, Pids = "[0],[10100],", Name = "学生信息", Code = "student", MenuType = MenuType.MENU, Icon = "", Router = "/base-s/student", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 20, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10106, Pid = 10105, Pids = "[0],[10100],[10105],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "base-s.student.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10107, Pid = 10105, Pids = "[0],[10100],[10105],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "base-s.student.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10108, Pid = 10105, Pids = "[0],[10100],[10105],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "base-s.student.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10109, Pid = 10100, Pids = "[0],[10100],", Name = "教师信息", Code = "teacher", MenuType = MenuType.MENU, Icon = "", Router = "/base-s/teacher", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 30, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10110, Pid = 10109, Pids = "[0],[10100],[10109],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "base-s.teacher.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10111, Pid = 10109, Pids = "[0],[10100],[10109],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "base-s.teacher.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10112, Pid = 10109, Pids = "[0],[10100],[10109],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "base-s.teacher.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10113, Pid = 10100, Pids = "[0],[10100],", Name = "特殊学生管理", Code = "sp-stu", MenuType = MenuType.MENU, Icon = "", Router = "/base-s/sp-stu", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 40, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10114, Pid = 10113, Pids = "[0],[10100],[10113],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "base-s.sp-stu.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10115, Pid = 10113, Pids = "[0],[10100],[10113],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "base-s.sp-stu.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10116, Pid = 10113, Pids = "[0],[10100],[10113],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "base-s.sp-stu.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },

            new SysMenu { Id = 10200, Pid = 0, Pids = "[0],", Name = "监测管理", Code = "exam-c", MenuType = MenuType.FOLDER, Icon = "order", Router = "/exam-c", Component = "", Permission = "", OpenType = MenuOpenType.NONE, Visible = true, Sort = 10200, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10201, Pid = 10200, Pids = "[0],[10200],", Name = "监测计划管理", Code = "plan", MenuType = MenuType.MENU, Icon = "", Router = "/exam-c/plan", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 10, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10202, Pid = 10201, Pids = "[0],[10200],[10201],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.plan.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10203, Pid = 10201, Pids = "[0],[10200],[10201],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.plan.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10204, Pid = 10201, Pids = "[0],[10200],[10201],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.plan.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10205, Pid = 10201, Pids = "[0],[10200],[10201],", Name = "发布", Code = "publish", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.plan.publish", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10206, Pid = 10200, Pids = "[0],[10200],", Name = "监测学生管理", Code = "stu", MenuType = MenuType.MENU, Icon = "", Router = "/exam-c/stu", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = false, Sort = 20, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10207, Pid = 10206, Pids = "[0],[10200],[10206],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.stu.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10208, Pid = 10206, Pids = "[0],[10200],[10206],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.stu.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10209, Pid = 10206, Pids = "[0],[10200],[10206],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.stu.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10210, Pid = 10206, Pids = "[0],[10200],[10206],", Name = "下载", Code = "download", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.stu.download", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10211, Pid = 10200, Pids = "[0],[10200],", Name = "监测抽样管理", Code = "sample", MenuType = MenuType.MENU, Icon = "", Router = "/exam-c/sample", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = false, Sort = 30, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10212, Pid = 10211, Pids = "[0],[10200],[10211],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.sample.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10213, Pid = 10211, Pids = "[0],[10200],[10211],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.sample.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10214, Pid = 10211, Pids = "[0],[10200],[10211],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.sample.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10215, Pid = 10211, Pids = "[0],[10200],[10211],", Name = "下载", Code = "download", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.sample.download", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10216, Pid = 10211, Pids = "[0],[10200],[10211],", Name = "发布", Code = "publish", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.sample.publish", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10217, Pid = 10200, Pids = "[0],[10200],", Name = "特殊学生管理", Code = "sp-stu", MenuType = MenuType.MENU, Icon = "", Router = "/exam-c/sp-stu", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = false, Sort = 40, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10218, Pid = 10217, Pids = "[0],[10200],[10217],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.sp-stu.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10219, Pid = 10217, Pids = "[0],[10200],[10217],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.sp-stu.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10220, Pid = 10217, Pids = "[0],[10200],[10217],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.sp-stu.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10221, Pid = 10217, Pids = "[0],[10200],[10217],", Name = "提交", Code = "submit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.sp-stu.submit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10222, Pid = 10217, Pids = "[0],[10200],[10217],", Name = "审核", Code = "audit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.sp-stu.audit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10223, Pid = 10217, Pids = "[0],[10200],[10217],", Name = "下载", Code = "download", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.sp-stu.download", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10224, Pid = 10200, Pids = "[0],[10200],", Name = "教师信息管理", Code = "teacher", MenuType = MenuType.MENU, Icon = "", Router = "/exam-c/teacher", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = false, Sort = 50, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10225, Pid = 10224, Pids = "[0],[10200],[10224],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.teacher.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10226, Pid = 10224, Pids = "[0],[10200],[10224],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.teacher.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10227, Pid = 10224, Pids = "[0],[10200],[10224],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.teacher.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10228, Pid = 10224, Pids = "[0],[10200],[10224],", Name = "下载", Code = "download", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.teacher.download", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10229, Pid = 10200, Pids = "[0],[10200],", Name = "教师科目管理", Code = "t-course", MenuType = MenuType.MENU, Icon = "", Router = "/exam-c/t-course", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = false, Sort = 50, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10230, Pid = 10229, Pids = "[0],[10200],[10229],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.t-course.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10231, Pid = 10229, Pids = "[0],[10200],[10229],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.t-course.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10232, Pid = 10229, Pids = "[0],[10200],[10229],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.t-course.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10233, Pid = 10229, Pids = "[0],[10200],[10229],", Name = "下载", Code = "download", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.t-course.download", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10234, Pid = 10200, Pids = "[0],[10200],", Name = "缺测替补管理", Code = "absent", MenuType = MenuType.MENU, Icon = "", Router = "/exam-c/absent", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = false, Sort = 60, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10235, Pid = 10234, Pids = "[0],[10200],[10234],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.absent.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10236, Pid = 10234, Pids = "[0],[10200],[10234],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.absent.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10237, Pid = 10234, Pids = "[0],[10200],[10234],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.absent.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10238, Pid = 10234, Pids = "[0],[10200],[10234],", Name = "提交", Code = "submit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.absent.submit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10239, Pid = 10234, Pids = "[0],[10200],[10234],", Name = "审核", Code = "audit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.absent.audit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10240, Pid = 10234, Pids = "[0],[10200],[10234],", Name = "下载", Code = "download", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.absent.download", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10241, Pid = 10200, Pids = "[0],[10200],", Name = "监测结果管理", Code = "result", MenuType = MenuType.MENU, Icon = "", Router = "/exam-c/result", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = false, Sort = 70, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10242, Pid = 10241, Pids = "[0],[10200],[10241],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.result.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10243, Pid = 10241, Pids = "[0],[10200],[10241],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.result.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10244, Pid = 10241, Pids = "[0],[10200],[10241],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.result.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10245, Pid = 10241, Pids = "[0],[10200],[10241],", Name = "发布", Code = "publish", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.result.publish", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10246, Pid = 10241, Pids = "[0],[10200],[10241],", Name = "下载", Code = "download", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.result.download", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10247, Pid = 10200, Pids = "[0],[10200],", Name = "特殊学生审核", Code = "sp-stu-audit", MenuType = MenuType.MENU, Icon = "", Router = "/exam-c/sp-stu-audit", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 39, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10248, Pid = 10247, Pids = "[0],[10200],[10247],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.sp-stu-audit.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10249, Pid = 10247, Pids = "[0],[10200],[10247],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.sp-stu-audit.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10250, Pid = 10247, Pids = "[0],[10200],[10247],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.sp-stu-audit.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10251, Pid = 10247, Pids = "[0],[10200],[10247],", Name = "提交", Code = "submit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.sp-stu-audit.submit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10252, Pid = 10247, Pids = "[0],[10200],[10247],", Name = "审核", Code = "audit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.sp-stu-audit.audit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10253, Pid = 10247, Pids = "[0],[10200],[10247],", Name = "下载", Code = "download", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.sp-stu-audit.download", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10254, Pid = 10200, Pids = "[0],[10200],", Name = "缺测替补学生审核", Code = "absent-audit", MenuType = MenuType.MENU, Icon = "", Router = "/exam-c/absent-audit", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 59, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10255, Pid = 10254, Pids = "[0],[10200],[10254],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.absent-audit.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10256, Pid = 10254, Pids = "[0],[10200],[10254],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.absent-audit.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10257, Pid = 10254, Pids = "[0],[10200],[10254],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.absent-audit.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10258, Pid = 10254, Pids = "[0],[10200],[10254],", Name = "提交", Code = "submit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.absent-audit.submit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10259, Pid = 10254, Pids = "[0],[10200],[10254],", Name = "审核", Code = "audit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.absent-audit.audit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10260, Pid = 10254, Pids = "[0],[10200],[10254],", Name = "下载", Code = "download", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.absent-audit.download", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10261, Pid = 10200, Pids = "[0],[10200],", Name = "双向细目表", Code = "tr-twcl", MenuType = MenuType.MENU, Icon = "", Router = "/exam-c/tr-twcl", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 90, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10262, Pid = 10261, Pids = "[0],[10200],[10261],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.tr-twcl.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10263, Pid = 10261, Pids = "[0],[10200],[10261],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.tr-twcl.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10264, Pid = 10261, Pids = "[0],[10200],[10261],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.tr-twcl.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10265, Pid = 10261, Pids = "[0],[10200],[10261],", Name = "审核", Code = "audit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.tr-twcl.audit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10266, Pid = 10261, Pids = "[0],[10200],[10261],", Name = "导出", Code = "export", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.tr-twcl.export", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10267, Pid = 10200, Pids = "[0],[10200],", Name = "试卷管理", Code = "ep", MenuType = MenuType.MENU, Icon = "", Router = "/exam-c/ep", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 90, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10268, Pid = 10267, Pids = "[0],[10200],[10267],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.ep.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10269, Pid = 10267, Pids = "[0],[10200],[10267],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.ep.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10270, Pid = 10267, Pids = "[0],[10200],[10267],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.ep.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10271, Pid = 10267, Pids = "[0],[10200],[10267],", Name = "审核", Code = "audit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.ep.audit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10272, Pid = 10267, Pids = "[0],[10200],[10267],", Name = "导出", Code = "export", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-c.ep.export", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },



            new SysMenu { Id = 10300, Pid = 0, Pids = "[0],", Name = "评估监测", Code = "exam-s", MenuType = MenuType.FOLDER, Icon = "box", Router = "/exam-s", Component = "", Permission = "", OpenType = MenuOpenType.NONE, Visible = true, Sort = 10300, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10301, Pid = 10300, Pids = "[0],[10300],", Name = "评估监测计划", Code = "plan", MenuType = MenuType.MENU, Icon = "", Router = "/exam-s/plan", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 10, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10302, Pid = 10300, Pids = "[0],[10300],", Name = "学生信息上报", Code = "stu", MenuType = MenuType.MENU, Icon = "", Router = "/exam-s/stu", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 20, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10303, Pid = 10302, Pids = "[0],[10300],[10302],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.stu.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10304, Pid = 10302, Pids = "[0],[10300],[10302],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.stu.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10305, Pid = 10302, Pids = "[0],[10300],[10302],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.stu.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10306, Pid = 10302, Pids = "[0],[10300],[10302],", Name = "提交", Code = "submit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.stu.submit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10307, Pid = 10302, Pids = "[0],[10300],[10302],", Name = "审核", Code = "audit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.stu.audit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10308, Pid = 10302, Pids = "[0],[10300],[10302],", Name = "下载", Code = "download", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.stu.download", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10309, Pid = 10300, Pids = "[0],[10300],", Name = "特殊学生信息上报", Code = "sp-stu", MenuType = MenuType.MENU, Icon = "", Router = "/exam-s/sp-stu", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 30, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10310, Pid = 10309, Pids = "[0],[10300],[10309],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.sp-stu.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10311, Pid = 10309, Pids = "[0],[10300],[10309],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.sp-stu.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10312, Pid = 10309, Pids = "[0],[10300],[10309],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.sp-stu.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10313, Pid = 10309, Pids = "[0],[10300],[10309],", Name = "提交", Code = "submit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.sp-stu.submit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10314, Pid = 10309, Pids = "[0],[10300],[10309],", Name = "审核", Code = "audit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.sp-stu.audit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10315, Pid = 10309, Pids = "[0],[10300],[10309],", Name = "下载", Code = "download", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.sp-stu.download", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10316, Pid = 10300, Pids = "[0],[10300],", Name = "教师信息上报", Code = "teacher", MenuType = MenuType.MENU, Icon = "", Router = "/exam-s/teacher", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 40, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10317, Pid = 10316, Pids = "[0],[10300],[10316],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.teacher.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10318, Pid = 10316, Pids = "[0],[10300],[10316],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.teacher.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10319, Pid = 10316, Pids = "[0],[10300],[10316],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.teacher.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10320, Pid = 10316, Pids = "[0],[10300],[10316],", Name = "提交", Code = "submit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.teacher.submit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10321, Pid = 10316, Pids = "[0],[10300],[10316],", Name = "审核", Code = "audit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.teacher.audit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10322, Pid = 10316, Pids = "[0],[10300],[10316],", Name = "下载", Code = "download", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.teacher.download", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10323, Pid = 10300, Pids = "[0],[10300],", Name = "教师任教科目上报", Code = "t-course", MenuType = MenuType.MENU, Icon = "", Router = "/exam-s/t-course", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 40, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10324, Pid = 10323, Pids = "[0],[10300],[10323],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.t-course.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10325, Pid = 10323, Pids = "[0],[10300],[10323],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.t-course.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10326, Pid = 10323, Pids = "[0],[10300],[10323],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.t-course.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10327, Pid = 10323, Pids = "[0],[10300],[10323],", Name = "提交", Code = "submit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.t-course.submit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10328, Pid = 10323, Pids = "[0],[10300],[10323],", Name = "审核", Code = "audit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.t-course.audit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10329, Pid = 10323, Pids = "[0],[10300],[10323],", Name = "下载", Code = "download", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.t-course.download", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10330, Pid = 10300, Pids = "[0],[10300],", Name = "监测抽样下载", Code = "sample", MenuType = MenuType.MENU, Icon = "", Router = "/exam-s/sample", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = false, Sort = 50, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10331, Pid = 10330, Pids = "[0],[10300],[10330],", Name = "下载", Code = "download", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.sample.download", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10332, Pid = 10300, Pids = "[0],[10300],", Name = "缺测替补上报", Code = "absent", MenuType = MenuType.MENU, Icon = "", Router = "/exam-s/absent", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = false, Sort = 60, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10333, Pid = 10332, Pids = "[0],[10300],[10332],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.absent.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10334, Pid = 10332, Pids = "[0],[10300],[10332],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.absent.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10335, Pid = 10332, Pids = "[0],[10300],[10332],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.absent.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10336, Pid = 10332, Pids = "[0],[10300],[10332],", Name = "提交", Code = "submit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.absent.submit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10337, Pid = 10332, Pids = "[0],[10300],[10332],", Name = "审核", Code = "audit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.absent.audit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10338, Pid = 10332, Pids = "[0],[10300],[10332],", Name = "下载", Code = "download", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.absent.download", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10339, Pid = 10300, Pids = "[0],[10300],", Name = "校测数据上报", Code = "self-exam", MenuType = MenuType.MENU, Icon = "", Router = "/exam-s/self-exam", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = false, Sort = 70, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10340, Pid = 10339, Pids = "[0],[10300],[10339],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.self-exam.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10341, Pid = 10339, Pids = "[0],[10300],[10339],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.self-exam.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10342, Pid = 10339, Pids = "[0],[10300],[10339],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.self-exam.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10343, Pid = 10339, Pids = "[0],[10300],[10339],", Name = "提交", Code = "submit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.self-exam.submit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10344, Pid = 10339, Pids = "[0],[10300],[10339],", Name = "审核", Code = "audit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.self-exam.audit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10345, Pid = 10339, Pids = "[0],[10300],[10339],", Name = "下载", Code = "download", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.self-exam.download", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10346, Pid = 10300, Pids = "[0],[10300],", Name = "监测结果下载", Code = "result", MenuType = MenuType.MENU, Icon = "", Router = "/exam-s/result", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = false, Sort = 80, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 10347, Pid = 10346, Pids = "[0],[10300],[10346],", Name = "下载", Code = "download", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "exam-s.result.download", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },


            new SysMenu { Id = 18000, Pid = 0, Pids = "[0],", Name = "基础数据", Code = "bd", MenuType = MenuType.FOLDER, Icon = "form", Router = "/bd", Component = "", Permission = "", OpenType = MenuOpenType.NONE, Visible = true, Sort = 18000, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 18001, Pid = 18000, Pids = "[0],[18000],", Name = "年级", Code = "grade", MenuType = MenuType.MENU, Icon = "", Router = "/bd/grade", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 10, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 18002, Pid = 18001, Pids = "[0],[18000],[18001],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "bd.grade.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 18003, Pid = 18001, Pids = "[0],[18000],[18001],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "bd.grade.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 18004, Pid = 18001, Pids = "[0],[18000],[18001],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "bd.grade.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 18005, Pid = 18000, Pids = "[0],[18000],", Name = "科目", Code = "course", MenuType = MenuType.MENU, Icon = "", Router = "/bd/course", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 20, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 18006, Pid = 18005, Pids = "[0],[18000],[18005],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "bd.course.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 18007, Pid = 18005, Pids = "[0],[18000],[18005],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "bd.course.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 18008, Pid = 18005, Pids = "[0],[18000],[18005],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "bd.course.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 18009, Pid = 18000, Pids = "[0],[18000],", Name = "高中选科组合", Code = "ncee-course-comb", MenuType = MenuType.MENU, Icon = "", Router = "/bd/ncee-course-comb", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 30, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 18010, Pid = 18009, Pids = "[0],[18000],[18009],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "bd.course-comb.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 18011, Pid = 18009, Pids = "[0],[18000],[18009],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "bd.course-comb.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 18012, Pid = 18009, Pids = "[0],[18000],[18009],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "bd.course-comb.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 18013, Pid = 18000, Pids = "[0],[18000],", Name = "学期", Code = "semester", MenuType = MenuType.MENU, Icon = "", Router = "/bd/semester", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 40, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 18014, Pid = 18013, Pids = "[0],[18000],[18013],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "bd.semester.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 18015, Pid = 18013, Pids = "[0],[18000],[18013],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "bd.semester.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 18016, Pid = 18013, Pids = "[0],[18000],[18013],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "bd.semester.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 18017, Pid = 18000, Pids = "[0],[18000],", Name = "基础字典", Code = "dict", MenuType = MenuType.MENU, Icon = "", Router = "/bd/dict", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 70, Status = CommonStatus.ENABLE },

            new SysMenu { Id = 19000, Pid = 0, Pids = "[0],", Name = "系统管理", Code = "sys", MenuType = MenuType.FOLDER, Icon = "system", Router = "/sys", Component = "", Permission = "", OpenType = MenuOpenType.NONE, Visible = true, Sort = 19000, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 19001, Pid = 19000, Pids = "[0],[19000],", Name = "组织机构", Code = "org", MenuType = MenuType.MENU, Icon = "", Router = "/sys/org", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 10, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 19002, Pid = 19001, Pids = "[0],[19000],[19001],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "sys.org.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 19003, Pid = 19001, Pids = "[0],[19000],[19001],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "sys.org.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 19004, Pid = 19001, Pids = "[0],[19000],[19001],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "sys.org.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 19005, Pid = 19000, Pids = "[0],[19000],", Name = "用户管理", Code = "user", MenuType = MenuType.MENU, Icon = "", Router = "/sys/user", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 20, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 19006, Pid = 19005, Pids = "[0],[19000],[19005],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "sys.user.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 19007, Pid = 19005, Pids = "[0],[19000],[19005],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "sys.user.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 19008, Pid = 19005, Pids = "[0],[19000],[19005],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "sys.user.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 19009, Pid = 19000, Pids = "[0],[19000],", Name = "角色权限", Code = "role", MenuType = MenuType.MENU, Icon = "", Router = "/sys/role", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 30, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 19010, Pid = 19009, Pids = "[0],[19000],[19009],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "sys.role.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 19011, Pid = 19009, Pids = "[0],[19000],[19009],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "sys.role.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 19012, Pid = 19009, Pids = "[0],[19000],[19009],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "sys.role.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 19013, Pid = 19009, Pids = "[0],[19000],[19009],", Name = "授权", Code = "grant", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "sys.role.grant", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 19014, Pid = 19000, Pids = "[0],[19000],", Name = "功能管理", Code = "menu", MenuType = MenuType.MENU, Icon = "", Router = "/sys/menu", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 40, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 19015, Pid = 19014, Pids = "[0],[19000],[19014],", Name = "添加", Code = "add", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "sys.menu.add", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 19016, Pid = 19014, Pids = "[0],[19000],[19014],", Name = "修改", Code = "edit", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "sys.menu.edit", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 19017, Pid = 19014, Pids = "[0],[19000],[19014],", Name = "删除", Code = "del", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "sys.menu.del", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 19018, Pid = 19000, Pids = "[0],[19000],", Name = "日志管理", Code = "log", MenuType = MenuType.FOLDER, Icon = "", Router = "/sys/log", Component = "", Permission = "", OpenType = MenuOpenType.NONE, Visible = true, Sort = 50, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 19019, Pid = 19018, Pids = "[0],[19000],[19018],", Name = "异常日志", Code = "ex", MenuType = MenuType.MENU, Icon = "", Router = "/sys/log/ex", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 10, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 19020, Pid = 19019, Pids = "[0],[19000],[19018],[19019],", Name = "清除日志", Code = "clear", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "sys.log.ex.clear", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 19021, Pid = 19018, Pids = "[0],[19000],[19018],", Name = "访问日志", Code = "vis", MenuType = MenuType.MENU, Icon = "", Router = "/sys/log/vis", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 20, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 19022, Pid = 19021, Pids = "[0],[19000],[19018],[19021],", Name = "清除日志", Code = "clear", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "sys.log.vis.clear", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 19023, Pid = 19018, Pids = "[0],[19000],[19018],", Name = "操作日志", Code = "op", MenuType = MenuType.MENU, Icon = "", Router = "/sys/log/op", Component = "", Permission = "", OpenType = MenuOpenType.COMPONENT, Visible = true, Sort = 30, Status = CommonStatus.ENABLE },
            new SysMenu { Id = 19024, Pid = 19023, Pids = "[0],[19000],[19018],[19023],", Name = "清除日志", Code = "clear", MenuType = MenuType.BUTTON, Icon = "", Router = "", Component = "", Permission = "sys.log.op.clear", OpenType = MenuOpenType.NONE, Visible = true, Sort = 0, Status = CommonStatus.ENABLE },
        };
    }
}