﻿using System.Collections.Generic;

namespace YBEE.EQM.Core;

/// <summary>
/// 角色数据权限范围
/// </summary>
public class RoleDataScope
{
    /// <summary>
    /// 可访问学段列表
    /// </summary>
    public List<EducationStage> EducationStages { get; set; } = new();
    /// <summary>
    /// 可访问机构ID列表
    /// </summary>
    public List<short> SysOrgIds { get; set; } = new();
    /// <summary>
    /// 双向细目表编制科目列表
    /// </summary>
    public List<TwoWayTable> TwoWayTables { get; set; } = new();

    /// <summary>
    /// 双向细目表
    /// </summary>
    public class TwoWayTable
    {
        /// <summary>
        /// 监测计划ID
        /// </summary>
        public int ExamPlanId { get; set; }
        /// <summary>
        /// 年级ID
        /// </summary>
        public short GradeId { get; set; }
        /// <summary>
        /// 科目ID
        /// </summary>
        public short CourseId { get; set; }
    }
}
