﻿using System.Collections.Generic;

namespace YBEE.EQM.Core;

/// <summary>
/// 用户权限
/// </summary>
public class UserPermission
{
    /// <summary>
    /// 数据权限
    /// </summary>
    public DataScope Data { get; set; }

    /// <summary>
    /// 数据权限范围
    /// </summary>
    public class DataScope
    {
        /// <summary>
        /// 双向细目表
        /// </summary>
        public List<ExamPaperScope> TwoWayCheckLists { get; set; } = new();
        /// <summary>
        /// 问题建议
        /// </summary>
        public List<ExamPaperScope> QuestionSuggestions { get; set; } = new();

        /// <summary>
        /// 试卷范围
        /// </summary>
        public class ExamPaperScope
        {
            /// <summary>
            /// 监测计划ID
            /// </summary>
            public int ExamPlanId { get; set; }
            /// <summary>
            /// 年级ID
            /// </summary>
            public short GradeId { get; set; }
            /// <summary>
            /// 科目ID
            /// </summary>
            public short CourseId { get; set; }
        }
    }
}
