﻿using System;
using System.Collections.Generic;

namespace YBEE.EQM.Core
{
    /// <summary>
    /// 分页数据结果
    /// </summary>
    /// <typeparam name="T"></typeparam>
    public class PageResult<T>
    {
        /// <summary>
        /// 当前页值
        /// </summary>
        public int PageIndex { get; set; }
        /// <summary>
        /// 每页大小
        /// </summary>
        public int PageSize { get; set; }
        /// <summary>
        /// 数据总数
        /// </summary>
        public int TotalCount { get; set; }
        /// <summary>
        /// 总页数
        /// </summary>
        public int TotalPage => (int)Math.Ceiling(TotalCount / (double)PageSize);
        /// <summary>
        /// 数据行
        /// </summary>
        public ICollection<T> Items { get; set; }
    }
}